function ReagentData_LoadEnchanting()
ReagentData['crafted']['enchanting'] = {
	["Enchant Bracer - Minor Health"] = {
		skill = 1,
		description = "Permanently enchant bracers to increase the health of the wearer by 5.",
		type = "Wrist",
		enchant = "Health",
		bonus = 5,
		source = "Trainer",
		tools = {
			[ReagentData['tool']['runedcopperrod']] = 1,
		},
		reagents = {
			[ReagentData['dust']['strange']] = 1,
		},
	},
	["Runed Copper Rod"] = {
		skill = 1,
		description = "[BoP]",
		type = "Trade Goods",
		source = "Trainer",
		result = 1,
		itemLvl = 5,
		reagents = {
			[ReagentData['rod']['copper']] = 1,
			[ReagentData['dust']['strange']] = 1,
			[ReagentData['essence']['lessermagic']] = 1,
		},
	},
	["Lesser Magic Wand"] = {
		skill = 10,
		description = "(Wand) Dmg: 12-22 Arcane, Spd: 1.50, DPS: 11.3, MinLvl: 5",
		type = "Wand",
		source = "Trainer",
		resultrarity = "Uncommon",
		itemLvl = 15,
		tools = {
			[ReagentData['tool']['runedcopperrod']] = 1,
		},
		reagents = {
			[ReagentData['wood']['simple']] = 1,
			[ReagentData['essence']['lessermagic']] = 1,
		},
	},
	["Enchant Chest - Minor Health"] = {
		skill = 15,
		description = "Permanently enchant a piece of chest armor so that it increases the health of the wearer by 5.",
		type = "Chest",
		enchant = "Health",
		bonus = 5,
		source = "Trainer",
		tools = {
			[ReagentData['tool']['runedcopperrod']] = 1,
		},
		reagents = {
			[ReagentData['dust']['strange']] = 1,
		},
	},
	["Enchant Bracer - Minor Deflection"] = {
		skill = 20,
		description = "Permanently enchant bracers to give +2 defense rating.",
		type = "Wrist",
		enchant = "Defense",
		bonus = 1,
		source = "Trainer",
		tools = {
			[ReagentData['tool']['runedcopperrod']] = 1,
		},
		reagents = {
			[ReagentData['dust']['strange']] = 1,
			[ReagentData['essence']['lessermagic']] = 1,
		},
	},
	["Enchant Chest - Minor Mana"] = {
		skill = 20,
		id = 6342,
		description = "Permanently enchant a piece of chest armor so that it increases the mana of the wearer by 5.",
		type = "Chest",
		enchant = "Mana",
		bonus = 5,
		source = "Vendor, Drop",
		sourcerarity = "Uncommon",
		tools = {
			[ReagentData['tool']['runedcopperrod']] = 1,
		},
		reagents = {
			[ReagentData['essence']['lessermagic']] = 1,
		},
	},
	["Enchant Chest - Minor Absorption"] = {
		skill = 40,
		description = "Enchant a piece of chest armor so it has a 2% chance per hit of giving you 10 points of damage absorption.",
		type = "Chest",
		enchant = "Absorb Damage",
		bonus = 10,
		source = "Trainer",
		tools = {
			[ReagentData['tool']['runedcopperrod']] = 1,
		},
		reagents = {
			[ReagentData['essence']['lessermagic']] = 1,
			[ReagentData['dust']['strange']] = 2,
		},
	},
	["Enchant Cloak - Minor Resistance"] = {
		skill = 45,
		description = "Permanently enchant a cloak so that it increases the resistance to all schools of magic by 1.",
		type = "Back",
		enchant = "Resist All",
		bonus = 1,
		source = "Trainer",
		tools = {
			[ReagentData['tool']['runedcopperrod']] = 1,
		},
		reagents = {
			[ReagentData['essence']['lessermagic']] = 2,
			[ReagentData['dust']['strange']] = 1,
		},
	},
	["Minor Wizard Oil"] = {
		skill = 45,
		id = 20758,
		description = "MinLvl: 5, Use: While applied to target weapon it increases spell damage by up to 8. Lasts for 30 minutes. 5 Charges",
		type = "Consumable",
		source = "Vendor:Formula: Minor Wizard Oil",
		stacksize = 5,
		itemLvl = 15,
		tools = {
			[ReagentData['tool']['runedcopperrod']] = 1,
		},
		reagents = {
			[ReagentData['vial']['empty']] = 1,
			[ReagentData['reagent']['mapleseed']] = 1,
			[ReagentData['dust']['strange']] = 2,
		},
	},
	["Enchant Bracer - Minor Stamina"] = {
		skill = 50,
		description = "Permanently enchant bracers so they increase the wearer's Stamina by 1.",
		type = "Wrist",
		enchant = "Stamina",
		bonus = 1,
		source = "Trainer",
		tools = {
			[ReagentData['tool']['runedcopperrod']] = 1,
		},
		reagents = {
			[ReagentData['dust']['strange']] = 3,
		},
	},
	["Enchant Bracer - Minor Spirit"] = {
		skill = 60,
		description = "Permanently enchant bracers so they increase the wearer's Spirit by 1.",
		type = "Wrist",
		enchant = "Spirit",
		bonus = 1,
		source = "Drop",
		tools = {
			[ReagentData['tool']['runedcopperrod']] = 1,
		},
		reagents = {
			[ReagentData['essence']['lessermagic']] = 2,
		},
	},
	["Enchant Chest - Lesser Health"] = {
		skill = 60,
		description = "Permanently enchant a piece of chest armor so that it increases the health of the wearer by 15.",
		type = "Chest",
		enchant = "Health",
		bonus = 15,
		source = "Trainer",
		tools = {
			[ReagentData['tool']['runedcopperrod']] = 1,
		},
		reagents = {
			[ReagentData['essence']['lessermagic']] = 2,
			[ReagentData['dust']['strange']] = 2,
		},
	},
	["Enchant Cloak - Minor Protection"] = {
		skill = 70,
		description = "Enchant a cloak to provide 10 additional points of armor.",
		type = "Back",
		enchant = "Armor",
		bonus = 10,
		source = "Trainer",
		tools = {
			[ReagentData['tool']['runedcopperrod']] = 1,
		},
		reagents = {
			[ReagentData['dust']['strange']] = 3,
			[ReagentData['essence']['greatermagic']] = 1,
		},
	},
	["Greater Magic Wand"] = {
		skill = 70,
		description = "(Wand) Dmg: 22-41 Arcane, Spd: 1.80, DPS: 17.5, MinLvl: 13",
		type = "Wand",
		source = "Trainer",
		resultrarity = "Uncommon",
		itemLvl = 23,
		tools = {
			[ReagentData['tool']['runedcopperrod']] = 1,
		},
		reagents = {
			[ReagentData['wood']['simple']] = 1,
			[ReagentData['essence']['greatermagic']] = 1,
		},
	},
	["Enchant Bracer - Minor Agility"] = {
		skill = 80,
		description = "Permanently enchant bracers so they increase the wearer's Agility by 1.",
		type = "Wrist",
		enchant = "Agility",
		bonus = 1,
		source = "Trainer",
		tools = {
			[ReagentData['tool']['runedcopperrod']] = 1,
		},
		reagents = {
			[ReagentData['dust']['strange']] = 2,
			[ReagentData['essence']['greatermagic']] = 1,
		},
	},
	["Enchant Bracer - Minor Strength"] = {
		skill = 80,
		description = "Permanently enchant bracers so they increase the wearer's Strength by 1.",
		type = "Wrist",
		enchant = "Strength",
		bonus = 1,
		source = "Drop",
		tools = {
			[ReagentData['tool']['runedcopperrod']] = 1,
		},
		reagents = {
			[ReagentData['dust']['strange']] = 5,
		},
	},
	["Enchant Chest - Lesser Mana"] = {
		skill = 80,
		id = 6346,
		description = "Permanently enchant a piece of chest armor so that it increases the mana of the wearer by 20.",
		type = "Chest",
		enchant = "Mana",
		bonus = 20,
		source = "Vendor",
		tools = {
			[ReagentData['tool']['runedcopperrod']] = 1,
		},
		reagents = {
			[ReagentData['essence']['lessermagic']] = 1,
			[ReagentData['essence']['greatermagic']] = 1,
		},
	},
	["Enchant Weapon - Minor Beastslayer"] = {
		skill = 90,
		description = "Permanently enchant a melee weapon to do 2 additional points of damage to Beasts.",
		type = "Weapon",
		enchant = "Damage v. Beasts",
		bonus = 2,
		source = "Drop",
		tools = {
			[ReagentData['tool']['runedcopperrod']] = 1,
		},
		reagents = {
			[ReagentData['dust']['strange']] = 4,
			[ReagentData['essence']['greatermagic']] = 2,
		},
	},
	["Enchant Weapon - Minor Striking"] = {
		skill = 90,
		description = "Permanently enchant a melee weapon to do 1 additional point of damage.",
		type = "Weapon",
		enchant = "Damage",
		bonus = 1,
		source = "Trainer",
		tools = {
			[ReagentData['tool']['runedcopperrod']] = 1,
		},
		reagents = {
			[ReagentData['shard']['smallglimmering']] = 1,
			[ReagentData['dust']['strange']] = 2,
			[ReagentData['essence']['greatermagic']] = 1,
		},
	},
	["Enchant 2H Weapon - Lesser Intellect"] = {
		skill = 100,
		id = 6349,
		description = "Permanently enchant a two-handed melee weapon to add 3 to intellect.",
		type = "2H Weapon",
		enchant = "Intellect",
		bonus = 3,
		source = "Vendor",
		tools = {
			[ReagentData['tool']['runedcopperrod']] = 1,
		},
		reagents = {
			[ReagentData['essence']['greatermagic']] = 3,
		},
	},
	["Enchant 2H Weapon - Minor Impact"] = {
		skill = 100,
		description = "Permanently enchant a two-handed melee weapon to do 2 additional points of damage.",
		type = "2H Weapon",
		enchant = "Damage",
		bonus = 2,
		source = "Trainer",
		tools = {
			[ReagentData['tool']['runedcopperrod']] = 1,
		},
		reagents = {
			[ReagentData['dust']['strange']] = 4,
			[ReagentData['shard']['smallglimmering']] = 1,
		},
	},
	["Runed Silver Rod"] = {
		skill = 100,
		description = "[BoP] \"Can also serve as any lesser runed enchanting rod.\"",
		type = "Trade Goods",
		source = "Trainer",
		result = 1,
		itemLvl = 20,
		reagents = {
			[ReagentData['rod']['silver']] = 1,
			[ReagentData['dust']['strange']] = 6,
			[ReagentData['essence']['greatermagic']] = 3,
			[ReagentData['tool']['runedcopperrod']] = 1,
		},
	},
	["Enchant Shield - Minor Stamina"] = {
		skill = 105,
		description = "Permanently enchant a shield so that it increases the Stamina of the bearer by 1.",
		type = "Shield",
		enchant = "Stamina",
		bonus = 1,
		source = "Trainer",
		tools = {
			[ReagentData['tool']['runedcopperrod']] = 1,
		},
		reagents = {
			[ReagentData['dust']['strange']] = 2,
			[ReagentData['essence']['lesserastral']] = 1,
		},
	},
	["Enchant 2H Weapon - Lesser Spirit"] = {
		skill = 110,
		description = "Permanently enchant a two-handed melee weapon to add 3 to Spirit.",
		type = "2H Weapon",
		enchant = "Spirit",
		bonus = 3,
		source = "Drop",
		tools = {
			[ReagentData['tool']['runedcopperrod']] = 1,
		},
		reagents = {
			[ReagentData['dust']['strange']] = 6,
			[ReagentData['essence']['lesserastral']] = 1,
		},
	},
	["Enchant Cloak - Minor Agility"] = {
		skill = 110,
		id = 11039,
		description = "Permanently enchant a cloak to grant +1 Agility.",
		type = "Back",
		enchant = "Agility",
		bonus = 1,
		source = "Vendor, Drop",
		tools = {
			[ReagentData['tool']['runedsilverrod']] = 1,
		},
		reagents = {
			[ReagentData['essence']['lesserastral']] = 1,
		},
	},
	["Enchant Cloak - Lesser Protection"] = {
		skill = 115,
		description = "Permanently enchant a cloak to increase armor by 20.",
		type = "Back",
		enchant = "Armor",
		bonus = 20,
		source = "Trainer",
		tools = {
			[ReagentData['tool']['runedcopperrod']] = 1,
		},
		reagents = {
			[ReagentData['dust']['strange']] = 6,
			[ReagentData['shard']['smallglimmering']] = 1,
		},
	},
	["Enchant Shield - Lesser Protection"] = {
		skill = 115,
		description = "Permanently enchant a shield to increase its armor by 30.",
		type = "Shield",
		enchant = "Armor",
		bonus = 30,
		source = "Drop",
		tools = {
			[ReagentData['tool']['runedsilverrod']] = 1,
		},
		reagents = {
			[ReagentData['shard']['smallglimmering']] = 1,
			[ReagentData['dust']['strange']] = 1,
			[ReagentData['essence']['lesserastral']] = 1,
		},
	},
	["Enchant Bracer - Lesser Spirit"] = {
		skill = 120,
		description = "Permanently enchant a bracer so it increases the wearer's Spirit by 3.",
		type = "Wrist",
		enchant = "Spirit",
		bonus = 3,
		source = "Drop",
		tools = {
			[ReagentData['tool']['runedsilverrod']] = 1,
		},
		reagents = {
			[ReagentData['essence']['lesserastral']] = 2,
		},
	},
	["Enchant Chest - Health"] = {
		skill = 120,
		description = "Permanently enchant a piece of chest armor to increase the health of the wearer by 25.",
		type = "Chest",
		enchant = "Health",
		bonus = 25,
		source = "Trainer",
		tools = {
			[ReagentData['tool']['runedsilverrod']] = 1,
		},
		reagents = {
			[ReagentData['dust']['strange']] = 4,
			[ReagentData['essence']['lesserastral']] = 1,
		},
	},
	["Enchant Boots - Minor Agility"] = {
		skill = 125,
		id = 6377,
		description = "Permanently enchant a pair of boots so they increase the wearer's Agility by 1.",
		type = "Feet",
		enchant = "Agility",
		bonus = 1,
		source = "Vendor",
		tools = {
			[ReagentData['tool']['runedsilverrod']] = 1,
		},
		reagents = {
			[ReagentData['dust']['strange']] = 6,
			[ReagentData['essence']['lesserastral']] = 2,
		},
	},
	["Enchant Boots - Minor Stamina"] = {
		skill = 125,
		description = "Permanently enchant a pair of boots so they increase the wearer's Stamina by 1.",
		type = "Feet",
		enchant = "Stamina",
		bonus = 1,
		source = "Trainer",
		tools = {
			[ReagentData['tool']['runedsilverrod']] = 1,
		},
		reagents = {
			[ReagentData['dust']['strange']] = 8,
		},
	},
	["Enchant Cloak - Lesser Fire Resistance"] = {
		skill = 125,
		description = "Permanently enchant a cloak so that it increases resistance to fire by 5.",
		type = "Back",
		enchant = "Resist Fire",
		bonus = 5,
		source = "Trainer",
		tools = {
			[ReagentData['tool']['runedsilverrod']] = 1,
		},
		reagents = {
			[ReagentData['oil']['fire']] = 1,
			[ReagentData['essence']['lesserastral']] = 1,
		},
	},
	["Enchant Bracer - Lesser Stamina"] = {
		skill = 130,
		description = "Permanently enchant a bracer so it increases the wearer's Stamina by 3.",
		type = "Wrist",
		enchant = "Stamina",
		bonus = 3,
		source = "Trainer",
		tools = {
			[ReagentData['tool']['runedsilverrod']] = 1,
		},
		reagents = {
			[ReagentData['dust']['soul']] = 2,
		},
	},
	["Enchant Shield - Lesser Spirit"] = {
		skill = 130,
		description = "Permanently enchant a shield to give 3 spirit.",
		type = "Shield",
		enchant = "Spirit",
		bonus = 3,
		source = "Trainer",
		tools = {
			[ReagentData['tool']['runedsilverrod']] = 1,
		},
		reagents = {
			[ReagentData['dust']['strange']] = 4,
			[ReagentData['essence']['lesserastral']] = 2,
		},
	},
	["Enchant Cloak - Lesser Shadow Resistance"] = {
		skill = 135,
		description = "Permanently enchant a cloak so that it increases resistance to shadow by 10.",
		type = "Back",
		enchant = "Resist Shadow",
		bonus = 10,
		source = "Drop",
		tools = {
			[ReagentData['tool']['runedsilverrod']] = 1,
		},
		reagents = {
			[ReagentData['potion']['shadowprotection']] = 1,
			[ReagentData['essence']['greaterastral']] = 1,
		},
	},
	["Enchant Bracer - Lesser Strength"] = {
		skill = 140,
		11101,
		description = "Permanently enchant a bracer so it increases the wearer's Strength by 3.",
		type = "Wrist",
		enchant = "Strength",
		bonus = 3,
		source = "Vendor",
		tools = {
			[ReagentData['tool']['runedsilverrod']] = 1,
		},
		reagents = {
			[ReagentData['dust']['soul']] = 2,
		},
	},
	["Enchant Chest - Lesser Absorption"] = {
		skill = 140,
		description = "Enchant a piece of chest armor so it has a 5% chance per hit of giving you 25 points of damage absorption.",
		type = "Chest",
		enchant = "Absorb Damage",
		bonus = 25,
		source = "Trainer",
		tools = {
			[ReagentData['tool']['runedsilverrod']] = 1,
		},
		reagents = {
			[ReagentData['essence']['greaterastral']] = 1,
			[ReagentData['shard']['largeglimmering']] = 1,
			[ReagentData['dust']['strange']] = 2,
		},
	},
	["Enchant Weapon - Lesser Striking"] = {
		skill = 140,
		description = "Permanently enchant a melee weapon to do 2 additional points of damage.",
		type = "Weapon",
		enchant = "Damage",
		bonus = 2,
		source = "Trainer",
		tools = {
			[ReagentData['tool']['runedsilverrod']] = 1,
		},
		reagents = {
			[ReagentData['shard']['largeglimmering']] = 1,
			[ReagentData['dust']['soul']] = 2,
		},
	},
	["Enchant 2H Weapon - Lesser Impact"] = {
		skill = 145,
		description = "Permanently enchant a Two-handed melee weapon to do 3 additional points of damage.",
		type = "2H Weapon",
		enchant = "Damage",
		bonus = 3,
		source = "Trainer",
		tools = {
			[ReagentData['tool']['runedsilverrod']] = 1,
		},
		reagents = {
			[ReagentData['shard']['largeglimmering']] = 1,
			[ReagentData['dust']['soul']] = 3,
		},
	},
	["Enchant Chest - Mana"] = {
		skill = 145,
		description = "Permanently enchant a piece of chest armor to increase the mana of the wearer by 30.",
		type = "Chest",
		enchant = "Mana",
		bonus = 30,
		source = "Trainer",
		tools = {
			[ReagentData['tool']['runedsilverrod']] = 1,
		},
		reagents = {
			[ReagentData['essence']['greaterastral']] = 1,
			[ReagentData['essence']['lesserastral']] = 2,
		},
	},
	["Enchant Gloves - Fishing"] = {
		skill = 145,
		id = 11152,
		description = "Permanently enchant gloves to grant +2 fishing skill.",
		type = "Hands",
		enchant = "Fishing",
		bonus = 2,
		source = "Drop",
		tools = {
			[ReagentData['tool']['runedsilverrod']] = 1,
		},
		reagents = {
			[ReagentData['oil']['blackmouth']] = 3,
			[ReagentData['dust']['soul']] = 1,
		},
	},
	["Enchant Gloves - Herbalism"] = {
		skill = 145,
		description = "Permanently enchant gloves to grant +2 herbalism skill.",
		type = "Hands",
		enchant = "Herbalism",
		bonus = 2,
		source = "Drop",
		tools = {
			[ReagentData['tool']['runedsilverrod']] = 1,
		},
		reagents = {
			[ReagentData['herb']['kingsblood']] = 3,
			[ReagentData['dust']['soul']] = 1,
		},
	},
	["Enchant Gloves - Mining"] = {
		skill = 145,
		description = "Permanently enchant gloves to grant +2 mining skill.",
		type = "Hands",
		enchant = "Mining",
		bonus = 2,
		source = "Drop",
		tools = {
			[ReagentData['tool']['runedsilverrod']] = 1,
		},
		reagents = {
			[ReagentData['ore']['iron']] = 3,
			[ReagentData['dust']['soul']] = 1,
		},
	},
	["Enchant Bracer - Lesser Intellect"] = {
		skill = 150,
		description = "Permanently enchant a bracer so it increases the wearer's Intellect by 3.",
		type = "Wrist",
		enchant = "Intellect",
		bonus = 3,
		source = "Trainer",
		tools = {
			[ReagentData['tool']['runedsilverrod']] = 1,
		},
		reagents = {
			[ReagentData['essence']['greaterastral']] = 2,
		},
	},
	["Enchant Chest - Minor Stats"] = {
		skill = 150,
		description = "Permanently enchant a piece of chest armor to grant +1 to all stats.",
		type = "Chest",
		enchant = "All Stats",
		bonus = 1,
		source = "Trainer",
		tools = {
			[ReagentData['tool']['runedsilverrod']] = 1,
		},
		reagents = {
			[ReagentData['essence']['greaterastral']] = 1,
			[ReagentData['shard']['largeglimmering']] = 1,
			[ReagentData['dust']['soul']] = 1,
		},
	},
	["Minor Mana Oil"] = {
		skill = 150,
		id = 20752,
		description = "MinLvl: 20, Use: While applied to target weapon it restores 4 mana to the caster every 5 seconds. Lasts for 30 minutes. 5 Charges",
		type = "Consumable",
		source = "Vendor:Formula: Minor Mana Oil",
		stacksize = 5,
		itemLvl = 30,
		tools = {
			[ReagentData['tool']['runedgoldenrod']] = 1,
		},
		reagents = {
			[ReagentData['vial']['leaded']] = 1,
			[ReagentData['reagent']['mapleseed']] = 2,
			[ReagentData['dust']['soul']] = 3,
		},
	},
	["Runed Golden Rod"] = {
		skill = 150,
		description = "[BoP] \"Can also serve as any lesser runed enchanting rod.\"",
		type = "Trade Goods",
		source = "Trainer",
		result = 1,
		itemLvl = 30,
		reagents = {
			[ReagentData['essence']['greaterastral']] = 2,
			[ReagentData['pearl']['iridescent']] = 1,
			[ReagentData['rod']['golden']] = 1,
			[ReagentData['dust']['soul']] = 2,
			[ReagentData['tool']['runedsilverrod']] = 1,
		},
	},
	["Enchant Cloak - Defense"] = {
		skill = 155,
		description = "Permanently enchant a cloak to give 30 additional armor.",
		type = "Back",
		enchant = "Armor",
		bonus = 30,
		source = "Trainer",
		tools = {
			[ReagentData['tool']['runedgoldenrod']] = 1,
		},
		reagents = {
			[ReagentData['shard']['smallglowing']] = 1,
			[ReagentData['dust']['soul']] = 3,
		},
	},
	["Enchant Shield - Lesser Stamina"] = {
		skill = 155,
		description = "Permanently enchant a shield to give 3 Stamina.",
		type = "Shield",
		enchant = "Stamina",
		bonus = 3,
		source = "Trainer",
		tools = {
			[ReagentData['tool']['runedgoldenrod']] = 1,
		},
		reagents = {
			[ReagentData['essence']['lessermystic']] = 1,
			[ReagentData['dust']['soul']] = 1,
		},
	},
	["Lesser Mystic Wand"] = {
		skill = 155,
		description = "(Wand) Dmg 23-43, Spd: 1.30, DPS: 25.4, MinLvl: 26",
		type = "Wand",
		source = "Trainer",
		itemLvl = 31,
		tools = {
			[ReagentData['tool']['runedgoldenrod']] = 1,
		},
		reagents = {
			[ReagentData['wood']['star']] = 1,
			[ReagentData['essence']['lessermystic']] = 1,
			[ReagentData['dust']['soul']] = 1,
		},
	},
	["Enchant Boots - Lesser Agility"] = {
		skill = 160,
		description = "Permanently enchant boots to give +3 Agility.",
		type = "Feet",
		enchant = "Agility",
		bonus = 3,
		source = "Trainer",
		tools = {
			[ReagentData['tool']['runedgoldenrod']] = 1,
		},
		reagents = {
			[ReagentData['essence']['lessermystic']] = 1,
			[ReagentData['dust']['soul']] = 1,
		},
	},
	["Enchant Chest - Greater Health"] = {
		skill = 160,
		description = "Permanently enchant a piece of chest armor to give +35 health.",
		type = "Chest",
		enchant = "Health",
		bonus = 35,
		source = "Trainer",
		tools = {
			[ReagentData['tool']['runedgoldenrod']] = 1,
		},
		reagents = {
			[ReagentData['dust']['soul']] = 3,
		},
	},
	["Enchant Bracer - Spirit"] = {
		skill = 165,
		description = "Permanently enchants bracers to give +5 Spirit.",
		type = "Wrist",
		enchant = "Spirit",
		bonus = 5,
		source = "Trainer",
		tools = {
			[ReagentData['tool']['runedgoldenrod']] = 1,
		},
		reagents = {
			[ReagentData['essence']['lessermystic']] = 1,
		},
	},
	["Enchant Boots - Lesser Stamina"] = {
		skill = 170,
		description = "Permanently enchant boots to give +3 Stamina.",
		type = "Feet",
		enchant = "Stamina",
		bonus = 3,
		source = "Trainer",
		tools = {
			[ReagentData['tool']['runedgoldenrod']] = 1,
		},
		reagents = {
			[ReagentData['dust']['soul']] = 4,
		},
	},
	["Enchant Bracer - Lesser Deflection"] = {
		skill = 170,
		id = 11163,
		description = "Permanently enchants bracers to give +3 defense rating.",
		type = "Wrist",
		enchant = "Defense",
		bonus = 3,
		source = "Vendor",
		tools = {
			[ReagentData['tool']['runedgoldenrod']] = 1,
		},
		reagents = {
			[ReagentData['essence']['lessermystic']] = 1,
			[ReagentData['dust']['soul']] = 2,
		},
	},
	["Enchant Bracer - Stamina"] = {
		skill = 170,
		description = "Permanently enchants bracers to give +5 Stamina.",
		type = "Wrist",
		enchant = "Stamina",
		bonus = 5,
		source = "Trainer",
		tools = {
			[ReagentData['tool']['runedgoldenrod']] = 1,
		},
		reagents = {
			[ReagentData['dust']['soul']] = 6,
		},
	},
	["Enchant Cloak - Fire Resistance"] = {
		skill = 175,
		description = "Permanently enchant a cloak to give 7 Fire Resistance.",
		type = "Back",
		enchant = "Resist Fire",
		bonus = 7,
		source = "Trainer",
		tools = {
			[ReagentData['tool']['runedgoldenrod']] = 1,
		},
		reagents = {
			[ReagentData['element']['fire']] = 1,
			[ReagentData['essence']['lessermystic']] = 1,
		},
	},
	["Enchant Weapon - Lesser Beastslayer"] = {
		skill = 175,
		description = "Permanently enchant a melee weapon to do 6 additional points of damage to Beasts.",
		type = "Weapon",
		enchant = "Damage v. Beasts",
		bonus = 6,
		source = "Drop",
		tools = {
			[ReagentData['tool']['runedgoldenrod']] = 1,
		},
		reagents = {
			[ReagentData['shard']['smallglowing']] = 1,
			[ReagentData['essence']['lessermystic']] = 1,
			[ReagentData['monster']['largefang']] = 2,
		},
	},
	["Enchant Weapon - Lesser Elemental Slayer"] = {
		skill = 175,
		description = "Permanently enchant a melee weapon to do 6 additional damage against Elementals.",
		type = "Weapon",
		enchant = "Damage v. Elementals",
		bonus = 6,
		source = "Drop",
		tools = {
			[ReagentData['tool']['runedgoldenrod']] = 1,
		},
		reagents = {
			[ReagentData['shard']['smallglowing']] = 1,
			[ReagentData['essence']['lessermystic']] = 1,
			[ReagentData['element']['earth']] = 1,
		},
	},
	["Greater Mystic Wand"] = {
		skill = 175,
		description = "(Wand) Dmg: 40-76, Spd: 2.00, DPS: 29.0, MinLvl: 30",
		type = "Wand",
		source = "Trainer",
		itemLvl = 35,
		tools = {
			[ReagentData['tool']['runedgoldenrod']] = 1,
		},
		reagents = {
			[ReagentData['dust']['vision']] = 1,
			[ReagentData['essence']['greatermystic']] = 1,
			[ReagentData['wood']['star']] = 1,
		},
	},
	["Enchant Bracer - Strength"] = {
		skill = 180,
		description = "Permanently enchants bracers to give +5 Strength.",
		type = "Wrist",
		enchant = "Strength",
		bonus = 5,
		source = "Trainer",
		tools = {
			[ReagentData['tool']['runedgoldenrod']] = 1,
		},
		reagents = {
			[ReagentData['dust']['vision']] = 1,
		},
	},
	["Enchant Shield - Spirit"] = {
		skill = 180,
		description = "Permanently enchant a shield to give 5 Spirit.",
		type = "Shield",
		enchant = "Spirit",
		bonus = 5,
		source = "Trainer",
		tools = {
			[ReagentData['tool']['runedgoldenrod']] = 1,
		},
		reagents = {
			[ReagentData['dust']['vision']] = 1,
			[ReagentData['essence']['greatermystic']] = 1,
		},
	},
	["Enchant Chest - Greater Mana"] = {
		skill = 185,
		description = "Permanently enchant a piece of chest armor to give +50 mana.",
		type = "Chest",
		enchant = "Mana",
		bonus = 50,
		source = "Trainer",
		tools = {
			[ReagentData['tool']['runedgoldenrod']] = 1,
		},
		reagents = {
			[ReagentData['essence']['greatermystic']] = 1,
		},
	},
	["Enchant Boots - Lesser Spirit"] = {
		skill = 190,
		description = "Permanently enchant boots to give +3 Spirit.",
		type = "Feet",
		enchant = "Spirit",
		bonus = 3,
		source = "Drop",
		tools = {
			[ReagentData['tool']['runedgoldenrod']] = 1,
		},
		reagents = {
			[ReagentData['essence']['greatermystic']] = 1,
			[ReagentData['essence']['lessermystic']] = 2,
		},
	},
	["Enchant Weapon - Winter's Might"] = {
		skill = 190,
		description = "Permanently enchant a weapon to grant up to 7 additional frost damage when casting frost spells.",
		type = "Weapon",
		enchant = "Frost Spell Damage",
		bonus = 7,
		source = "Seasonal:Quest:A Smokywood Pastures' Thank You!",
		tools = {
			[ReagentData['tool']['runedgoldenrod']] = 1,
		},
		reagents = {
			[ReagentData['herb']['wintersbite']] = 2,
			[ReagentData['essence']['greatermystic']] = 3,
			[ReagentData['shard']['largeglowing']] = 1,
			[ReagentData['dust']['vision']] = 3,
		},
	},
	["Enchant Shield - Lesser Block"] = {
		skill = 195,
		description = "Permanently enchant a shield to give 10 block rating.",
		type = "Shield",
		enchant = "Block Rating",
		bonus = 10,
		source = "Drop",
		tools = {
			[ReagentData['tool']['runedgoldenrod']] = 1,
		},
		reagents = {
			[ReagentData['dust']['vision']] = 2,
			[ReagentData['essence']['greatermystic']] = 2,
			[ReagentData['shard']['largeglowing']] = 1,
		},
	},
	["Enchant Weapon - Striking"] = {
		skill = 195,
		description = "Permanently enchant a melee weapon to do 3 additional points of damage.",
		type = "Weapon",
		enchant = "Damage",
		bonus = 3,
		source = "Trainer",
		tools = {
			[ReagentData['tool']['runedgoldenrod']] = 1,
		},
		reagents = {
			[ReagentData['essence']['greatermystic']] = 2,
			[ReagentData['shard']['largeglowing']] = 1,
		},
	},
	["Enchant 2H Weapon - Impact"] = {
		skill = 200,
		description = "Permanently enchant a Two-handed melee weapon to do 5 additional points of damage.",
		type = "2H Weapon",
		enchant = "Damage",
		bonus = 5,
		source = "Trainer",
		tools = {
			[ReagentData['tool']['runedgoldenrod']] = 1,
		},
		reagents = {
			[ReagentData['dust']['vision']] = 4,
			[ReagentData['shard']['largeglowing']] = 1,
		},
	},
	["Enchant Chest - Lesser Stats"] = {
		skill = 200,
		description = "Permanently enchant a piece of chest armor to grant +2 to all stats.",
		type = "Chest",
		enchant = "All Stats",
		bonus = 2,
		source = "Trainer",
		tools = {
			[ReagentData['tool']['runedgoldenrod']] = 1,
		},
		reagents = {
			[ReagentData['dust']['vision']] = 2,
			[ReagentData['essence']['greatermystic']] = 2,
			[ReagentData['shard']['largeglowing']] = 1,
		},
	},
	["Enchant Gloves - Skinning"] = {
		skill = 200,
		description = "Permanently enchant gloves to grant +5 skinning skill.",
		type = "Hands",
		enchant = "Skinning",
		bonus = 5,
		source = "Drop",
		tools = {
			[ReagentData['tool']['runedgoldenrod']] = 1,
		},
		reagents = {
			[ReagentData['dust']['vision']] = 1,
			[ReagentData['scale']['greenwhelp']] = 3,
		},
	},
	["Lesser Wizard Oil"] = {
		skill = 200,
		id = 20753,
		description = "MinLvl: 30, Use: While applied to target weapon it increases spell damage by up to 16. Lasts for 30 minutes. 5 Charges",
		type = "Consumable",
		source = "Vendor:Formula: Lesser Wizard Oil",
		stacksize = 5,
		itemLvl = 40,
		tools = {
			[ReagentData['tool']['runedgoldenrod']] = 1,
		},
		reagents = {
			[ReagentData['dust']['vision']] = 3,
			[ReagentData['reagent']['stranglethornseed']] = 2,
			[ReagentData['vial']['leaded']] = 1,
		},
	},
	["Runed Truesilver Rod"] = {
		skill = 200,
		description = "[BoP] \"Can also serve as any lesser runed enchanting rod.\"",
		type = "Trade Goods",
		source = "Trainer",
		result = 1,
		itemLvl = 40,
		reagents = {
			[ReagentData['dust']['vision']] = 2,
			[ReagentData['essence']['greatermystic']] = 2,
			[ReagentData['rod']['truesilver']] = 1,
			[ReagentData['pearl']['black']] = 1,
			[ReagentData['tool']['runedgoldenrod']] = 1,
		},
	},
	["Enchant Cloak - Greater Defense"] = {
		skill = 205,
		description = "Permanently enchant a cloak to give 50 additional armor.",
		type = "Back",
		enchant = "Armor",
		bonus = 50,
		source = "Trainer",
		tools = {
			[ReagentData['tool']['runedtruesilverrod']] = 1,
		},
		reagents = {
			[ReagentData['dust']['vision']] = 3,
		},
	},
	["Enchant Cloak - Resistance"] = {
		skill = 205,
		description = "Permanently enchant a cloak to give 3 to all resistances.",
		type = "Back",
		enchant = "Resist All",
		bonus = 3,
		source = "Trainer",
		tools = {
			[ReagentData['tool']['runedtruesilverrod']] = 1,
		},
		reagents = {
			[ReagentData['essence']['lessernether']] = 1,
		},
	},
	["Enchant Bracer - Intellect"] = {
		skill = 210,
		description = "Permanently enchants bracers to give +5 Intellect.",
		type = "Wrist",
		enchant = "Intellect",
		bonus = 5,
		source = "Trainer",
		tools = {
			[ReagentData['tool']['runedtruesilverrod']] = 1,
		},
		reagents = {
			[ReagentData['essence']['lessernether']] = 2,
		},
	},
	["Enchant Gloves - Agility"] = {
		skill = 210,
		description = "Permanently enchant gloves to grant +5 Agility.",
		type = "Hands",
		enchant = "Agility",
		bonus = 5,
		source = "Trainer",
		tools = {
			[ReagentData['tool']['runedtruesilverrod']] = 1,
		},
		reagents = {
			[ReagentData['dust']['vision']] = 1,
			[ReagentData['essence']['lessernether']] = 1,
		},
	},
	["Enchant Shield - Stamina"] = {
		skill = 210,
		description = "Permanently enchant a shield to give +5 Stamina.",
		type = "Shield",
		enchant = "Stamina",
		bonus = 5,
		source = "Drop",
		tools = {
			[ReagentData['tool']['runedtruesilverrod']] = 1,
		},
		reagents = {
			[ReagentData['dust']['vision']] = 5,
		},
	},
	["Enchant Boots - Stamina"] = {
		skill = 215,
		description = "Permanently enchant boots to give +5 Stamina.",
		type = "Feet",
		enchant = "Stamina",
		bonus = 5,
		source = "Trainer",
		tools = {
			[ReagentData['tool']['runedtruesilverrod']] = 1,
		},
		reagents = {
			[ReagentData['dust']['vision']] = 5,
		},
	},
	["Enchant Gloves - Advanced Mining"] = {
		skill = 215,
		description = "Permanently enchant gloves to grant +5 mining skill.",
		type = "Hands",
		enchant = "Mining",
		bonus = 5,
		source = "Drop",
		tools = {
			[ReagentData['tool']['runedtruesilverrod']] = 1,
		},
		reagents = {
			[ReagentData['dust']['vision']] = 3,
			[ReagentData['bar']['truesilver']] = 3,
		},
	},
	["Enchant Bracer - Greater Spirit"] = {
		skill = 220,
		description = "Permanently enchants bracers to give +7 Spirit.",
		type = "Wrist",
		enchant = "Spirit",
		bonus = 7,
		source = "Drop",
		tools = {
			[ReagentData['tool']['runedtruesilverrod']] = 1,
		},
		reagents = {
			[ReagentData['dust']['vision']] = 1,
			[ReagentData['essence']['lessernether']] = 3,
		},
	},
	["Enchant Chest - Superior Health"] = {
		skill = 220,
		description = "Permanently enchant a piece of chest armor to grant +50 health.",
		type = "Chest",
		enchant = "Health",
		bonus = 50,
		source = "Trainer",
		tools = {
			[ReagentData['tool']['runedtruesilverrod']] = 1,
		},
		reagents = {
			[ReagentData['dust']['vision']] = 6,
		},
	},
	["Enchant Boots - Minor Speed"] = {
		skill = 225,
		description = "Permanently enchant boots to give a slight movement speed increase.",
		type = "Feet",
		enchant = "Movement",
		bonus = 0.03,
		source = "Trainer",
		tools = {
			[ReagentData['tool']['runedtruesilverrod']] = 1,
		},
		reagents = {
			[ReagentData['shard']['smallradiant']] = 1,
			[ReagentData['gem']['aquamarine']] = 1,
			[ReagentData['essence']['lessernether']] = 1,
		},
	},
	["Enchant Cloak - Lesser Agility"] = {
		skill = 225,
		description = "Permanently enchant a cloak to give 3 Agility.",
		type = "Back",
		enchant = "Agility",
		bonus = 3,
		source = "Drop",
		tools = {
			[ReagentData['tool']['runedtruesilverrod']] = 1,
		},
		reagents = {
			[ReagentData['essence']['lessernether']] = 2,
		},
	},
	["Enchant Gloves - Advanced Herbalism"] = {
		skill = 225,
		description = "Permanently enchant gloves to grant +5 herbalism skill.",
		type = "Hands",
		enchant = "Herbalism",
		bonus = 5,
		source = "Drop",
		tools = {
			[ReagentData['tool']['runedtruesilverrod']] = 1,
		},
		reagents = {
			[ReagentData['dust']['vision']] = 3,
			[ReagentData['herb']['sungrass']] = 3,
		},
	},
	["Enchant Gloves - Strength"] = {
		skill = 225,
		description = "Permanently enchant gloves to grant +5 Strength.",
		type = "Hands",
		enchant = "Strength",
		bonus = 5,
		source = "Trainer",
		tools = {
			[ReagentData['tool']['runedtruesilverrod']] = 1,
		},
		reagents = {
			[ReagentData['dust']['vision']] = 3,
			[ReagentData['essence']['lessernether']] = 2,
		},
	},
	["Enchant Chest - Superior Mana"] = {
		skill = 230,
		description = "Permanently enchant a piece of chest armor to give +65 mana.",
		type = "Chest",
		enchant = "Mana",
		bonus = 65,
		source = "Trainer",
		tools = {
			[ReagentData['tool']['runedtruesilverrod']] = 1,
		},
		reagents = {
			[ReagentData['essence']['greaternether']] = 1,
			[ReagentData['essence']['lessernether']] = 2,
		},
	},
	["Enchant Shield - Greater Spirit"] = {
		skill = 230,
		description = "Permanently enchant a shield to give +7 Spirit.",
		type = "Shield",
		enchant = "Spirit",
		bonus = 7,
		source = "Trainer",
		tools = {
			[ReagentData['tool']['runedtruesilverrod']] = 1,
		},
		reagents = {
			[ReagentData['dust']['dream']] = 2,
			[ReagentData['essence']['greaternether']] = 1,
		},
	},
	["Enchant Weapon - Demonslaying"] = {
		skill = 230,
		description = "Permanently enchant a melee weapon to have a chance of stunning and doing heavy damage to demons.",
		type = "Weapon",
		enchant = "Damage v. Demons",
		source = "Drop",
		tools = {
			[ReagentData['tool']['runedtruesilverrod']] = 1,
		},
		reagents = {
			[ReagentData['dust']['dream']] = 2,
			[ReagentData['potion']['elixirofdemonslaying']] = 1,
			[ReagentData['shard']['smallradiant']] = 1,
		},
	},
	["Enchant Boots - Agility"] = {
		skill = 235,
		description = "Permanently enchant boots to give +5 Agility.",
		type = "Feet",
		enchant = "Agility",
		bonus = 5,
		source = "Trainer",
		tools = {
			[ReagentData['tool']['runedtruesilverrod']] = 1,
		},
		reagents = {
			[ReagentData['essence']['greaternether']] = 2,
		},
	},
	["Enchant Bracer - Deflection"] = {
		skill = 235,
		id = 11223,
		description = "Permanently enchants bracers to give +5 Defense Rating.",
		type = "Wrist",
		enchant = "Defense",
		bonus = 5,
		source = "Vendor",
		tools = {
			[ReagentData['tool']['runedtruesilverrod']] = 1,
		},
		reagents = {
			[ReagentData['dust']['dream']] = 2,
			[ReagentData['essence']['greaternether']] = 1,
		},
	},
	["Enchant Shield - Frost Resistance"] = {
		skill = 235,
		description = "Permanently enchant a shield to give +8 Frost Resistance.",
		type = "Shield",
		enchant = "Resist Frost",
		bonus = 8,
		source = "Drop",
		tools = {
			[ReagentData['tool']['runedtruesilverrod']] = 1,
		},
		reagents = {
			[ReagentData['oil']['frost']] = 1,
			[ReagentData['shard']['largeradiant']] = 1,
		},
	},
	["Enchant 2H Weapon - Greater Impact"] = {
		skill = 240,
		description = "Permanently enchant a two-handed melee weapon to do +7 damage.",
		type = "2H Weapon",
		enchant = "Damage",
		bonus = 7,
		source = "Trainer",
		tools = {
			[ReagentData['tool']['runedtruesilverrod']] = 1,
		},
		reagents = {
			[ReagentData['dust']['dream']] = 2,
			[ReagentData['shard']['largeradiant']] = 2,
		},
	},
	["Enchant Bracer - Greater Strength"] = {
		skill = 240,
		description = "Permanently enchants bracers to give +7 Strength.",
		type = "Wrist",
		enchant = "Strength",
		bonus = 7,
		source = "Trainer",
		tools = {
			[ReagentData['tool']['runedtruesilverrod']] = 1,
		},
		reagents = {
			[ReagentData['dust']['dream']] = 2,
			[ReagentData['essence']['greaternether']] = 1,
		},
	},
	["Enchant Bracer - Greater Stamina"] = {
		skill = 245,
		description = "Permanently enchants bracers to give +7 Stamina.",
		type = "Wrist",
		enchant = "Stamina",
		bonus = 7,
		source = "Drop",
		tools = {
			[ReagentData['tool']['runedtruesilverrod']] = 1,
		},
		reagents = {
			[ReagentData['dust']['dream']] = 5,
		},
	},
	["Enchant Chest - Stats"] = {
		skill = 245,
		description = "Permanently enchant a piece of chest armor to grant +3 to all stats.",
		type = "Chest",
		enchant = "All Stats",
		bonus = 3,
		source = "Trainer",
		tools = {
			[ReagentData['tool']['runedtruesilverrod']] = 1,
		},
		reagents = {
			[ReagentData['dust']['dream']] = 3,
			[ReagentData['essence']['greaternether']] = 2,
			[ReagentData['shard']['largeradiant']] = 1,
		},
	},
	["Enchant Weapon - Greater Striking"] = {
		skill = 245,
		description = "Permanently enchant a melee weapon to do 4 additional points of damage.",
		type = "Weapon",
		enchant = "Damage",
		bonus = 4,
		source = "Trainer",
		tools = {
			[ReagentData['tool']['runedtruesilverrod']] = 1,
		},
		reagents = {
			[ReagentData['essence']['greaternether']] = 2,
			[ReagentData['shard']['largeradiant']] = 2,
		},
	},
	["Enchant Gloves - Minor Haste"] = {
		skill = 250,
		description = "Permanently enchant gloves to grant a +1% attack speed bonus.",
		type = "Hands",
		enchant = "Attack Speed",
		bonus = 0.01,
		source = "Trainer",
		tools = {
			[ReagentData['tool']['runedtruesilverrod']] = 1,
		},
		reagents = {
			[ReagentData['herb']['wildvine']] = 2,
			[ReagentData['shard']['largeradiant']] = 2,
		},
	},
	["Enchant Gloves - Riding Skill"] = {
		skill = 250,
		description = "Permanently enchant gloves to grant a minor movement bonus while mounted.",
		type = "Hands",
		enchant = "Mounted Movement",
		bonus = 0.03,
		source = "Drop",
		tools = {
			[ReagentData['tool']['runedtruesilverrod']] = 1,
		},
		reagents = {
			[ReagentData['dust']['dream']] = 3,
			[ReagentData['shard']['largeradiant']] = 2,
		},
	},
	["Enchanted Leather"] = {
		skill = 250,
		description = "Enchanted Leather",
		type = "Trade Goods",
		source = "Trainer",
		itemLvl = 55,
		tools = {
			[ReagentData['tool']['runedtruesilverrod']] = 1,
		},
		reagents = {
			[ReagentData['essence']['lessereternal']] = 1,
			[ReagentData['leather']['rugged']] = 1,
		},
	},
	["Enchanted Thorium"] = {
		skill = 250,
		description = "Enchanted Thorium Bar",
		type = "Trade Goods",
		source = "Trainer",
		itemLvl = 55,
		tools = {
			[ReagentData['tool']['runedtruesilverrod']] = 1,
		},
		reagents = {
			[ReagentData['dust']['dream']] = 3,
			[ReagentData['bar']['thorium']] = 1,
		},
	},
	["Lesser Mana Oil"] = {
		skill = 250,
		id = 20754,
		description = "MinLvl: 40, Use: While applied to target weapon it restores 8 mana to the caster every 5 seconds. Lasts for 30 minutes. 5 Charges",
		type = "Consumable",
		source = "Vendor:Formula: Lesser Mana Oil",
		stacksize = 5,
		itemLvl = 50,
		tools = {
			[ReagentData['tool']['runedtruesilverrod']] = 1,
		},
		reagents = {
			[ReagentData['dust']['dream']] = 3,
			[ReagentData['herb']['purplelotus']] = 2,
			[ReagentData['vial']['crystal']] = 1,
		},
	},
	["Enchant Bracer - Greater Intellect"] = {
		skill = 255,
		description = "Permanently enchants bracers to give +7 Intellect.",
		type = "Wrist",
		enchant = "Intellect",
		bonus = 7,
		source = "Drop",
		tools = {
			[ReagentData['tool']['runedtruesilverrod']] = 1,
		},
		reagents = {
			[ReagentData['essence']['lessereternal']] = 3,
		},
	},
	["Enchant Boots - Greater Stamina"] = {
		skill = 260,
		description = "Permanently enchant boots to give +7 Stamina.",
		type = "Feet",
		enchant = "Stamina",
		bonus = 7,
		source = "Drop",
		tools = {
			[ReagentData['tool']['runedtruesilverrod']] = 1,
		},
		reagents = {
			[ReagentData['dust']['dream']] = 10,
		},
	},
	["Enchant Cloak - Greater Resistance"] = {
		skill = 265,
		description = "Permanently enchant a cloak to give 5 to all resistances.",
		type = "Back",
		enchant = "Resist All",
		bonus = 5,
		source = "Drop",
		tools = {
			[ReagentData['tool']['runedtruesilverrod']] = 1,
		},
		reagents = {
			[ReagentData['essence']['lessereternal']] = 2,
			[ReagentData['element']['heartoffire']] = 1,
			[ReagentData['element']['globeofwater']] = 1,
			[ReagentData['element']['coreofearth']] = 1,
			[ReagentData['element']['ichorofundeath']] = 1,
			[ReagentData['element']['breathofwind']] = 1,
		},
	},
	["Enchant Shield - Greater Stamina"] = {
		skill = 265,
		id = 16217,
		description = "Permanently enchant a shield to give +7 Stamina.",
		type = "Shield",
		enchant = "Stamina",
		bonus = 7,
		source = "Vendor",
		tools = {
			[ReagentData['tool']['runedtruesilverrod']] = 1,
		},
		reagents = {
			[ReagentData['dust']['dream']] = 10,
		},
	},
	["Enchant Weapon - Fiery Weapon"] = {
		skill = 265,
		description = "Permanently enchant a melee weapon to often strike for 40 additional fire damage.",
		type = "Weapon",
		enchant = "CoH Damage",
		bonus = 40,
		source = "Drop",
		tools = {
			[ReagentData['tool']['runedtruesilverrod']] = 1,
		},
		reagents = {
			[ReagentData['shard']['smallradiant']] = 4,
			[ReagentData['element']['essenceoffire']] = 1,
		},
	},
	["Smoking Heart of the Mountain"] = {
		skill = 265,
		description = "[BoP] [U] (Trinket) AC: 150, FR: 7, NR: 7, CR: 7, SR: 7, MinLvl: 50",
		type = "Trinket",
		source = "Drop",
		itemLvl = 55,
		tools = {
			[ReagentData['tool']['blackforge']] = 1,
		},
		reagents = {
			[ReagentData['shard']['smallbrilliant']] = 3,
			[ReagentData['element']['essenceoffire']] = 1,
			[ReagentData['gem']['bloodofthemountain']] = 1,
		},
	},
	["Enchant Bracer - Superior Spirit"] = {
		skill = 270,
		description = "Permanently enchants bracers to give +9 Spirit.",
		type = "Wrist",
		enchant = "Spirit",
		bonus = 9,
		source = "Drop",
		tools = {
			[ReagentData['tool']['runedtruesilverrod']] = 1,
		},
		reagents = {
			[ReagentData['dust']['dream']] = 10,
			[ReagentData['essence']['lessereternal']] = 3,
		},
	},
	["Enchant Gloves - Greater Agility"] = {
		skill = 270,
		description = "Permanently enchant gloves to grant +7 Agility.",
		type = "Hands",
		enchant = "Agility",
		bonus = 7,
		source = "Drop",
		tools = {
			[ReagentData['tool']['runedtruesilverrod']] = 1,
		},
		reagents = {
			[ReagentData['essence']['lessereternal']] = 3,
			[ReagentData['dust']['illusion']] = 3,
		},
	},
	["Enchant Boots - Spirit"] = {
		skill = 275,
		description = "Permanently enchant boots to give +5 Spirit.",
		type = "Feet",
		enchant = "Spirit",
		bonus = 5,
		source = "Drop",
		tools = {
			[ReagentData['tool']['runedtruesilverrod']] = 1,
		},
		reagents = {
			[ReagentData['essence']['lessereternal']] = 1,
			[ReagentData['essence']['greatereternal']] = 2,
		},
	},
	["Enchant Chest - Major Health"] = {
		skill = 275,
		id = 16221,
		description = "Permanently enchant a piece of chest armor to grant +100 health.",
		type = "Chest",
		enchant = "Health",
		bonus = 100,
		source = "Vendor",
		tools = {
			[ReagentData['tool']['runedtruesilverrod']] = 1,
		},
		reagents = {
			[ReagentData['shard']['smallbrilliant']] = 1,
			[ReagentData['dust']['illusion']] = 6,
		},
	},
	["Wizard Oil"] = {
		skill = 275,
		id = 20755,
		description = "MinLvl: 40, Use: While applied to target weapon it increases spell damage by up to 24. Lasts for 30 minutes. 5 Charges",
		type = "Consumable",
		source = "Vendor:Formula: Wizard Oil",
		stacksize = 5,
		itemLvl = 50,
		tools = {
			[ReagentData['tool']['runedtruesilverrod']] = 1,
		},
		reagents = {
			[ReagentData['herb']['firebloom']] = 2,
			[ReagentData['vial']['crystal']] = 1,
			[ReagentData['dust']['illusion']] = 3,
		},
	},
	["Enchant Shield - Superior Spirit"] = {
		skill = 280,
		description = "Permanently enchant a shield to give +9 Spirit.",
		type = "Shield",
		enchant = "Spirit",
		bonus = 9,
		source = "Drop",
		tools = {
			[ReagentData['tool']['runedtruesilverrod']] = 1,
		},
		reagents = {
			[ReagentData['essence']['greatereternal']] = 2,
			[ReagentData['dust']['illusion']] = 4,
		},
	},
	["Enchant Cloak - Superior Defense"] = {
		skill = 285,
		id = 16224,
		description = "Permanently enchant a cloak to give 70 additional armor.",
		type = "Back",
		enchant = "Armor",
		bonus = 70,
		source = "Vendor",
		tools = {
			[ReagentData['tool']['runedtruesilverrod']] = 1,
		},
		reagents = {
			[ReagentData['dust']['illusion']] = 8,
		},
	},
	["Enchant Weapon - Icy Chill"] = {
		skill = 285,
		description = "Permanently enchant a melee weapon to give it an icy chill that sometimes slows its target.",
		type = "Weapon",
		enchant = "CoH Chill",
		source = "Drop",
		sourcerarity = "Uncommon",
		tools = {
			[ReagentData['tool']['runedtruesilverrod']] = 1,
		},
		reagents = {
			[ReagentData['element']['essenceofwater']] = 1,
			[ReagentData['element']['essenceofair']] = 1,
			[ReagentData['herb']['icecap']] = 1,
			[ReagentData['shard']['smallbrilliant']] = 4,
		},
	},
	["Enchant 2H Weapon - Agility"] = {
		skill = 290,
		id = 22392,
		description = "Permanently enchant a two-handed melee weapon to grant +25 agility.",
		type = "2H Weapon",
		enchant = "Agility",
		bonus = 25,
		source = "Vendor:Formula: Enchant 2H Weapon - Agility",
		tools = {
			[ReagentData['tool']['runedarcaniterod']] = 1,
		},
		reagents = {
			[ReagentData['shard']['largebrilliant']] = 10,
			[ReagentData['essence']['greatereternal']] = 6,
			[ReagentData['dust']['illusion']] = 14,
			[ReagentData['element']['essenceofair']] = 4,
		},
	},
	["Enchant Bracer - Mana Regeneration"] = {
		skill = 290,
		id = 19446,
		description = "Permanently enchants bracers to restore 4 mana every 5 seconds.",
		type = "Wrist",
		enchant = "Regen Mana",
		bonus = 4,
		source = "Vendor",
		tools = {
			[ReagentData['tool']['runedarcaniterod']] = 1,
		},
		reagents = {
			[ReagentData['essence']['greatereternal']] = 4,
			[ReagentData['element']['essenceofwater']] = 2,
			[ReagentData['dust']['illusion']] = 16,
		},
	},
	["Enchant Chest - Major Mana"] = {
		skill = 290,
		description = "Permanently enchant a piece of chest armor to give +100 mana.",
		type = "Chest",
		enchant = "Mana",
		bonus = 100,
		source = "Drop",
		tools = {
			[ReagentData['tool']['runedtruesilverrod']] = 1,
		},
		reagents = {
			[ReagentData['essence']['greatereternal']] = 3,
			[ReagentData['shard']['smallbrilliant']] = 1,
		},
	},
	["Enchant Weapon - Agility"] = {
		skill = 290,
		id = 19445,
		description = "Permanently enchant a melee weapon to grant +15 Agility.",
		type = "Weapon",
		enchant = "Agility",
		bonus = 15,
		source = "Vendor",
		tools = {
			[ReagentData['tool']['runedarcaniterod']] = 1,
		},
		reagents = {
			[ReagentData['shard']['largebrilliant']] = 6,
			[ReagentData['essence']['greatereternal']] = 6,
			[ReagentData['dust']['illusion']] = 4,
			[ReagentData['element']['essenceofair']] = 2,
		},
	},
	["Enchant Weapon - Strength"] = {
		skill = 290,
		id = 19444,
		description = "Permanently enchant a melee weapon to grant +15 strength.",
		type = "Weapon",
		enchant = "Strength",
		bonus = 15,
		source = "Vendor",
		tools = {
			[ReagentData['tool']['runedarcaniterod']] = 1,
		},
		reagents = {
			[ReagentData['element']['essenceofearth']] = 2,
			[ReagentData['essence']['greatereternal']] = 6,
			[ReagentData['dust']['illusion']] = 4,
			[ReagentData['shard']['largebrilliant']] = 6,
		},
	},
	["Runed Arcanite Rod"] = {
		skill = 290,
		id = 16243,
		description = "[BoP] \"Can also serve as any lesser runed enchanting rod.\"",
		type = "Trade Goods",
		source = "Vendor",
		result = 1,
		itemLvl = 58,
		reagents = {
			[ReagentData['shard']['largebrilliant']] = 2,
			[ReagentData['essence']['greatereternal']] = 4,
			[ReagentData['rod']['arcanite']] = 1,
			[ReagentData['dust']['illusion']] = 10,
			[ReagentData['tool']['runedtruesilverrod']] = 1,
			[ReagentData['pearl']['golden']] = 1,
		},
	},
	["Enchant 2H Weapon - Superior Impact"] = {
		skill = 295,
		description = "Permanently enchant a two-handed melee weapon to do +9 damage.",
		type = "2H Weapon",
		enchant = "Damage",
		bonus = 9,
		source = "Drop",
		tools = {
			[ReagentData['tool']['runedarcaniterod']] = 1,
		},
		reagents = {
			[ReagentData['shard']['largebrilliant']] = 4,
			[ReagentData['dust']['illusion']] = 10,
		},
	},
	["Enchant Boots - Greater Agility"] = {
		skill = 295,
		description = "Permanently enchant boots to give +7 Agility.",
		type = "Feet",
		enchant = "Agility",
		bonus = 7,
		source = "Drop",
		tools = {
			[ReagentData['tool']['runedtruesilverrod']] = 1,
		},
		reagents = {
			[ReagentData['essence']['greatereternal']] = 8,
		},
	},
	["Enchant Bracer - Superior Strength"] = {
		skill = 295,
		description = "Permanently enchants bracers to give +9 Strength.",
		type = "Wrist",
		enchant = "Strength",
		bonus = 9,
		source = "Drop",
		tools = {
			[ReagentData['tool']['runedtruesilverrod']] = 1,
		},
		reagents = {
			[ReagentData['essence']['greatereternal']] = 6,
			[ReagentData['dust']['illusion']] = 6,
		},
	},
	["Enchant Gloves - Greater Strength"] = {
		skill = 295,
		description = "Permanently enchant gloves to grant +7 Strength.",
		type = "Hands",
		enchant = "Strength",
		bonus = 7,
		source = "Drop",
		tools = {
			[ReagentData['tool']['runedtruesilverrod']] = 1,
		},
		reagents = {
			[ReagentData['essence']['greatereternal']] = 4,
			[ReagentData['dust']['illusion']] = 4,
		},
	},
	["Enchant Weapon - Unholy Weapon"] = {
		skill = 295,
		description = "Permanently enchant a melee weapon to often inflict a curse on the target reducing their melee damage.",
		type = "Weapon",
		enchant = "CoH Curse",
		source = "Drop",
		tools = {
			[ReagentData['tool']['runedarcaniterod']] = 1,
		},
		reagents = {
			[ReagentData['element']['essenceofundeath']] = 4,
			[ReagentData['shard']['largebrilliant']] = 4,
		},
	},
	["Brilliant Mana Oil"] = {
		skill = 300,
		id = 20757,
		description = "MinLvl: 45, Use: While applied to target weapon it restores 12 mana to the caster every 5 seconds and increases the effect of healing spells by up to 25. Lasts for 30 minutes. 5 Charges",
		type = "Consumable",
		source = "Vendor:Formula: Brilliant Mana Oil",
		stacksize = 5,
		itemLvl = 55,
		reagents = {
			[ReagentData['shard']['largebrilliant']] = 2,
			[ReagentData['herb']['purplelotus']] = 3,
			[ReagentData['vial']['imbued']] = 1,
		},
	},
	["Brilliant Wizard Oil"] = {
		skill = 300,
		id = 20756,
		description = "MinLvl: 45, Use: While applied to target weapon it increases spell damage by up to 36 and increases Spell Critical chance by 1%. Lasts for 30 minutes. 5 Charges",
		type = "Consumable",
		source = "Vendor:Formula: Brilliant Wizard Oil",
		stacksize = 5,
		itemLvl = 55,
		tools = {
			[ReagentData['tool']['runedarcaniterod']] = 1,
		},
		reagents = {
			[ReagentData['shard']['largebrilliant']] = 2,
			[ReagentData['herb']['firebloom']] = 3,
			[ReagentData['vial']['imbued']] = 1,
		},
	},
	["Enchant 2H Weapon - Major Intellect"] = {
		skill = 300,
		description = "Permanently enchant a two-handed melee weapon to add 9 to intellect.",
		type = "2H Weapon",
		enchant = "Intellect",
		bonus = 9,
		source = "Drop",
		tools = {
			[ReagentData['tool']['runedarcaniterod']] = 1,
		},
		reagents = {
			[ReagentData['shard']['largebrilliant']] = 2,
			[ReagentData['essence']['greatereternal']] = 12,
		},
	},
	["Enchant 2H Weapon - Major Spirit"] = {
		skill = 300,
		description = "Permanently enchant a two-handed weapon so it grants +9 Spirit.",
		type = "2H Weapon",
		enchant = "Spirit",
		bonus = 9,
		source = "Drop",
		sourcerarity = "Uncommon",
		tools = {
			[ReagentData['tool']['runedarcaniterod']] = 1,
		},
		reagents = {
			[ReagentData['shard']['largebrilliant']] = 2,
			[ReagentData['essence']['greatereternal']] = 12,
		},
	},
	["Enchant Bracer - Assault"] = {
		skill = 300,
		description = "Permanently enchants bracers to increase attack power by 24.",
		type = "Wrist",
		enchant = "Attack Power",
		bonus = 24,
		source = "Trainer",
		tools = {
			[ReagentData['tool']['runedarcaniterod']] = 1,
		},
		reagents = {
			[ReagentData['dust']['arcane']] = 6,
		},
	},
	["Enchant Bracer - Healing Power"] = {
		skill = 300,
		id = 19447,
		description = "Permanently enchants bracers to increase the effects of your healing spells by 24.",
		type = "Wrist",
		enchant = "Healing",
		bonus = 24,
		source = "Vendor",
		tools = {
			[ReagentData['tool']['runedarcaniterod']] = 1,
		},
		reagents = {
			[ReagentData['shard']['largebrilliant']] = 2,
			[ReagentData['essence']['greatereternal']] = 4,
			[ReagentData['dust']['illusion']] = 20,
			[ReagentData['element']['livingessence']] = 6,
		},
	},
	["Enchant Bracer - Superior Stamina"] = {
		skill = 300,
		description = "Permanently enchants bracers to give +9 Stamina.",
		type = "Wrist",
		enchant = "Stamina",
		bonus = 9,
		source = "Drop",
		tools = {
			[ReagentData['tool']['runedtruesilverrod']] = 1,
		},
		reagents = {
			[ReagentData['dust']['illusion']] = 15,
		},
	},
	["Enchant Chest - Greater Stats"] = {
		skill = 300,
		description = "Permanently enchant a piece of chest armor to grant +4 to all stats.",
		type = "Chest",
		enchant = "All Stats",
		bonus = 4,
		source = "Drop",
		tools = {
			[ReagentData['tool']['runedarcaniterod']] = 1,
		},
		reagents = {
			[ReagentData['shard']['largebrilliant']] = 4,
			[ReagentData['essence']['greatereternal']] = 10,
			[ReagentData['dust']['illusion']] = 15,
		},
	},
	["Enchant Chest - Restore Mana Prime"] = {
		skill = 300,
		description = "Permanently enchant a piece of chest armor to grant 6 Mana every 5 seconds.",
		type = "Chest",
		enchant = "Regen Mana",
		bonus = 6,
		source = "Trainer",
		tools = {
			[ReagentData['tool']['runedtruesilverrod']] = 1,
		},
		reagents = {
			[ReagentData['essence']['lesserplanar']] = 2,
			[ReagentData['dust']['arcane']] = 2,
		},
	},
	["Enchant Cloak - Dodge"] = {
		skill = 300,
		description = "Permanently enchant a cloak to give 12 dodge rating.",
		type = "Back",
		enchant = "Dodge",
		bonus = 12,
		source = "Drop",
		tools = {
			[ReagentData['tool']['runedarcaniterod']] = 1,
		},
		reagents = {
			[ReagentData['shard']['largebrilliant']] = 8,
			[ReagentData['shard']['nexuscrystal']] = 3,
			[ReagentData['monster']['guardianstone']] = 8,
		},
	},
	["Enchant Cloak - Greater Fire Resistance"] = {
		skill = 300,
		id = 20732,
		description = "Permanently enchant a cloak to grant +15 Fire Resistance",
		type = "Back",
		enchant = "Resist Fire",
		bonus = 15,
		source = "Vendor",
		tools = {
			[ReagentData['tool']['runedarcaniterod']] = 1,
		},
		reagents = {
			[ReagentData['shard']['largebrilliant']] = 8,
			[ReagentData['element']['essenceoffire']] = 4,
			[ReagentData['shard']['nexuscrystal']] = 3,
		},
	},
	["Enchant Cloak - Greater Nature Resistance"] = {
		skill = 300,
		id = 20733,
		description = "Permanently enchant a cloak to grant +15 Nature Resistance",
		type = "Back",
		enchant = "Resist Nature",
		bonus = 15,
		source = "Vendor",
		tools = {
			[ReagentData['tool']['runedarcaniterod']] = 1,
		},
		reagents = {
			[ReagentData['shard']['largebrilliant']] = 8,
			[ReagentData['element']['livingessence']] = 4,
			[ReagentData['shard']['nexuscrystal']] = 2,
		},
	},
	["Enchant Cloak - Stealth"] = {
		skill = 300,
		description = "Permanently enchant a cloak to give an increase to stealth",
		type = "Back",
		enchant = "Stealth",
		source = "Drop",
		tools = {
			[ReagentData['tool']['runedarcaniterod']] = 1,
		},
		reagents = {
			[ReagentData['shard']['largebrilliant']] = 8,
			[ReagentData['herb']['blacklotus']] = 2,
			[ReagentData['shard']['nexuscrystal']] = 3,
		},
	},
	["Enchant Cloak - Subtlety"] = {
		skill = 300,
		description = "Permanently enchant a cloak to decrease threat caused by the wearer by 2%.",
		type = "Back",
		enchant = "Threat",
		bonus = -0.02,
		source = "Drop",
		tools = {
			[ReagentData['tool']['runedarcaniterod']] = 1,
		},
		reagents = {
			[ReagentData['shard']['largebrilliant']] = 6,
			[ReagentData['gem']['blackdiamond']] = 2,
			[ReagentData['shard']['nexuscrystal']] = 4,
		},
	},
	["Enchant Gloves - Fire Power"] = {
		skill = 300,
		description = "Permanently enchant gloves to grant +20 damage from fire spells",
		type = "Hands",
		enchant = "Fire Spell Damage",
		bonus = 20,
		source = "Drop",
		tools = {
			[ReagentData['tool']['runedarcaniterod']] = 1,
		},
		reagents = {
			[ReagentData['shard']['largebrilliant']] = 10,
			[ReagentData['element']['essenceoffire']] = 4,
			[ReagentData['shard']['nexuscrystal']] = 2,
		},
	},
	["Enchant Gloves - Frost Power"] = {
		skill = 300,
		description = "Permanently enchant gloves to grant +20 damage from frost spells",
		type = "Hands",
		enchant = "Frost Spell Damage",
		bonus = 20,
		source = "Drop",
		tools = {
			[ReagentData['tool']['runedarcaniterod']] = 1,
		},
		reagents = {
			[ReagentData['shard']['largebrilliant']] = 10,
			[ReagentData['element']['essenceofwater']] = 4,
			[ReagentData['shard']['nexuscrystal']] = 3,
		},
	},
	["Enchant Gloves - Healing Power"] = {
		skill = 300,
		description = "Permanently enchant gloves to grant +30 healing from spells",
		type = "Hands",
		enchant = "Healing",
		bonus = 30,
		source = "Drop",
		tools = {
			[ReagentData['tool']['runedarcaniterod']] = 1,
		},
		reagents = {
			[ReagentData['shard']['largebrilliant']] = 8,
			[ReagentData['monster']['righteousorb']] = 1,
			[ReagentData['shard']['nexuscrystal']] = 3,
		},
	},
	["Enchant Gloves - Shadow Power"] = {
		skill = 300,
		description = "Permanently enchant gloves to grant +20 damage from shadow spells",
		type = "Hands",
		enchant = "Shadow Spell Damage",
		bonus = 20,
		source = "Drop",
		tools = {
			[ReagentData['tool']['runedarcaniterod']] = 1,
		},
		reagents = {
			[ReagentData['shard']['largebrilliant']] = 10,
			[ReagentData['element']['essenceofundeath']] = 6,
			[ReagentData['shard']['nexuscrystal']] = 3,
		},
	},
	["Enchant Gloves - Superior Agility"] = {
		skill = 300,
		description = "Permanently enchant gloves to grant +15 agility",
		type = "Hands",
		enchant = "Agility",
		bonus = 15,
		source = "Drop",
		tools = {
			[ReagentData['tool']['runedarcaniterod']] = 1,
		},
		reagents = {
			[ReagentData['shard']['largebrilliant']] = 8,
			[ReagentData['element']['essenceofair']] = 4,
			[ReagentData['shard']['nexuscrystal']] = 3,
		},
	},
	["Enchant Gloves - Threat"] = {
		skill = 300,
		description = "Permanently enchant gloves to increase threat generated by 2%",
		type = "Hands",
		enchant = "Threat",
		bonus = 0.02,
		source = "Drop",
		tools = {
			[ReagentData['tool']['runedarcaniterod']] = 1,
		},
		reagents = {
			[ReagentData['shard']['largebrilliant']] = 6,
			[ReagentData['shard']['nexuscrystal']] = 4,
			[ReagentData['monster']['larvalacid']] = 8,
		},
	},
	["Enchant Weapon - Crusader"] = {
		skill = 300,
		description = "Permanently enchant a melee weapon so that often when attacking in melee it heals for 75 to 125 and increases Strength by 100 for 15 sec.",
		type = "Weapon",
		enchant = "CoH Crusader",
		source = "Drop",
		tools = {
			[ReagentData['tool']['runedarcaniterod']] = 1,
		},
		reagents = {
			[ReagentData['shard']['largebrilliant']] = 4,
			[ReagentData['monster']['righteousorb']] = 2,
		},
	},
	["Enchant Weapon - Healing Power"] = {
		skill = 300,
		description = "Permanently enchant a melee weapon to add up to 55 points of healing to healing spells.",
		type = "Weapon",
		enchant = "Healing",
		bonus = 55,
		source = "Drop",
		tools = {
			[ReagentData['tool']['runedarcaniterod']] = 1,
		},
		reagents = {
			[ReagentData['shard']['largebrilliant']] = 4,
			[ReagentData['element']['essenceofwater']] = 6,
			[ReagentData['monster']['righteousorb']] = 1,
			[ReagentData['element']['livingessence']] = 6,
			[ReagentData['essence']['greatereternal']] = 8,
		},
	},
	["Enchant Weapon - Lifestealing"] = {
		skill = 300,
		description = "Permanently enchant a melee weapon to often steal life from the enemy and give it to the wielder.",
		type = "Weapon",
		enchant = "CoH Lifestealing",
		source = "Drop",
		tools = {
			[ReagentData['tool']['runedarcaniterod']] = 1,
		},
		reagents = {
			[ReagentData['element']['essenceofundeath']] = 6,
			[ReagentData['element']['livingessence']] = 6,
			[ReagentData['shard']['largebrilliant']] = 6,
		},
	},
	["Enchant Weapon - Mighty Intellect"] = {
		skill = 300,
		id = 19449,
		description = "Permanently enchant a melee weapon to grant +22 Intellect.",
		type = "Weapon",
		enchant = "Intellect",
		bonus = 22,
		source = "Vendor",
		tools = {
			[ReagentData['tool']['runedarcaniterod']] = 1,
		},
		reagents = {
			[ReagentData['shard']['largebrilliant']] = 15,
			[ReagentData['essence']['greatereternal']] = 12,
			[ReagentData['dust']['illusion']] = 20,
		},
	},
	["Enchant Weapon - Mighty Spirit"] = {
		skill = 300,
		id = 19448,
		description = "Permanently enchant a melee weapon to grant +20 Spirit.",
		type = "Weapon",
		enchant = "Spirit",
		bonus = 20,
		source = "Vendor",
		tools = {
			[ReagentData['tool']['runedarcaniterod']] = 1,
		},
		reagents = {
			[ReagentData['shard']['largebrilliant']] = 10,
			[ReagentData['essence']['greatereternal']] = 8,
			[ReagentData['dust']['illusion']] = 15,
		},
	},
	["Enchant Weapon - Spell Power"] = {
		skill = 300,
		description = "Permanently enchant a melee weapon to add up to 30 damage to spells.",
		type = "Weapon",
		enchant = "Spell Damage",
		bonus = 30,
		source = "Drop",
		tools = {
			[ReagentData['tool']['runedarcaniterod']] = 1,
		},
		reagents = {
			[ReagentData['shard']['largebrilliant']] = 4,
			[ReagentData['element']['essenceofwater']] = 4,
			[ReagentData['essence']['greatereternal']] = 12,
			[ReagentData['element']['essenceofair']] = 4,
			[ReagentData['element']['essenceoffire']] = 4,
			[ReagentData['pearl']['golden']] = 2,
		},
	},
	["Enchant Weapon - Superior Striking"] = {
		skill = 300,
		description = "Permanently enchant a melee weapon to do 5 additional points of damage.",
		type = "Weapon",
		enchant = "Damage",
		bonus = 5,
		source = "Drop",
		tools = {
			[ReagentData['tool']['runedarcaniterod']] = 1,
		},
		reagents = {
			[ReagentData['shard']['largebrilliant']] = 2,
			[ReagentData['essence']['greatereternal']] = 10,
		},
	},
	["Runed Fel Iron Rod"] = {
		skill = 300,
		description = "[BoP] \"Can also serve as any lesser runed enchanting rod.\"",
		type = "Trade Goods",
		source = "Vendor",
		result = 1,
		itemLvl = 61,
		reagents = {
			[ReagentData['shard']['largebrilliant']] = 6,
			[ReagentData['essence']['greatereternal']] = 4,
			[ReagentData['tool']['runedarcaniterod']] = 1,
			[ReagentData['rod']['feliron']] = 1,
		},
	},
	["Enchant Boots - Vitality"] = {
		skill = 305,
		description = "Permanently enchant boots to restore 4 health and mana every 5 seconds.",
		type = "Feet",
		enchant = "Regen Mana/Health",
		bonus = 4,
		source = "",
		tools = {
			[ReagentData['tool']['runedfelironrod']] = 1,
		},
		reagents = {
			[ReagentData['potion']['majormana']] = 4,
			[ReagentData['potion']['majorhealing']] = 4,
			[ReagentData['dust']['arcane']] = 6,
		},
	},
	["Enchant Bracer - Brawn"] = {
		skill = 305,
		description = "Permanently enchants bracers to increase Strength by 12.",
		type = "Wrist",
		enchant = "Strength",
		bonus = 12,
		source = "Trainer",
		tools = {
			[ReagentData['tool']['runedfelironrod']] = 1,
		},
		reagents = {
			[ReagentData['dust']['arcane']] = 6,
		},
	},
	["Enchant Bracers - Major Intellect"] = {
		skill = 305,
		description = "Permanently enchants bracers to increase Intellect by 12",
		type = "Wrist",
		enchant = "Intellect",
		bonus = 12,
		source = "Trainer",
		tools = {
			[ReagentData['tool']['runedfelironrod']] = 1,
		},
		reagents = {
			[ReagentData['essence']['lesserplanar']] = 3,
		},
	},
	["Enchant Gloves - Blasting"] = {
		skill = 305,
		description = "Permanently enchant gloves to grant 10 spell critical strike rating.",
		type = "Hands",
		enchant = "Spell Crit",
		bonus = 10,
		source = "Trainer",
		tools = {
			[ReagentData['tool']['runedfelironrod']] = 1,
		},
		reagents = {
			[ReagentData['essence']['lesserplanar']] = 1,
			[ReagentData['dust']['arcane']] = 4,
		},
	},
	["Enchant Cloak - Greater Agility"] = {
		skill = 310,
		description = "Permanently enchant a cloak to increase Agility by 12",
		type = "Back",
		enchant = "Agility",
		bonus = 12,
		source = "Trainer",
		tools = {
			[ReagentData['tool']['runedfelironrod']] = 1,
		},
		reagents = {
			[ReagentData['element']['primalair']] = 1,
			[ReagentData['essence']['greaterplanar']] = 1,
			[ReagentData['dust']['arcane']] = 4,
		},
	},
	["Enchant Cloak - Major Armor"] = {
		skill = 310,
		description = "Permanently enchant a cloak to give 120 additional armor",
		type = "Back",
		enchant = "Armor",
		bonus = 120,
		source = "Trainer",
		tools = {
			[ReagentData['tool']['runedfelironrod']] = 1,
		},
		reagents = {
			[ReagentData['dust']['arcane']] = 8,
		},
	},
	["Enchant Gloves - Assault"] = {
		skill = 310,
		description = "Permanently enchant gloves to grant 26 attack power",
		type = "Hands",
		enchant = "Attack Power",
		bonus = 26,
		source = "Trainer",
		tools = {
			[ReagentData['tool']['runedfelironrod']] = 1,
		},
		reagents = {
			[ReagentData['dust']['arcane']] = 8,
		},
	},
	["Enchant Shield - Tough Shield"] = {
		skill = 310,
		description = "Permanently enchant a shield to give 18 additional block value",
		type = "Shield",
		enchant = "Block",
		bonus = 18,
		source = "Trainer",
		tools = {
			[ReagentData['tool']['runedfelironrod']] = 1,
		},
		reagents = {
			[ReagentData['element']['primalearth']] = 10,
			[ReagentData['dust']['arcane']] = 6,
		},
	},
	["Superior Mana Oil"] = {
		skill = 310,
		id = 22562,
		description = "MinLvl: 52, While applied to target weapon it restores 12 mana to the caster every 5 seconds.  Lasts for 30 minutes. Charges: 5",
		type = "Consumable",
		source = "Vendor",
		stacksize = 5,
		itemLvl = 62,
		tools = {
			[ReagentData['tool']['runedarcaniterod']] = 1,
		},
		reagents = {
			[ReagentData['herb']['netherbloom']] = 1,
			[ReagentData['vial']['imbued']] = 1,
			[ReagentData['dust']['arcane']] = 3,
		},
	},
	["Enchant Bracer - Stats"] = {
		skill = 315,
		description = "Permanently enchants bracers to increase all Stats by 4",
		type = "Wrist",
		enchant = "All Stats",
		bonus = 4,
		source = "Trainer",
		tools = {
			[ReagentData['tool']['runedfelironrod']] = 1,
		},
		reagents = {
			[ReagentData['essence']['lesserplanar']] = 6,
			[ReagentData['dust']['arcane']] = 6,
		},
	},
	["Enchant Chest - Exceptional Health"] = {
		skill = 315,
		description = "Permanently enchant a piece of chest armor to grant +150 health",
		type = "Chest",
		enchant = "Health",
		bonus = 150,
		source = "Trainer",
		tools = {
			[ReagentData['tool']['runedfelironrod']] = 1,
		},
		reagents = {
			[ReagentData['shard']['largebrilliant']] = 2,
			[ReagentData['potion']['majorhealing']] = 4,
			[ReagentData['dust']['arcane']] = 8,
		},
	},
	["Enchant Boots - Fortitude"] = {
		skill = 320,
		description = "Permanently enchant boots to increase Stamina by 12.",
		type = "Feet",
		enchant = "Stamina",
		bonus = 12,
		source = "Drop",
		tools = {
			[ReagentData['tool']['runedfelironrod']] = 1,
		},
		reagents = {
			[ReagentData['dust']['arcane']] = 12,
		},
	},
	["Enchant Bracer - Major Defense"] = {
		skill = 320,
		description = "Permanently enchants bracers to increase your defense rating by 12.",
		type = "Wrist",
		enchant = "Defense",
		bonus = 12,
		source = "Drop",
		tools = {
			[ReagentData['tool']['runedfelironrod']] = 1,
		},
		reagents = {
			[ReagentData['shard']['smallprismatic']] = 2,
			[ReagentData['dust']['arcane']] = 10,
		},
	},
	["Enchant Chest - Major Spirit"] = {
		skill = 320,
		description = "Permanently enchant a piece of chest armor to grant +15 Spirit",
		type = "Chest",
		enchant = "Spirit",
		bonus = 15,
		source = "Trainer",
		tools = {
			[ReagentData['tool']['runedfelironrod']] = 1,
		},
		reagents = {
			[ReagentData['essence']['greaterplanar']] = 2,
		},
	},
	["Arcane Dust"] = {
		skill = 325,
		description = "Arcane Dust",
		type = "Reagent",
		source = "Drop",
		result = 3,
		itemLvl = 60,
		tools = {
			[ReagentData['tool']['runedfelironrod']] = 1,
		},
		reagents = {
			[ReagentData['gem']['arcanecrystal']] = 1,
		},
	},
	["Enchant Bracer - Superior Healing"] = {
		skill = 325,
		description = "Permanently enchants bracers to increase the effect of your healing spells by up to 30.",
		type = "Wrist",
		enchant = "Healing",
		bonus = 30,
		source = "Vendor",
		tools = {
			[ReagentData['tool']['runedfelironrod']] = 1,
		},
		reagents = {
			[ReagentData['essence']['greaterplanar']] = 4,
			[ReagentData['element']['primallife']] = 4,
		},
	},
	["Enchant Chest - Exceptional Mana"] = {
		skill = 325,
		description = "Permanently enchant a piece of chest armor to grant +150 mana",
		type = "Chest",
		enchant = "Mana",
		bonus = 150,
		source = "Drop",
		tools = {
			[ReagentData['tool']['runedfelironrod']] = 1,
		},
		reagents = {
			[ReagentData['potion']['majormana']] = 4,
			[ReagentData['essence']['greaterplanar']] = 3,
			[ReagentData['shard']['largeprismatic']] = 1,
		},
	},
	["Enchant Cloak - Spell Penetration"] = {
		skill = 325,
		description = "Permanently enchant a cloak to increase Spell Penetration by 20.",
		type = "Back",
		enchant = "Spell Penetration",
		bonus = 20,
		source = "Vendor",
		tools = {
			[ReagentData['tool']['runedfelironrod']] = 1,
		},
		reagents = {
			[ReagentData['essence']['greaterplanar']] = 2,
			[ReagentData['element']['primalmana']] = 2,
			[ReagentData['dust']['arcane']] = 6,
		},
	},
	["Enchant Shield - Intellect"] = {
		skill = 325,
		description = "Permanently enchant a shield to give 12 intellect.",
		type = "Shield",
		enchant = "Intellect",
		bonus = 12,
		source = "Vendor",
		tools = {
			[ReagentData['tool']['runedfelironrod']] = 1,
		},
		reagents = {
			[ReagentData['essence']['greaterplanar']] = 4,
		},
	},
	["Enchant Shield - Major Stamina"] = {
		skill = 325,
		id = 28282,
		description = "Permanently enchant a shield to give 18 Stamina.",
		type = "Shield",
		enchant = "Stamina",
		bonus = 18,
		source = "Vendor",
		tools = {
			[ReagentData['tool']['runedfelironrod']] = 1,
		},
		reagents = {
			[ReagentData['dust']['arcane']] = 15,
		},
	},
	["Large Prismatic Shard"] = {
		skill = 325,
		id = 22565,
		description = "Large Prismatic Shard",
		type = "Reagent",
		source = "Vendor",
		resultrarity = "Rare",
		itemLvl = 70,
		tools = {
			[ReagentData['tool']['runedfelironrod']] = 1,
		},
		reagents = {
			[ReagentData['shard']['smallprismatic']] = 3,
		},
	},
	["Prismatic Sphere"] = {
		skill = 325,
		description = "(Gem White) +3 Resist All",
		type = "Gem",
		subtype = "White",
		enchant = "Resist All",
		bonus = 3,
		source = "Trainer",
		resultrarity = "Rare",
		itemLvl = 70,
		tools = {
			[ReagentData['tool']['runedfelironrod']] = 1,
		},
		reagents = {
			[ReagentData['shard']['largeprismatic']] = 4,
		},
	},
	["Enchant Cloak - Major Resistance"] = {
		skill = 330,
		description = "Permanently enchant a cloak to increase all Resistances by 7.",
		type = "Cloak",
		enchant = "Resist All",
		bonus = 7,
		source = "Drop",
		tools = {
			[ReagentData['tool']['runedfelironrod']] = 1,
		},
		reagents = {
			[ReagentData['essence']['greaterplanar']] = 4,
			[ReagentData['element']['primalfire']] = 4,
			[ReagentData['element']['primalair']] = 4,
			[ReagentData['element']['primalwater']] = 4,
			[ReagentData['element']['primalearth']] = 4,
		},
	},
	["Enchant Bracer - Restore Mana Prime"] = {
		skill = 335,
		description = "Permanently enchant bracers to restore 6 mana every 5 seconds.",
		type = "Wrist",
		enchant = "Regen Mana",
		bonus = 6,
		source = "Drop",
		sourcerarity = "Uncommon",
		tools = {
			[ReagentData['tool']['runedfelironrod']] = 1,
		},
		reagents = {
			[ReagentData['essence']['greaterplanar']] = 8,
		},
	},
	["Enchant Boots - Dexterity"] = {
		skill = 340,
		description = "Permanently enchant boots to increase Agility by 12.",
		type = "Feet",
		enchant = "Agility",
		bonus = 12,
		source = "Drop",
		tools = {
			[ReagentData['tool']['runedfelironrod']] = 1,
		},
		reagents = {
			[ReagentData['essence']['greaterplanar']] = 8,
			[ReagentData['dust']['arcane']] = 8,
		},
	},
	["Enchant Gloves - Major Strength"] = {
		skill = 340,
		description = "Permanently enchant gloves to grant +15 Strength",
		type = "Hands",
		enchant = "Strength",
		bonus = 15,
		source = "Trainer",
		tools = {
			[ReagentData['tool']['runedfelironrod']] = 1,
		},
		reagents = {
			[ReagentData['dust']['arcane']] = 12,
			[ReagentData['essence']['greaterplanar']] = 1,
		},
	},
	["Enchant Shield - Shield Block"] = {
		skill = 340,
		description = "Permanently enchant a shield to give +15 Shield Block Rating.",
		type = "Shield",
		enchant = "Block Rating",
		bonus = 15,
		source = "Drop",
		tools = {
			[ReagentData['tool']['runedfelironrod']] = 1,
		},
		reagents = {
			[ReagentData['essence']['greaterplanar']] = 4,
			[ReagentData['element']['primalearth']] = 10,
			[ReagentData['dust']['arcane']] = 12,
		},
	},
	["Enchant Weapon - Major Intellect"] = {
		skill = 340,
		description = "Permanently enchant a melee weapon to grant +30 Intellect.",
		type = "Weapon",
		enchant = "Intellect",
		bonus = 30,
		source = "Drop",
		tools = {
			[ReagentData['tool']['runedfelironrod']] = 1,
		},
		reagents = {
			[ReagentData['essence']['greaterplanar']] = 10,
			[ReagentData['shard']['largeprismatic']] = 2,
		},
	},
	["Enchant Weapon - Major Striking"] = {
		skill = 340,
		description = "Permanently enchant a melee weapon to do 7 additional points of damage.",
		type = "Weapon",
		enchant = "Damage",
		bonus = 7,
		source = "Drop",
		tools = {
			[ReagentData['tool']['runedfelironrod']] = 1,
		},
		reagents = {
			[ReagentData['essence']['greaterplanar']] = 6,
			[ReagentData['dust']['arcane']] = 6,
			[ReagentData['shard']['largeprismatic']] = 2,
		},
	},
	["Superior Wizard Oil"] = {
		skill = 340,
		id = 22563,
		description = "MinLvl: 58, Use: While applied to target weapon it increases spell damage by up to 36. Lasts for 30 minutes. Charges: 5",
		type = "Consumable",
		source = "Vendor",
		result = 1,
		stacksize = 5,
		itemLvl = 68,
		tools = {
			[ReagentData['tool']['runedfelironrod']] = 1,
		},
		reagents = {
			[ReagentData['herb']['nightmarevine']] = 1,
			[ReagentData['vial']['imbued']] = 1,
			[ReagentData['dust']['arcane']] = 3,
		},
	},
	["Enchant Chest - Exceptional Stats"] = {
		skill = 345,
		description = "Permanently enchant a piece of chest armor to add 6 to all stats.",
		type = "Chest",
		enchant = "All Stats",
		bonus = 6,
		source = "Vendor",
		tools = {
			[ReagentData['tool']['runedfelironrod']] = 1,
		},
		reagents = {
			[ReagentData['essence']['greaterplanar']] = 4,
			[ReagentData['dust']['arcane']] = 4,
			[ReagentData['shard']['largeprismatic']] = 4,
		},
	},
	["Enchant Chest - Major Resilience"] = {
		skill = 345,
		description = "Permanently enchant a piece of chest armor to grant 15 Resilience Rating.",
		type = "Chest",
		enchant = "Resilience",
		bonus = 15,
		source = "Drop",
		tools = {
			[ReagentData['tool']['runedfelironrod']] = 1,
		},
		reagents = {
			[ReagentData['essence']['greaterplanar']] = 4,
			[ReagentData['dust']['arcane']] = 10,
		},
	},
	["Enchant 2H Weapon - Savagery"] = {
		skill = 350,
		description = "Permanently enchant a Two Handed melee weapon to add 70 Attack Power.",
		type = "2H Weapon",
		enchant = "Attack Power",
		bonus = 70,
		source = "Drop",
		tools = {
			[ReagentData['tool']['runedfelironrod']] = 1,
		},
		reagents = {
			[ReagentData['dust']['arcane']] = 40,
			[ReagentData['shard']['largeprismatic']] = 4,
		},
	},
	["Enchant Bracer - Fortitude"] = {
		skill = 350,
		description = "Permanently enchants bracers to give 12 Stamina.",
		type = "Wrist",
		enchant = "Stamina",
		bonus = 12,
		source = "Drop",
		tools = {
			[ReagentData['tool']['runedfelironrod']] = 1,
		},
		reagents = {
			[ReagentData['essence']['greaterplanar']] = 10,
			[ReagentData['dust']['arcane']] = 20,
			[ReagentData['shard']['largeprismatic']] = 1,
		},
	},
	["Enchant Cloak - Greater Arcane Resistance"] = {
		skill = 350,
		description = "Permanently enchant a cloak to increase Arcane Resistance by 15.",
		type = "Cloak",
		enchant = "Resist Arcane",
		bonus = 15,
		source = "",
		tools = {
			[ReagentData['tool']['runedfelironrod']] = 1,
		},
		reagents = {
			[ReagentData['element']['primalmana']] = 8,
			[ReagentData['shard']['largeprismatic']] = 4,
		},
	},
	["Enchant Cloak - Greater Shadow Resistance"] = {
		skill = 350,
		description = "Permanently enchant a cloak to increase Shadow Resistance by 15.",
		type = "Cloak",
		enchant = "Resist Shadow",
		bonus = 15,
		source = "Drop",
		sourcerarity = "Rare",
		tools = {
			[ReagentData['tool']['runedfelironrod']] = 1,
		},
		reagents = {
			[ReagentData['element']['primalshadow']] = 8,
			[ReagentData['shard']['largeprismatic']] = 4,
		},
	},
	["Enchant Gloves - Major Healing"] = {
		skill = 350,
		id = 28273,
		description = "Permanently enchant gloves to increase Healing by 35.",
		type = "Hands",
		enchant = "Healing",
		bonus = 35,
		source = "Vendor",
		tools = {
			[ReagentData['tool']['runedfelironrod']] = 1,
		},
		reagents = {
			[ReagentData['element']['primallife']] = 6,
			[ReagentData['essence']['greaterplanar']] = 6,
			[ReagentData['shard']['largeprismatic']] = 6,
		},
	},
	["Enchant Weapon - Major Healing"] = {
		skill = 350,
		id = 28281,
		description = "Permanently enchant a melee weapon to add +81 Healing.",
		type = "Weapon",
		enchant = "Healing",
		bonus = 81,
		source = "Vendor:Formula: Enchant Weapon - Major Healing",
		tools = {
			[ReagentData['tool']['runedarcaniterod']] = 1,
		},
		reagents = {
			[ReagentData['element']['primallife']] = 8,
			[ReagentData['element']['primalwater']] = 8,
			[ReagentData['shard']['largeprismatic']] = 8,
		},
	},
	["Enchant Weapon - Major Spellpower"] = {
		skill = 350,
		description = "Permanently enchant a melee weapon to add up to 40 damage to all spells.",
		type = "Weapon",
		enchant = "Spell Damage",
		bonus = 40,
		source = "Drop",
		tools = {
			[ReagentData['tool']['runedfelironrod']] = 1,
		},
		reagents = {
			[ReagentData['essence']['greaterplanar']] = 8,
			[ReagentData['shard']['largeprismatic']] = 8,
		},
	},
	["Enchant Weapon - Potency"] = {
		skill = 350,
		description = "Permanently enchant a melee weapon to add 20 Strength.",
		type = "Weapon",
		enchant = "Strength",
		bonus = 20,
		source = "Drop",
		tools = {
			[ReagentData['tool']['runedfelironrod']] = 1,
		},
		reagents = {
			[ReagentData['essence']['greaterplanar']] = 5,
			[ReagentData['dust']['arcane']] = 20,
			[ReagentData['shard']['largeprismatic']] = 4,
		},
	},
	["Runed Adamantite Rod"] = {
		skill = 350,
		description = "[BoP] Requires Enchanting (350), \"Can also serve as any lesser runed enchanting rod.\"",
		type = "Trade Goods",
		source = "Vendor",
		result = 1,
		itemLvl = 61,
		tools = {
			[ReagentData['tool']['runedfelironrod']] = 1,
		},
		reagents = {
			[ReagentData['element']['primalmight']] = 1,
			[ReagentData['essence']['greaterplanar']] = 8,
			[ReagentData['shard']['largeprismatic']] = 8,
			[ReagentData['tool']['runedfelironrod']] = 1,
			[ReagentData['rod']['adamantite']] = 1,
		},
	},
	["Void Sphere"] = {
		skill = 350,
		description = "(Gem White) +4 Resist All",
		type = "Gem",
		subtype = "White",
		enchant = "Resist All",
		bonus = 4,
		source = "Trainer",
		result = 1,
		resultrarity = "Epic",
		itemLvl = 70,
		tools = {
			[ReagentData['tool']['runedeterniumrod']] = 1,
		},
		reagents = {
			[ReagentData['shard']['voidcrystal']] = 2,
		},
	},
	["Enchant 2H Weapon - Major Agility"] = {
		skill = 360,
		description = "Permanently enchant a Two Handed melee weapon to add 35 Agility.",
		type = "2H Weapon",
		enchant = "Agility",
		bonus = 35,
		source = "Drop",
		tools = {
			[ReagentData['tool']['runedadamantiterod']] = 1,
		},
		reagents = {
			[ReagentData['essence']['greaterplanar']] = 6,
			[ReagentData['dust']['arcane']] = 20,
			[ReagentData['shard']['largeprismatic']] = 8,
		},
	},
	["Enchant Boots - Boar's Speed"] = {
		skill = 360,
		description = "Permanently enchant boots to give a minor movement speed increase and 9 Stamina.",
		type = "Feet",
		enchant = "Stamina",
		bonus = 9,
		source = "Drop",
		tools = {
			[ReagentData['tool']['runedadamantiterod']] = 1,
		},
		reagents = {
			[ReagentData['element']['primalearth']] = 8,
			[ReagentData['shard']['largeprismatic']] = 8,
		},
	},
	["Enchant Boots - Cat's Swiftness"] = {
		skill = 360,
		description = "Permanently enchant boots to give a minor movement speed increase and 6 Agility.",
		type = "Feet",
		enchant = "Agility",
		bonus = 6,
		source = "",
		tools = {
			[ReagentData['tool']['runedadamantiterod']] = 1,
		},
		reagents = {
			[ReagentData['element']['primalair']] = 8,
			[ReagentData['shard']['largeprismatic']] = 8,
		},
	},
	["Enchant Bracer - Spellpower"] = {
		skill = 360,
		description = "Permanently enchant bracers to increase spell damage by up to 15.",
		type = "Wrist",
		enchant = "Spell Damage",
		bonus = 15,
		source = "Drop",
		tools = {
			[ReagentData['tool']['runedadamantiterod']] = 1,
		},
		reagents = {
			[ReagentData['element']['primalwater']] = 8,
			[ReagentData['element']['primalfire']] = 8,
			[ReagentData['shard']['largeprismatic']] = 6,
		},
	},
	["Enchant Gloves - Major Spellpower"] = {
		skill = 360,
		description = "Permanently enchant gloves to grant +20 Spell Damage.",
		type = "Hands",
		enchant = "Spell Damage",
		bonus = 20,
		source = "Vendor",
		tools = {
			[ReagentData['tool']['runedadamantiterod']] = 1,
		},
		reagents = {
			[ReagentData['essence']['greaterplanar']] = 6,
			[ReagentData['element']['primalfire']] = 6,
			[ReagentData['shard']['largeprismatic']] = 6,
		},
	},
	["Enchant Gloves - Spell Strike"] = {
		skill = 360,
		description = "Permanently enchant gloves to grant +15 Spell Hit Rating.",
		type = "Hands",
		enchant = "Spell Hit",
		bonus = 15,
		source = "Vendor",
		tools = {
			[ReagentData['tool']['runedadamantiterod']] = 1,
		},
		reagents = {
			[ReagentData['essence']['greaterplanar']] = 8,
			[ReagentData['dust']['arcane']] = 2,
			[ReagentData['shard']['largeprismatic']] = 2,
		},
	},
	["Enchant Ring - Spellpower"] = {
		skill = 360,
		description = "Permanently enchant a ring to increase spell damage by up to 12.  Only the enchanter's rings can be enchanted, and enchanting a ring will cause it to become soulbound.",
		type = "Finger",
		enchant = "Spell Damage",
		bonus = 12,
		source = "Vendor",
		tools = {
			[ReagentData['tool']['runedadamantiterod']] = 1,
		},
		reagents = {
			[ReagentData['essence']['greaterplanar']] = 8,
			[ReagentData['shard']['largeprismatic']] = 8,
		},
	},
	["Enchant Ring - Striking"] = {
		skill = 360,
		description = "Permanently enchant ring to increase weapon damage by 2.  Only the enchanter's rings can be enchanted, and enchanting a ring will cause it to become soulbound.",
		type = "Finger",
		enchant = "Damage",
		bonus = 2,
		source = "Vendor",
		tools = {
			[ReagentData['tool']['runedadamantiterod']] = 1,
		},
		reagents = {
			[ReagentData['dust']['arcane']] = 24,
			[ReagentData['shard']['largeprismatic']] = 8,
		},
	},
	["Enchant Shield - Resistance"] = {
		skill = 360,
		description = "Permanently enchant a shield to increase resistance to all magic schools by 5.",
		type = "Shield",
		enchant = "Resist All",
		bonus = 5,
		source = "",
		tools = {
			[ReagentData['tool']['runedadamantiterod']] = 1,
		},
		reagents = {
			[ReagentData['shard']['largeprismatic']] = 6,
			[ReagentData['element']['primalair']] = 3,
			[ReagentData['element']['primalwater']] = 3,
			[ReagentData['element']['primalearth']] = 3,
			[ReagentData['element']['primalfire']] = 3,
		},
	},
	["Enchant Weapon - Battlemaster"] = {
		skill = 360,
		description = "Permanently enchant a melee weapon to give a chance on striking to heal your party of 50 damage over 10 seconds.",
		type = "Weapon",
		enchant = "CoH Party Regen (10 sec)",
		bonus = 50,
		source = "Drop:Formula: Enchant Weapon - Battlemaster",
		sourcerarity = "Uncommon",
		tools = {
			[ReagentData['tool']['runedadamantiterod']] = 1,
		},
		reagents = {
			[ReagentData['shard']['voidcrystal']] = 2,
			[ReagentData['element']['primalwater']] = 8,
			[ReagentData['shard']['largeprismatic']] = 8,
		},
	},
	["Enchant Weapon - Spellsurge"] = {
		skill = 360,
		description = "Permanently enchant a melee weapon to have a 3% chance on spellcast to restore 100 mana to all party members over 10 seconds.",
		type = "Weapon",
		enchant = "CoC Party Mana Regen",
		bonus = 100,
		source = "",
		tools = {
			[ReagentData['tool']['runedadamantiterod']] = 1,
		},
		reagents = {
			[ReagentData['essence']['greaterplanar']] = 10,
			[ReagentData['dust']['arcane']] = 20,
			[ReagentData['shard']['largeprismatic']] = 12,
		},
	},
	["Runed Eternium Rod"] = {
		skill = 360,
		id = 25849,
		description = "[BoP] Requires Enchanting (360), \"Can also serve as any lesser runed enchanting rod.\"",
		type = "Trade Goods",
		source = "Vendor",
		itemLvl = 61,
		result = 1,
		reagents = {
			[ReagentData['rod']['eternium']] = 1,
			[ReagentData['essence']['greaterplanar']] = 12,
			[ReagentData['shard']['voidcrystal']] = 2,
			[ReagentData['tool']['runedadamantiterod']] = 1,
			[ReagentData['element']['primalmight']] = 4,
		},
	},
	["Enchant Boots - Surefooted"] = {
		skill = 370,
		description = "Permanently enchant boots to increase snare and root resistance by 5% and increase hit rating by 10.",
		type = "Feet",
		enchant = "Hit Rating",
		bonus = 10,
		source = "Drop",
		tools = {
			[ReagentData['tool']['runedeterniumrod']] = 1,
		},
		reagents = {
			[ReagentData['shard']['voidcrystal']] = 2,
			[ReagentData['element']['primalnether']] = 1,
			[ReagentData['shard']['largeprismatic']] = 4,
		},
	},
	["Enchant Ring - Healing Power"] = {
		skill = 370,
		id = 22537,
		description = "Permanently enchant a ring to increase healing spells by up to 12.  Only the enchanter's rings can be enchanted, and enchanting a ring will cause it to become soulbound.",
		type = "Finger",
		enchant = "Healing",
		bonus = 12,
		source = "Vendor",
		tools = {
			[ReagentData['tool']['runedeterniumrod']] = 1,
		},
		reagents = {
			[ReagentData['essence']['greaterplanar']] = 10,
			[ReagentData['shard']['largeprismatic']] = 8,
			[ReagentData['dust']['arcane']] = 20,
		},
	},
	["Enchant Ring - Stats"] = {
		skill = 375,
		description = "Permanently enchant a ring to increase all stats by 4.  Only the enchanter's rings can be enchanted, and enchanting a ring will cause it to become soulbound.",
		type = "Finger",
		enchant = "All Stats",
		bonus = 4,
		source = "Vendor",
		tools = {
			[ReagentData['tool']['runedeterniumrod']] = 1,
		},
		reagents = {
			[ReagentData['shard']['voidcrystal']] = 6,
			[ReagentData['shard']['largeprismatic']] = 6,
		},
	},
	["Enchant Weapon - Mongoose"] = {
		skill = 375,
		description = "Permanently enchant a melee weapon to occasionally increase Agility by 120 and attack speed slightly",
		type = "Weapon",
		enchant = "CoH Mongoose",
		source = "Drop",
		tools = {
			[ReagentData['tool']['runedeterniumrod']] = 1,
		},
		reagents = {
			[ReagentData['shard']['voidcrystal']] = 6,
			[ReagentData['essence']['greaterplanar']] = 8,
			[ReagentData['shard']['largeprismatic']] = 10,
			[ReagentData['dust']['arcane']] = 40,
		},
	},
	["Enchant Weapon - Soulfrost"] = {
		skill = 375,
		description = "Permanently enchant a melee weapon to add up to 54 damage to frost and shadow spells.",
		type = "Weapon",
		enchant = "Frost/Shadow Spell Damage",
		bonus = 54,
		source = "",
		tools = {
			[ReagentData['tool']['runedeterniumrod']] = 1,
		},
		reagents = {
			[ReagentData['shard']['voidcrystal']] = 6,
			[ReagentData['essence']['greaterplanar']] = 8,
			[ReagentData['shard']['largeprismatic']] = 10,
			[ReagentData['element']['primalshadow']] = 10,
			[ReagentData['element']['primalwater']] = 10,
		},
	},
	["Enchant Weapon - Sunfire"] = {
		skill = 375,
		description = "Permanently enchant a melee weapon to add up to 50 damage to fire and arcane spells.",
		type = "Weapons",
		enchant = "Fire/Arcane Spell Damage",
		bonus = 50,
		source = "Drop",
		tools = {
			[ReagentData['tool']['runedeterniumrod']] = 1,
		},
		reagents = {
			[ReagentData['shard']['voidcrystal']] = 6,
			[ReagentData['essence']['greaterplanar']] = 8,
			[ReagentData['shard']['largeprismatic']] = 10,
			[ReagentData['element']['primalfire']] = 10,
			[ReagentData['element']['primalmight']] = 2,
		},
	},
}

end