function ReagentData_LoadEngineering()
ReagentData['crafted']['engineering'] = {
	["Crafted Light Shot"] = {
		skill = 1,
		description = "(Projectile Bullet) MinLvl: 5, Adds 2 damage per second",
		type = "Bullet",
		source = "Trainer",
		result = 200,
		stacksize = 200,
		itemLvl = 10,
		reagents = {
			[ReagentData['bar']['copper']] = 1,
			[ReagentData['powder']['rough']] = 1,
		},
	},
	["Rough Blasting Powder"] = {
		skill = 1,
		description = "Rough Blasting Powder",
		type = "Parts",
		source = "Trainer",
		stacksize = 20,
		itemLvl = 5,
		tools = { },
		reagents = {
			[ReagentData['stone']['rough']] = 1,
		},
	},
	["Rough Dynamite"] = {
		skill = 1,
		description = "Requires Engineering (1), Use: Inflicts 26 to 34 Fire damage in a 5 yard radius.",
		type = "Explosives",
		source = "Trainer",
		result = 2,
		stacksize = 20,
		itemLvl = 10,
		tools = { },
		reagents = {
			[ReagentData['powder']['rough']] = 2,
			[ReagentData['cloth']['linen']] = 1,
		},
	},
	["Handful of Copper Bolts"] = {
		skill = 30,
		description = "Handful of Copper Bolts",
		type = "Parts",
		source = "Trainer",
		stacksize = 10,
		itemLvl = 8,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
		},
		reagents = {
			[ReagentData['bar']['copper']] = 1,
		},
	},
	["Rough Copper Bomb"] = {
		skill = 30,
		description = "Requires Engineering (30), Use: Inflicts 22 to 28 Fire damage and stuns targets in a 3 yard radius for 1 sec. Any damage will break the effect. Unreliable against targets higher than level 24.",
		type = "Explosives",
		source = "Trainer",
		result = 2,
		stacksize = 10,
		itemLvl = 14,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
		},
		reagents = {
			[ReagentData['bar']['copper']] = 1,
			[ReagentData['powder']['rough']] = 2,
			[ReagentData['part']['handfulofcopperbolts']] = 1,
			[ReagentData['cloth']['linen']] = 1,
		},
	},
	["Arclight Spanner"] = {
		skill = 50,
		description = "(MH) Dmg: 7-14, Spd: 2.40, DPS: 4.4, Main Hand, Requires Engineering (50)",
		type = "Trade Goods",
		source = "Trainer",
		itemLvl = 10,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
		},
		reagents = {
			[ReagentData['bar']['copper']] = 6,
		},
	},
	["Copper Tube"] = {
		skill = 50,
		description = "Copper Tube",
		type = "Parts",
		source = "Trainer",
		stacksize = 10,
		itemLvl = 10,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
		},
		reagents = {
			[ReagentData['bar']['copper']] = 2,
			[ReagentData['flux']['weak']] = 1,
		},
	},
	["Rough Boomstick"] = {
		skill = 50,
		description = "[BoE] (Gun) Dmg: 10-19, Spd: 2.30, DPS: 6.3, MinLvl: 5",
		type = "Gun",
		source = "Trainer",
		resultrarity = "Uncommon",
		itemLvl = 10,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
		},
		reagents = {
			[ReagentData['part']['coppertube']] = 1,
			[ReagentData['part']['handfulofcopperbolts']] = 1,
			[ReagentData['part']['woodenstock']] = 1,
		},
	},
	["Crude Scope"] = {
		skill = 60,
		description = "MinLvl: 5, Use: Attaches a permanent scope to a bow or gun that increases its damage by 1.",
		type = "Devices",
		source = "Trainer",
		stacksize = 5,
		itemLvl = 12,
		tools = {
			[ReagentData['tool']['arclightspanner']] = 1,
		},
		reagents = {
			[ReagentData['gem']['malachite']] = 1,
			[ReagentData['part']['handfulofcopperbolts']] = 1,
			[ReagentData['part']['coppertube']] = 1,
		},
	},
	["Copper Modulator"] = {
		skill = 65,
		description = "Copper Modulator",
		type = "Parts",
		source = "Trainer",
		stacksize = 10,
		itemLvl = 13,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
			[ReagentData['tool']['arclightspanner']] = 1,
		},
		reagents = {
			[ReagentData['bar']['copper']] = 1,
			[ReagentData['part']['handfulofcopperbolts']] = 2,
			[ReagentData['cloth']['linen']] = 2,
		},
	},
	["Coarse Blasting Powder"] = {
		skill = 75,
		description = "Coarse Blasting Powder",
		type = "Parts",
		source = "Trainer",
		stacksize = 20,
		itemLvl = 15,
		tools = { },
		reagents = {
			[ReagentData['stone']['coarse']] = 1,
		},
	},
	["Coarse Dynamite"] = {
		skill = 75,
		description = "Requires Engineering (75), Use: Inflicts 51 to 69 Fire damage in a 5 yard radius.",
		type = "Explosives",
		source = "Trainer",
		stacksize = 20,
		itemLvl = 20,
		tools = { },
		reagents = {
			[ReagentData['powder']['coarse']] = 3,
			[ReagentData['cloth']['linen']] = 1,
		},
	},
	["Crafted Heavy Shot"] = {
		skill = 75,
		description = "(Projectile Bullet) MinLvl: 15, Adds 4.5 damage per second",
		type = "Bullet",
		source = "Trainer",
		result = 200,
		stacksize = 200,
		itemLvl = 20,
		tools = { },
		reagents = {
			[ReagentData['bar']['copper']] = 1,
			[ReagentData['powder']['coarse']] = 1,
		},
	},
	["Mechanical Squirrel"] = {
		skill = 75,
		description = "[BoU] Use: Creates a Mechanical Squirrel that follows you around. Right Click to summon and dismiss your Squirrel.",
		type = "Devices",
		source = "Drop:Schematic: Mechanical Squirrel",
		sourcerarity = "Uncommon",
		resultname = "Mechanical Squirrel Box",
		itemLvl = 15,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
			[ReagentData['tool']['arclightspanner']] = 1,
		},
		reagents = {
			[ReagentData['bar']['copper']] = 1,
			[ReagentData['part']['handfulofcopperbolts']] = 1,
			[ReagentData['gem']['malachite']] = 2,
			[ReagentData['part']['coppermodulator']] = 1,
		},
	},
	["Target Dummy"] = {
		skill = 85,
		description = "Requires Engineering (85), Use: Drops a target dummy on the ground that attracts nearby monsters to attack it. Lasts for 15 seconds or until killed.",
		type = "Devices",
		source = "Trainer",
		stacksize = 10,
		itemLvl = 17,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
			[ReagentData['tool']['arclightspanner']] = 1,
		},
		reagents = {
			[ReagentData['part']['handfulofcopperbolts']] = 2,
			[ReagentData['bar']['bronze']] = 1,
			[ReagentData['part']['coppermodulator']] = 1,
			[ReagentData['cloth']['wool']] = 1,
		},
	},
	["Silver Contact"] = {
		skill = 90,
		description = "Silver Contact",
		type = "Parts",
		source = "Trainer",
		result = 5,
		stacksize = 20,
		itemLvl = 18,
		reagents = {
			[ReagentData['bar']['silver']] = 1,
		},
		reagents = {
			[ReagentData['bar']['silver']] = 1,
		},
	},
	["EZ-Thro Dynamite"] = {
		skill = 100,
		description = "MinLvl: 10, Use: The dynamite for Non-Engineers that nearly always gets to the target! Inflicts 51 to 69 Fire damage in a 5 yard radius.",
		type = "Explosives",
		source = "Drop:Schematic: EZ-Thro Dynamite",
		sourcerarity = "Uncommon",
		resultname = "Ez-Thro Dynamite",
		stacksize = 20,
		itemLvl = 25,
		tools = { },
		reagents = {
			[ReagentData['powder']['coarse']] = 4,
			[ReagentData['cloth']['wool']] = 1,
		},
	},
	["Flying Tiger Goggles"] = {
		skill = 100,
		description = "[BoE] (Cloth Head) AC: 27, Sta: 4, Spi: 4, Requires Engineering (100)",
		type = "Cloth",
		subtype = "Head",
		source = "Trainer",
		resultrarity = "Uncommon",
		itemLvl = 20,
		tools = {
			[ReagentData['tool']['arclightspanner']] = 1,
		},
		reagents = {
			[ReagentData['leather']['light']] = 6,
			[ReagentData['gem']['tigerseye']] = 2,
		},
	},
	["Practice Lock"] = {
		skill = 100,
		description = "Practice Lock",
		type = "Junk",
		source = "Trainer",
		itemLvl = 20,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
		},
		reagents = {
			[ReagentData['bar']['bronze']] = 1,
			[ReagentData['part']['handfulofcopperbolts']] = 2,
			[ReagentData['flux']['weak']] = 1,
		},
	},
	["Small Seaforium Charge"] = {
		skill = 100,
		description = "Requires Engineering (100), Use: Blasts open simple locked doors.",
		type = "Explosives",
		source = "Drop:Schematic: Small Seaforium Charge",
		sourcerarity = "Uncommon",
		stacksize = 10,
		itemLvl = 20,
		tools = { },
		reagents = {
			[ReagentData['powder']['coarse']] = 2,
			[ReagentData['leather']['light']] = 1,
			[ReagentData['part']['coppermodulator']] = 1,
			[ReagentData['drink']['refreshingspringwater']] = 1,
		},
	},
	["Bronze Tube"] = {
		skill = 105,
		description = "Bronze Tube",
		type = "Parts",
		source = "Trainer",
		stacksize = 10,
		itemLvl = 21,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
		},
		reagents = {
			[ReagentData['flux']['weak']] = 1,
			[ReagentData['bar']['bronze']] = 2,
		},
	},
	["Deadly Blunderbuss"] = {
		skill = 105,
		description = "[BoE] (Gun) Dmg: 21-39, Spd: 2.60, DPS: 11.5, MinLvl: 16",
		type = "Gun",
		source = "Trainer",
		resultrarity = "Uncommon",
		itemLvl = 21,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
			[ReagentData['tool']['arclightspanner']] = 1,
		},
		reagents = {
			[ReagentData['part']['coppertube']] = 2,
			[ReagentData['part']['handfulofcopperbolts']] = 4,
			[ReagentData['leather']['medium']] = 2,
			[ReagentData['part']['woodenstock']] = 1,
		},
	},
	["Large Copper Bomb"] = {
		skill = 105,
		description = "Requires Engineering (105), Use: Inflicts 43 to 57 Fire damage and disorients targets in a 5 yard radius for 1 sec.",
		type = "Explosives",
		source = "Trainer",
		result = 2,
		stacksize = 10,
		itemLvl = 26,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
		},
		reagents = {
			[ReagentData['bar']['copper']] = 3,
			[ReagentData['powder']['coarse']] = 4,
			[ReagentData['part']['silvercontact']] = 1,
		},
	},
	["Standard Scope"] = {
		skill = 110,
		description = "MinLvl: 10, Use: Attaches a permanent scope to a bow or gun that increases its damage by 2.",
		type = "Devices",
		source = "Trainer",
		stacksize = 5,
		itemLvl = 22,
		tools = {
			[ReagentData['tool']['arclightspanner']] = 1,
		},
		reagents = {
			[ReagentData['gem']['mossagate']] = 1,
			[ReagentData['part']['bronzetube']] = 1,
		},
	},
	["Lovingly Crafted Boomstick"] = {
		skill = 120,
		id = 13309,
		description = "[BoE] (Gun) Dmg: 12-23, Spd: 1.80, DPS: 9.7, MinLvl: 19",
		type = "Gun",
		source = "Vendor:Schematic: Lovingly Crafted Boomstick",
		resultrarity = "Uncommon",
		itemLvl = 24,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
			[ReagentData['tool']['arclightspanner']] = 1,
		},
		reagents = {
			[ReagentData['part']['heavystock']] = 1,
			[ReagentData['part']['bronzetube']] = 2,
			[ReagentData['part']['handfulofcopperbolts']] = 2,
			[ReagentData['gem']['mossagate']] = 3,
		},
	},
	["Shadow Goggles"] = {
		skill = 120,
		description = "[BoE] (Cloth Head) AC: 31, Int: 5, Spi: 6, Requires Engineering (120)",
		type = "Cloth",
		subtype = "Head",
		source = "Drop:Schematic: Shadow Goggles",
		sourcerarity = "Uncommon",
		resultrarity = "Uncommon",
		itemLvl = 24,
		tools = { },
		reagents = {
			[ReagentData['leather']['medium']] = 4,
			[ReagentData['gem']['shadow']] = 2,
		},
	},
	["Small Bronze Bomb"] = {
		skill = 120,
		description = "Requires Engineering (120), Use: Inflicts 73 to 97 Fire damage and stuns targets in a 3 yard radius for 2 sec. Any damage will break the effect. Unreliable against targets higher than level 39.",
		type = "Explosives",
		source = "Trainer",
		stacksize = 10,
		itemLvl = 29,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
		},
		reagents = {
			[ReagentData['powder']['coarse']] = 4,
			[ReagentData['part']['silvercontact']] = 1,
			[ReagentData['bar']['bronze']] = 2,
			[ReagentData['cloth']['wool']] = 1,
		},
	},
	["Crafted Solid Shot"] = {
		skill = 125,
		description = "(Projectile Bullet) MinLvl: 30, Adds 8.5 damage per second",
		type = "Bullet",
		source = "Trainer",
		result = 200,
		stacksize = 200,
		itemLvl = 35,
		tools = { },
		reagents = {
			[ReagentData['bar']['bronze']] = 1,
			[ReagentData['powder']['heavy']] = 1,
		},
	},
	["Flame Deflector"] = {
		skill = 125,
		description = "MinLvl: 15, Use: Absorbs 500 Fire damage. Lasts 1 min., Cooldown: 15 min, Charges: 5",
		type = "Devices",
		source = "Drop:Schematic: Flame Deflector",
		sourcerarity = "Uncommon",
		itemLvl = 25,
		reagents = {
			[ReagentData['part']['whirringbronzegizmo']] = 1,
			[ReagentData['monster']['smallflamesac']] = 1,
		},
	},
	["Gnomish Universal Remote"] = {
		skill = 125,
		id = 7560,
		description = "[BoE] (Trinket) Requires Engineering (125), Use: Allows control of a mechanical target for a short time. It may not always work and may just root the machine or make it very very angry. Gnomish engineering at its finest.",
		type = "Devices",
		source = "Drop, Vendor:Schematic: Gnomish Universal Remote",
		resultrarity = "Uncommon",
		itemLvl = 25,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
			[ReagentData['tool']['arclightspanner']] = 1,
		},
		reagents = {
			[ReagentData['gem']['tigerseye']] = 1,
			[ReagentData['gem']['malachite']] = 1,
			[ReagentData['bar']['bronze']] = 6,
			[ReagentData['monster']['flaskofoil']] = 2,
			[ReagentData['part']['whirringbronzegizmo']] = 1,
		},
	},
	["Heavy Blasting Powder"] = {
		skill = 125,
		description = "Heavy Blasting Powder",
		type = "Parts",
		source = "Trainer",
		stacksize = 20,
		itemLvl = 25,
		tools = { },
		reagents = {
			[ReagentData['stone']['heavy']] = 1,
		},
	},
	["Heavy Dynamite"] = {
		skill = 125,
		description = "Requires Engineering (125), Use: Inflicts 128 to 172 Fire damage in a 5 yard radius.",
		type = "Explosives",
		source = "Trainer",
		stacksize = 20,
		itemLvl = 30,
		tools = { },
		reagents = {
			[ReagentData['powder']['heavy']] = 2,
			[ReagentData['cloth']['wool']] = 1,
		},
	},
	["Small Blue Rocket"] = {
		skill = 125,
		description = "Use: Throw into a firework launcher!",
		type = "Miscellaneous",
		source = "Seasonal:Quest: Small Rockets",
		result = 3,
		stacksize = 20,
		itemLvl = 1,
		tools = { },
		reagents = {
			[ReagentData['powder']['coarse']] = 1,
			[ReagentData['leather']['medium']] = 1,
		},
	},
	["Small Green Rocket"] = {
		skill = 125,
		description = "Use: Throw into a firework launcher!",
		type = "Miscellaneous",
		source = "Seasonal:Quest: Small Rockets",
		result = 3,
		stacksize = 20,
		itemLvl = 1,
		tools = { },
		reagents = {
			[ReagentData['powder']['coarse']] = 1,
			[ReagentData['leather']['medium']] = 1,
		},
	},
	["Small Red Rocket"] = {
		skill = 125,
		description = "Use: Throw into a firework launcher!",
		type = "Miscellaneous",
		source = "Seasonal:Quest: Small Rockets",
		result = 3,
		stacksize = 20,
		itemLvl = 1,
		tools = { },
		reagents = {
			[ReagentData['powder']['coarse']] = 1,
			[ReagentData['leather']['medium']] = 1,
		},
	},
	["Whirring Bronze Gizmo"] = {
		skill = 125,
		description = "Whirring Bronze Gizmo",
		type = "Parts",
		source = "Trainer",
		stacksize = 10,
		itemLvl = 25,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
			[ReagentData['tool']['arclightspanner']] = 1,
		},
		reagents = {
			[ReagentData['bar']['bronze']] = 2,
			[ReagentData['cloth']['wool']] = 1,
		},
	},
	["Silver-plated Shotgun"] = {
		skill = 130,
		description = "[BoE] (Gun) Dmg: 19-37, Spd: 2.70, DPS: 10.4, MinLvl: 21",
		type = "Gun",
		source = "Trainer",
		resultrarity = "Uncommon",
		itemLvl = 26,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
		},
		reagents = {
			[ReagentData['part']['heavystock']] = 1,
			[ReagentData['part']['bronzetube']] = 2,
			[ReagentData['bar']['silver']] = 3,
			[ReagentData['part']['whirringbronzegizmo']] = 2,
		},
	},
	["Ornate Spyglass"] = {
		skill = 135,
		description = "Use: Allows you to look far into the distance.",
		type = "Devices",
		source = "Trainer",
		itemLvl = 27,
		tools = { },
		reagents = {
			[ReagentData['part']['bronzetube']] = 2,
			[ReagentData['gem']['mossagate']] = 1,
			[ReagentData['part']['whirringbronzegizmo']] = 2,
			[ReagentData['part']['coppermodulator']] = 1,
		},
	},
	["Big Bronze Bomb"] = {
		skill = 140,
		description = "Requires Engineering (140), Use: Inflicts 85 to 115 Fire damage and stuns targets in a 5 yard radius for 2 sec. Any damage will break the effect. Unreliable against targets higher than level 44.",
		type = "Explosives",
		source = "Trainer",
		result = 2,
		stacksize = 10,
		itemLvl = 33,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
			[ReagentData['tool']['arclightspanner']] = 1,
		},
		reagents = {
			[ReagentData['bar']['bronze']] = 3,
			[ReagentData['part']['silvercontact']] = 1,
			[ReagentData['powder']['heavy']] = 2,
		},
	},
	["Minor Recombobulator"] = {
		skill = 140,
		id = 14639,
		description = "(Trinket) Requires Engineering (140), Use: Dispels Polymorph effects on a friendly target. Also restores 150 to 250 health and mana. Charges: 10",
		type = "Devices",
		source = "Vendor:Schematic: Minor Recombobulator",
		resultrarity = "Uncommon",
		itemLvl = 28,
		tools = { },
		reagents = {
			[ReagentData['part']['bronzetube']] = 1,
			[ReagentData['gem']['mossagate']] = 1,
			[ReagentData['part']['whirringbronzegizmo']] = 2,
			[ReagentData['leather']['medium']] = 2,
		},
	},
	["Bronze Framework"] = {
		skill = 145,
		description = "Bronze Framework",
		type = "Parts",
		source = "Trainer",
		stacksize = 10,
		itemLvl = 29,
		tools = { },
		reagents = {
			[ReagentData['bar']['bronze']] = 2,
			[ReagentData['leather']['medium']] = 1,
			[ReagentData['cloth']['wool']] = 1,
		},
	},
	["Moonsight Rifle"] = {
		skill = 145,
		description = "[BoE] (Gun) DPS: 15.9, Dmg: 19-35, Spd: 1.70, MinLvl: 24",
		type = "Gun",
		source = "Drop:Schematic: Moonsight Rifle",
		sourcerarity = "Uncommon",
		resultrarity = "Uncommon",
		itemLvl = 29,
		reagents = {
			[ReagentData['gem']['lessermoonstone']] = 2,
			[ReagentData['part']['bronzetube']] = 3,
			[ReagentData['part']['whirringbronzegizmo']] = 3,
			[ReagentData['part']['heavystock']] = 1,
		},
	},
	["Aquadynamic Fish Attractor"] = {
		skill = 150,
		description = "Requires Fishing (100), Use: When applied to your fishing pole, increases Fishing by 100 for 5 minutes.",
		type = "Devices",
		source = "Trainer",
		result = 3,
		stacksize = 20,
		itemLvl = 30,
		tools = { },
		reagents = {
			[ReagentData['bar']['bronze']] = 2,
			[ReagentData['powder']['coarse']] = 1,
			[ReagentData['vendorother']['nightcrawlers']] = 1,
		},
	},
	["Blue Firework"] = {
		skill = 150,
		id = 18649,
		description = "Use: Shoots a firework into the air that bursts into a thousand blue stars. ",
		type = "Consumable",
		source = "Vendor:Schematic: Blue Firework",
		result = 3,
		stacksize = 5,
		itemLvl = 20,
		tools = { },
		reagents = {
			[ReagentData['leather']['heavy']] = 1,
			[ReagentData['powder']['heavy']] = 1,
		},
	},
	["Explosive Sheep"] = {
		skill = 150,
		description = "Requires Engineering (150), Use: Summons an Explosive Sheep which will charge at a nearby enemy and explode for 135 to 165 damage. Lasts for 3 min or until it explodes.",
		type = "Explosives",
		source = "Trainer",
		stacksize = 5,
		itemLvl = 30,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
			[ReagentData['tool']['arclightspanner']] = 1,
		},
		reagents = {
			[ReagentData['part']['bronzeframework']] = 1,
			[ReagentData['powder']['heavy']] = 2,
			[ReagentData['part']['whirringbronzegizmo']] = 1,
			[ReagentData['cloth']['wool']] = 2,
		},
	},
	["Gold Power Core"] = {
		skill = 150,
		description = "Gold Power Core",
		type = "Parts",
		source = "Trainer",
		result = 3,
		stacksize = 20,
		itemLvl = 30,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
			[ReagentData['tool']['arclightspanner']] = 1,
		},
		reagents = {
			[ReagentData['bar']['gold']] = 1,
		},
	},
	["Green Firework"] = {
		skill = 150,
		id = 18648,
		description = "Use: Shoots a firework into the air that bursts into a thousand green stars. ",
		type = "Consumable",
		source = "Vendor:Schematic: Green Firework",
		result = 3,
		stacksize = 5,
		itemLvl = 20,
		tools = { },
		reagents = {
			[ReagentData['leather']['heavy']] = 1,
			[ReagentData['powder']['heavy']] = 1,
		},
	},
	["Green Tinted Goggles"] = {
		skill = 150,
		description = "[BoE] (Cloth Head) AC: 35, Sta: 8, Spi: 7, Requires Engineering (150)",
		type = "Cloth",
		subtype = "Head",
		source = "Trainer",
		resultrarity = "Uncommon",
		itemLvl = 30,
		tools = {
			[ReagentData['tool']['arclightspanner']] = 1,
		},
		reagents = {
			[ReagentData['gem']['mossagate']] = 2,
			[ReagentData['armor']['flyingtigergoggles']] = 1,
			[ReagentData['leather']['medium']] = 4,
		},
	},
	["Red Firework"] = {
		skill = 150,
		id = 18647,
		description = "Use: Shoots a firework into the air that bursts into a thousand red stars. ",
		type = "Consumable",
		source = "Vendor:Schematic: Red Firework",
		result = 3,
		stacksize = 5,
		itemLvl = 20,
		tools = { },
		reagents = {
			[ReagentData['leather']['heavy']] = 1,
			[ReagentData['powder']['heavy']] = 1,
		},
	},
	["Ice Deflector"] = {
		skill = 155,
		id = 13308,
		description = "MinLvl: 21, Use: Absorbs 600 Frost damage. Lasts 1 min., Cooldown: 15 min, Charges: 5",
		type = "Devices",
		source = "Vendor:Schematic: Ice Deflector",
		itemLvl = 31,
		reagents = {
			[ReagentData['oil']['frost']] = 1,
			[ReagentData['part']['whirringbronzegizmo']] = 1,
		},
	},
	["Discombobulator Ray"] = {
		skill = 160,
		description = "Use: Transforms the target into a Leper Gnome, reducing its melee and spell damage by 40 and its movement rate by 20% for 12 sec.",
		type = "Devices",
		source = "Drop:Schematic: Discombobulator Ray",
		sourcerarity = "Uncommon",
		itemLvl = 32,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
			[ReagentData['tool']['arclightspanner']] = 1,
		},
		reagents = {
			[ReagentData['part']['bronzetube']] = 1,
			[ReagentData['cloth']['silk']] = 2,
			[ReagentData['part']['whirringbronzegizmo']] = 3,
			[ReagentData['gem']['jade']] = 1,
		},
	},
	["Iron Strut"] = {
		skill = 160,
		description = "Iron Strut",
		type = "Parts",
		source = "Trainer",
		stacksize = 10,
		itemLvl = 32,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
		},
		reagents = {
			[ReagentData['bar']['iron']] = 2,
		},
	},
	["Goblin Jumper Cables"] = {
		skill = 165,
		id = 7561,
		description = "(Trinket) Requires Engineering (165), Use: Jumper Cables will sometimes be able to shock a dead player back to life. Cannot be used when in combat.",
		type = "Devices",
		source = "Vendor:Schematic: Goblin Jumper Cables",
		itemLvl = 33,
		tools = { },
		reagents = {
			[ReagentData['part']['whirringbronzegizmo']] = 2,
			[ReagentData['bar']['iron']] = 6,
			[ReagentData['cloth']['silk']] = 2,
			[ReagentData['part']['fusedwiring']] = 1,
			[ReagentData['monster']['flaskofoil']] = 2,
			[ReagentData['gem']['shadow']] = 2,
		},
	},
	["Portable Bronze Mortar"] = {
		skill = 165,
		description = "Requires Engineering (165), Use: Inflicts 85 to 115 Fire damage and stuns targets in a 5 yard radius for 2 sec. Any damage will break the effect. Unreliable against targets higher than level 44., Cooldown: 1 min, Charges: 8",
		type = "Devices",
		source = "Drop:Schematic: Portable Bronze Mortar",
		sourcerarity = "Uncommon",
		itemLvl = 33,
		reagents = {
			[ReagentData['part']['bronzetube']] = 4,
			[ReagentData['part']['ironstrut']] = 1,
			[ReagentData['powder']['heavy']] = 4,
			[ReagentData['leather']['medium']] = 4,
		},
	},
	["Gyrochronatom"] = {
		skill = 170,
		description = "Gyrochronatom",
		type = "Parts",
		source = "Trainer",
		stacksize = 10,
		itemLvl = 34,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
			[ReagentData['tool']['arclightspanner']] = 1,
		},
		reagents = {
			[ReagentData['part']['goldpowercore']] = 1,
			[ReagentData['bar']['iron']] = 1,
		},
	},
	["Bright-Eye Goggles"] = {
		skill = 175,
		description = "[BoE] (Cloth Head) AC: 38, Sta: 9, Spi: 9, Requires Engineering (175)",
		type = "Cloth",
		subtype = "Head",
		source = "Drop:Schematic: Bright-Eye Goggles",
		sourcerarity = "Uncommon",
		resultrarity = "Uncommon",
		itemLvl = 35,
		tools = {
				[ReagentData['tool']['arclightspanner']] = 1,
		},
		reagents = {
			[ReagentData['leather']['heavy']] = 6,
			[ReagentData['gem']['citrine']] = 2,
		},
	},
	["Compact Harvest Reaper Kit"] = {
		skill = 175,
		description = "MinLvl: 30, Requires Engineering (175), Use: Creates a Compact Harvest Reaper that will fight for you for 10 min or until it is destroyed.",
		type = "Devices",
		source = "Trainer",
		stacksize = 5,
		itemLvl = 35,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
			[ReagentData['tool']['arclightspanner']] = 1,
		},
		reagents = {
			[ReagentData['part']['bronzeframework']] = 1,
			[ReagentData['part']['ironstrut']] = 2,
			[ReagentData['leather']['heavy']] = 4,
			[ReagentData['part']['gyrochronatom']] = 2,
		},
	},
	["Gyromatic Micro-Adjustor"] = {
		skill = 175,
		description = "Gyromatic Micro-Adjustor",
		type = "Trade Goods",
		source = "Trainer",
		itemLvl = 35,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
		},
		reagents = {
			[ReagentData['bar']['steel']] = 4,
		},
	},
	["Iron Grenade"] = {
		skill = 175,
		description = "Requires Engineering (175), Use: Inflicts 132 to 218 Fire damage and stuns targets for 3 sec in a 3 yard radius. Any damage will break the effect. Unreliable against targets higher than level 50.",
		type = "Explosives",
		source = "Trainer",
		result = 2,
		stacksize = 10,
		itemLvl = 35,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
		},
		reagents = {
			[ReagentData['cloth']['silk']] = 1,
			[ReagentData['powder']['heavy']] = 1,
			[ReagentData['bar']['iron']] = 1,
		},
	},
	["Large Blue Rocket"] = {
		skill = 175,
		description = "Use: Throw into a firework launcher!",
		type = "Miscellaneous",
		source = "Seasonal:Quest: Large Rockets",
		result = 3,
		stacksize = 20,
		itemLvl = 1,
		tools = { },
		reagents = {
			[ReagentData['leather']['heavy']] = 1,
			[ReagentData['powder']['heavy']] = 1,
		},
	},
	["Large Green Rocket"] = {
		skill = 175,
		description = "Use: Throw into a firework launcher!",
		type = "Miscellaneous",
		source = "Seasonal:Quest: Large Rockets",
		result = 3,
		stacksize = 20,
		itemLvl = 1,
		tools = { },
		reagents = {
			[ReagentData['leather']['heavy']] = 1,
			[ReagentData['powder']['heavy']] = 1,
		},
	},
	["Large Red Rocket"] = {
		skill = 175,
		description = "Use: Throw into a firework launcher!",
		type = "Miscellaneous",
		source = "Seasonal:Quest: Large Rockets",
		result = 3,
		stacksize = 20,
		itemLvl = 1,
		tools = { },
		reagents = {
			[ReagentData['leather']['heavy']] = 1,
			[ReagentData['powder']['heavy']] = 1,
		},
	},
	["Solid Blasting Powder"] = {
		skill = 175,
		description = "Solid Blasting Powder",
		type = "Parts",
		source = "Trainer",
		stacksize = 20,
		itemLvl = 35,
		tools = { },
		reagents = {
			[ReagentData['stone']['solid']] = 2,
		},
	},
	["Solid Dynamite"] = {
		skill = 175,
		description = "Requires Engineering (175), Use: Inflicts 213 to 287 Fire damage in a 5 yard radius.",
		type = "Explosives",
		source = "Trainer",
		result = 2,
		stacksize = 20,
		itemLvl = 35,
		tools = { },
		reagents = {
			[ReagentData['powder']['solid']] = 1,
			[ReagentData['cloth']['silk']] = 1,
		},
	},
	["Accurate Scope"] = {
		skill = 180,
		id = 13310,
		description = "MinLvl: 20, Use: Attaches a permanent scope to a bow or gun that increases its damage by 3.",
		type = "Devices",
		source = "Vendor:Schematic: Accurate Scope",
		stacksize = 5,
		itemLvl = 36,
		tools = {
			[ReagentData['tool']['gyromaticmicro-adjustor']] = 1,
			[ReagentData['tool']['arclightspanner']] = 1,
		},
		reagents = {
			[ReagentData['part']['bronzetube']] = 1,
			[ReagentData['gem']['jade']] = 1,
			[ReagentData['gem']['citrine']] = 1,
		},
	},
	["Advanced Target Dummy"] = {
		skill = 185,
		description = "Requires Engineering (185), Use: Drops a target dummy on the ground that attracts nearby monsters to attack it. Lasts for 15 seconds or until killed.",
		type = "Devices",
		source = "Trainer",
		stacksize = 10,
		itemLvl = 37,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
			[ReagentData['tool']['arclightspanner']] = 1,
		},
		reagents = {
			[ReagentData['part']['bronzeframework']] = 1,
			[ReagentData['part']['ironstrut']] = 1,
			[ReagentData['leather']['heavy']] = 4,
			[ReagentData['part']['gyrochronatom']] = 1,
		},
	},
	["Craftsman's Monocle"] = {
		skill = 185,
		description = "[BoE] (Cloth Head) AC: 40, Int: 15, MinLvl: 32, Requires Engineering (185)",
		type = "Cloth",
		subtype = "Head",
		source = "Drop:Schematic: Craftsman's Monocle",
		sourcerarity = "Rare",
		resultrarity = "Uncommon",
		itemLvl = 37,
		reagents = {
			[ReagentData['leather']['heavy']] = 6,
			[ReagentData['gem']['citrine']] = 2,
		},
	},
	["Flash Bomb"] = {
		skill = 185,
		description = "MinLvl: 27, Use: Causes all Beasts in a 5 yard radius to run away for 10 sec.",
		type = "Explosives",
		source = "Quest: Flash Bomb Recipe",
		sourcerarity = "Uncommon",
		stacksize = 5,
		itemLvl = 37,
		tools = { },
		reagents = {
			[ReagentData['pearl']['blue']] = 1,
			[ReagentData['powder']['heavy']] = 1,
			[ReagentData['cloth']['silk']] = 1,
		},
	},
	["Big Iron Bomb"] = {
		skill = 190,
		description = "Requires Engineering (190), Use: Inflicts 149 to 201 Fire damage and stuns targets in a 5 yard radius for 3 sec. Any damage will break the effect. Unreliable against targets higher than level 53.",
		type = "Explosives",
		source = "Trainer",
		result = 2,
		stacksize = 10,
		itemLvl = 43,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
			[ReagentData['tool']['arclightspanner']] = 1,
		},
		reagents = {
			[ReagentData['powder']['heavy']] = 3,
			[ReagentData['part']['silvercontact']] = 1,
			[ReagentData['bar']['iron']] = 3,
		},
	},
	["SnowMaster 9000"] = {
		skill = 190,
		description = "Requires Engineering (190), Use: Allows an experienced engineer to turn water into a snowball. The Snowmaster requires a day to build up enough chill to freeze another snowball.",
		type = "Devices",
		source = "Seasonal:Quest:A Smokywood Pastures' Thank You!",
		sourcerarity = "Uncommon",
		itemLvl = 38,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
			[ReagentData['tool']['arclightspanner']] = 1,
		},
		reagents = {
			[ReagentData['oil']['frost']] = 1,
			[ReagentData['bar']['mithril']] = 8,
			[ReagentData['other']['snowball']] = 4,
			[ReagentData['part']['gyrochronatom']] = 4,
		},
	},
	["Goblin Land Mine"] = {
		skill = 195,
		description = "Requires Engineering (195), Use: Places the Goblin Land Mine on the ground. It will explode for 394 to 506 fire damage the next time a hostile creature passes near it. The mine has a duration of 1 min.",
		type = "Explosives",
		source = "Drop:Schematic: Goblin Land Mine",
		sourcerarity = "Uncommon",
		stacksize = 10,
		itemLvl = 39,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
			[ReagentData['tool']['arclightspanner']] = 1,
		},
		reagents = {
			[ReagentData['part']['gyrochronatom']] = 1,
			[ReagentData['powder']['heavy']] = 3,
			[ReagentData['bar']['iron']] = 2,
		},
	},
	["Mithril Tube"] = {
		skill = 195,
		description = "Mithril Tube",
		type = "Parts",
		source = "Trainer",
		stacksize = 10,
		itemLvl = 39,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
		},
		reagents = {
			[ReagentData['bar']['mithril']] = 3,
		},
	},
	["EZ-Thro Dynamite II"] = {
		skill = 200,
		description = "MinLvl: 30, Use: Inflicts 213 to 287 Fire damage in a 5 yard radius (Assuming that it gets to the target, some restrictions may apply.)",
		type = "Explosives",
		source = "Vendor:Schematic: EZ-Thro Dynamite II",
		stacksize = 20,
		itemLvl = 40,
		tools = { },
		reagents = {
			[ReagentData['powder']['solid']] = 1,
			[ReagentData['cloth']['mageweave']] = 2,
		},
	},
	["Gnomish Cloaking Device"] = {
		skill = 200,
		id = 7742,
		description = "[BoE] (Trinket) Requires Engineering (200), Use: Gives invisibility for 10 sec. It can only be used every 60 minutes.",
		type = "Devices",
		source = "Drop, Vendor:Schematic: Gnomish Cloaking Device",
		itemLvl = 40,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
			[ReagentData['tool']['arclightspanner']] = 1,
		},
		reagents = {
			[ReagentData['gem']['lessermoonstone']] = 2,
			[ReagentData['gem']['citrine']] = 2,
			[ReagentData['part']['fusedwiring']] = 1,
			[ReagentData['gem']['jade']] = 2,
			[ReagentData['part']['gyrochronatom']] = 4,
		},
	},
	["Large Seaforium Charge"] = {
		skill = 200,
		description = "Requires Engineering (200), Use: Blasts open difficult locked doors.",
		type = "Explosives",
		source = "Drop:Schematic: Large Seaforium Charge",
		sourcerarity = "Uncommon",
		stacksize = 10,
		itemLvl = 40,
		reagents = {
			[ReagentData['powder']['solid']] = 2,
			[ReagentData['leather']['heavy']] = 2,
			[ReagentData['drink']['refreshingspringwater']] = 1,
		},
	},
	["Mechanical Dragonling"] = {
		skill = 200,
		id = 13311,
		description = "[BoE] (Trinket) MinLvl: 30, Requires Engineering (200), Use: Activates your Mechanical Dragonling to fight for you for 1 min. It requires an hour to cool down before it can be used again.",
		type = "Devices",
		source = "Vendor:Schematic: Mechanical Dragonling",
		itemLvl = 40,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
			[ReagentData['tool']['arclightspanner']] = 1,
		},
		reagents = {
			[ReagentData['part']['bronzeframework']] = 1,
			[ReagentData['gem']['citrine']] = 2,
			[ReagentData['part']['ironstrut']] = 4,
			[ReagentData['part']['fusedwiring']] = 1,
			[ReagentData['part']['gyrochronatom']] = 4,
		},
	},
	["Mechanical Repair Kit"] = {
		skill = 200,
		description = "Requires Engineering (200), Use: Restores 700 health to a friendly mechanical target",
		type = "Devices",
		source = "Trainer",
		stacksize = 5,
		itemLvl = 40,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
			[ReagentData['tool']['arclightspanner']] = 1,
		},
		reagents = {
			[ReagentData['bar']['mithril']] = 1,
			[ReagentData['powder']['solid']] = 1,
			[ReagentData['cloth']['mageweave']] = 1,
		},
	},
	["Unstable Trigger"] = {
		skill = 200,
		description = "Unstable Trigger",
		type = "Parts",
		source = "Trainer",
		stacksize = 10,
		itemLvl = 40,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
			[ReagentData['tool']['arclightspanner']] = 1,
		},
		reagents = {
			[ReagentData['bar']['mithril']] = 1,
			[ReagentData['powder']['solid']] = 1,
			[ReagentData['cloth']['mageweave']] = 1,
		},
	},
	["Fire Goggles"] = {
		skill = 205,
		description = "[BoE] (Cloth Head) AC: 44, FR: 17, Requires Engineering (205)",
		type = "Cloth",
		subtype = "Head",
		source = "Trainer",
		resultrarity = "Uncommon",
		itemLvl = 41,
		tools = {
			[ReagentData['tool']['gyromaticmicro-adjustor']] = 1,
			[ReagentData['tool']['arclightspanner']] = 1,
		},
		reagents = {
			[ReagentData['gem']['citrine']] = 2,
			[ReagentData['element']['fire']] = 2,
			[ReagentData['leather']['heavy']] = 4,
			[ReagentData['armor']['greentintedgoggles']] = 1,
		},
	},
	["Gnomish Shrink Ray"] = {
		specialty = "gnomish",
		skill = 205,
		description = "[BoE] (Trinket) Requires Engineering (205), Use: Shrinks the target reducing their attack power by 250. Thats what it usually does anyway.....",
		type = "Devices",
		source = "Trainer",
		itemLvl = 41,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
			[ReagentData['tool']['arclightspanner']] = 1,
		},
		reagents = {
			[ReagentData['part']['mithriltube']] = 1,
			[ReagentData['gem']['jade']] = 2,
			[ReagentData['monster']['flaskofmojo']] = 4,
			[ReagentData['part']['unstabletrigger']] = 1,
			[ReagentData['bar']['mithril']] = 4,
		},
	},
	["Goblin Construction Helmet"] = {
		specialty = "goblin",
		skill = 205,
		description = "[BoP] (Cloth Head) AC: 44, FR: 15, Requires Engineering (205), Use: Absorbs 300 to 500 Fire damage. Lasts 1 min.",
		type = "Cloth",
		subtype = " Head",
		source = "Trainer",
		resultrarity = "Uncommon",
		itemLvl = 41,
		reagents = {
			[ReagentData['bar']['mithril']] = 8,
			[ReagentData['element']['fire']] = 4,
			[ReagentData['gem']['citrine']] = 1,
		},
	},
	["Goblin Mining Helmet"] = {
		specialty = "goblin",
		skill = 205,
		description = "[BoP] (Mail Head) AC: 190, Sta: 15, Requires Engineering (205), Equip: Mining +5.",
		type = "Mail",
		subtype = " Head",
		source = "Trainer",
		resultrarity = "Uncommon",
		itemLvl = 41,
		reagents = {
			[ReagentData['bar']['mithril']] = 8,
			[ReagentData['gem']['citrine']] = 1,
			[ReagentData['element']['earth']] = 4,
		},
	},
	["Goblin Mortar"] = {
		specialty = "goblin",
		skill = 205,
		description = "[BoE] (Trinket) Requires Engineering (205), Use: Inflicts 383 to 517 Fire damage and stuns the targets in a 5 yard radius for 3 sec.",
		type = "Devices",
		source = "Trainer",
		itemLvl = 41,
		reagents = {
			[ReagentData['part']['mithriltube']] = 2,
			[ReagentData['bar']['mithril']] = 4,
			[ReagentData['element']['fire']] = 1,
			[ReagentData['powder']['solid']] = 5,
			[ReagentData['part']['goldpowercore']] = 1,
		},
	},
	["Goblin Rocket Fuel Recipe"] = {
		specialty = "goblin",
		skill = 205,
		description = "Requires Alchemy (210), Use: Teaches you how to make Goblin Rocket Fuel",
		type = "Alchemy",
		source = "Trainer",
		resultname = "Recipe: Goblin Rocket Fuel",
		itemLvl = 42,
		reagents = {
			[ReagentData['part']['engineersink']] = 1,
			[ReagentData['part']['blankparchment']] = 1,
		},
	},
	["Goblin Sapper Charge"] = {
		specialty = "goblin",
		skill = 205,
		description = "Requires Engineering (205), Use: Explodes when triggered dealing 450 to 750 Fire damage to all enemies nearby and 375 to 625 damage to you.",
		type = "Explosives",
		source = "Trainer",
		itemLvl = 41,
		reagents = {
			[ReagentData['powder']['solid']] = 3,
			[ReagentData['part']['unstabletrigger']] = 1,
			[ReagentData['cloth']['mageweave']] = 1,
		},
	},
	["Inlaid Mithril Cylinder Plans"] = {
		specialty = "gnomish",
		skill = 205,
		description = "Requires Blacksmithing (200). Teaches you how to make an Inlaid Mithril Cylinder. This item is used by Gnomish Engineers.",
		type = "Blacksmithing",
		source = "Trainer",
		resultname = "Plans: Inlaid Mithril Cylinder",
		itemLvl = 40,
		tools = { },
		reagents = {
			[ReagentData['part']['engineersink']] = 1,
			[ReagentData['part']['blankparchment']] = 1,
		},
	},
	["Lil' Smoky"] = {
		specialty = "gnomish",
		skill = 205,
		description = "[BoP] Use: Right Click to summon and dismiss your robot.",
		type = "Devices",
		source = "Quest: Membership Card Renewal",
		sourcerarity = "Uncommon",
		itemLvl = 41,
		reagents = {
			[ReagentData['bar']['truesilver']] = 1,
			[ReagentData['bar']['mithril']] = 2,
			[ReagentData['element']['coreofearth']] = 1,
			[ReagentData['part']['fusedwiring']] = 1,
			[ReagentData['part']['gyrochronatom']] = 2,
		},
	},
	["Mithril Blunderbuss"] = {
		skill = 205,
		description = "[BoE] (Gun) Dmg: 36-68, Spd: 2.90, DPS: 17.9, Agi: 5, MinLvl: 36",
		type = "Gun",
		source = "Trainer",
		resultrarity = "Uncommon",
		itemLvl = 41,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
			[ReagentData['tool']['arclightspanner']] = 1,
		},
		reagents = {
			[ReagentData['part']['heavystock']] = 1,
			[ReagentData['part']['mithriltube']] = 1,
			[ReagentData['bar']['mithril']] = 4,
			[ReagentData['part']['unstabletrigger']] = 1,
			[ReagentData['element']['fire']] = 2,
		},
	},
	["Pet Bombling"] = {
		specialty = "goblin",
		skill = 205,
		description = "[BoP] Use: Right Click to summon and dismiss your bomb.",
		type = "Devices",
		source = "Quest: Membership Card Renewal",
		sourcerarity = "Uncommon",
		itemLvl = 41,
		reagents = {
			[ReagentData['part']['bigironbomb']] = 1,
			[ReagentData['element']['heartoffire']] = 1,
			[ReagentData['bar']['mithril']] = 6,
			[ReagentData['part']['fusedwiring']] = 1,
		},
	},
	["The Mortar: Reloaded"] = {
		specialty = "goblin",
		skill = 205,
		description = "Recharges a Goblin Mortar",
		type = "Devices",
		source = "Trainer",
		itemLvl = 40,
		reagents = {
			[ReagentData['bar']['mithril']] = 1,
			[ReagentData['powder']['solid']] = 3,
			["Goblin Mortar"] = 1,
		},
	},
	["Deadly Scope"] = {
		skill = 210,
		id = 10602,
		description = "MinLvl: 30, Use: Attaches a permanent scope to a bow or gun that increases its damage by 5.",
		type = "Devices",
		source = "Vendor:Schematic: Deadly Scope",
		stacksize = 5,
		itemLvl = 42,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
			[ReagentData['tool']['arclightspanner']] = 1,
		},
		reagents = {
			[ReagentData['part']['mithriltube']] = 1,
			[ReagentData['gem']['aquamarine']] = 2,
			[ReagentData['leather']['thick']] = 2,
		},
	},
	["Gnomish Goggles"] = {
		specialty = "gnomish",
		skill = 210,
		description = "[BoP] (Cloth Head) AC: 45, Agi: 9, Sta: 9, Spi: 9, Requires Engineering (210)",
		type = "Cloth",
		subtype = " Head",
		source = "Trainer",
		resultrarity = "Uncommon",
		itemLvl = 42,
		tools = {
			[ReagentData['tool']['gyromaticmicro-adjustor']] = 1,
			[ReagentData['tool']['arclightspanner']] = 1,
		},
		reagents = {
			[ReagentData['armor']['firegoggles']] = 1,
			[ReagentData['part']['goldpowercore']] = 2,
			[ReagentData['monster']['flaskofmojo']] = 2,
			[ReagentData['leather']['heavy']] = 2,
			[ReagentData['part']['mithriltube']] = 1,
		},
	},
	["Gnomish Net-o-Matic Projector"] = {
		specialty = "gnomish",
		skill = 210,
		description = "[BoE] (Trinket) Requires Engineering (210), Use: Captures the target in a net for 10 sec. The net has a lot of hooks however and sometimes gets caught in the user's clothing when fired......",
		type = "Devices",
		source = "Trainer",
		itemLvl = 42,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
			[ReagentData['tool']['arclightspanner']] = 1,
		},
		reagents = {
			[ReagentData['part']['mithriltube']] = 1,
			[ReagentData['spidersilk']['shadow']] = 2,
			[ReagentData['powder']['solid']] = 2,
			[ReagentData['spidersilk']['thick']] = 4,
			[ReagentData['bar']['mithril']] = 4,
		},
	},
	["Hi-Impact Mithril Slugs"] = {
		skill = 210,
		description = "(Projectile Bullet) MinLvl: 37, Adds 12.5 damage per second",
		type = "Bullet",
		source = "Trainer",
		result = 200,
		resultrarity = "Uncommon",
		stacksize = 200,
		itemLvl = 42,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
		},
		reagents = {
			[ReagentData['bar']['mithril']] = 1,
			[ReagentData['powder']['solid']] = 1,
		},
	},
	["Gnomish Harm Prevention Belt"] = {
		specialty = "gnomish",
		skill = 215,
		description = "[BoE] (Leather Waist) AC: 66, Sta: 6, Requires Engineering (215), Use: A shield of force protects you from the next 500 damage done over the next 10 min. WARNING: Force Field may overload when struck temporarily removing the wearer from this dimension.",
		type = "Leather",
		subtype = "Waist",
		source = "Trainer",
		resultrarity = "Uncommon",
		itemLvl = 43,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
			[ReagentData['tool']['arclightspanner']] = 1,
		},
		reagents = {
			[ReagentData['bar']['truesilver']] = 2,
			[ReagentData['bar']['mithril']] = 4,
			[ReagentData['part']['unstabletrigger']] = 1,
			[ReagentData['gem']['aquamarine']] = 2,
			[ReagentData['armor']['duskybelt']] = 1,
		},
	},
	["Mithril Casing"] = {
		skill = 215,
		description = "Mithril Casing",
		type = "Parts",
		source = "Trainer",
		stacksize = 10,
		itemLvl = 43,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
			[ReagentData['tool']['arclightspanner']] = 1,
		},
		reagents = {
			[ReagentData['bar']['mithril']] = 3,
		},
	},
	["Mithril Frag Bomb"] = {
		skill = 215,
		description = "Requires Engineering (205), Use: Inflicts 149 to 201 Fire damage and stuns targets in a 8 yard radius for 2 sec. Any damage will break the effect. Unreliable against targets higher than level 60.",
		type = "Explosives",
		source = "Trainer",
		result = 3,
		stacksize = 10,
		itemLvl = 43,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
			[ReagentData['tool']['arclightspanner']] = 1,
		},
		reagents = {
			[ReagentData['powder']['solid']] = 1,
			[ReagentData['part']['mithrilcasing']] = 1,
			[ReagentData['part']['unstabletrigger']] = 1,
		},
	},
	["Catseye Ultra Goggles"] = {
		skill = 220,
		description = "[BoE] (Cloth Head) AC: 47, Requires Engineering (220), Equip: Moderately increases your stealth detection.",
		type = "Cloth",
		subtype = "Head",
		source = "Drop:Schematic: Catseye Ultra Goggles",
		sourcerarity = "Uncommon",
		resultrarity = "Uncommon",
		itemLvl = 44,
		tools = {
			[ReagentData['tool']['gyromaticmicro-adjustor']] = 1,
			[ReagentData['tool']['arclightspanner']] = 1,
		},
		reagents = {
			[ReagentData['potion']['catseyeelixir']] = 1,
			[ReagentData['gem']['aquamarine']] = 2,
			[ReagentData['leather']['thick']] = 4,
		},
	},
	["Mithril Heavy-bore Rifle"] = {
		skill = 220,
		description = "[BoE] (Gun) DPS: 26.2, Dmg: 53-99, Spd: 2.90, MinLvl: 39, Equip: Increases ranged attack power by 14",
		type = "Gun",
		source = "Drop:Schematic: Mithril Heavy-bore Rifle",
		sourcerarity = "Uncommon",
		resultrarity = "Uncommon",
		itemLvl = 44,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
			[ReagentData['tool']['arclightspanner']] = 1,
		},
		reagents = {
			[ReagentData['part']['heavystock']] = 1,
			[ReagentData['part']['mithriltube']] = 2,
			[ReagentData['gem']['citrine']] = 2,
			[ReagentData['bar']['mithril']] = 6,
			[ReagentData['part']['unstabletrigger']] = 1,
		},
	},
	["Blue Rocket Cluster"] = {
		skill = 225,
		description = "Use: Throw into a cluster launcher!",
		type = "Miscellaneous",
		source = "Seasonal:Quest: Cluster Rockets",
		result = 3,
		itemLvl = 1,
		reagents = {
			[ReagentData['powder']['solid']] = 1,
			[ReagentData['leather']['thick']] = 1,
		},
	},
	["Firework Launcher"] = {
		skill = 225,
		description = "Use: Place on the ground to launch firework rockets. Lasts 30 minutes.",
		type = "Consumable",
		source = "Seasonal:Quest: Firework Launcher",
		itemLvl = 1,
		tools = { },
		reagents = {
			[ReagentData['oil']['goblinrocketfuel']] = 1,
			[ReagentData['part']['unstabletrigger']] = 1,
			[ReagentData['part']['inlaidmithrilcylinder']] = 1,
			[ReagentData['part']['mithrilcasing']] = 1,
		},
	},
	["Gnomish Rocket Boots"] = {
		specialty = "gnomish",
		skill = 225,
		description = "[BoE] (Cloth Feet) AC: 41, Requires Engineering (225), Use: These boots significantly increase your run speed for 20 sec. WARNING: Their power supply and gyros do not always function as intended.",
		type = "Cloth",
		subtype = "Feet",
		source = "Trainer",
		resultrarity = "Uncommon",
		itemLvl = 45,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
			[ReagentData['tool']['arclightspanner']] = 1,
		},
		reagents = {
			[ReagentData['part']['mithriltube']] = 2,
			[ReagentData['armor']['blackmageweaveboots']] = 1,
			[ReagentData['powder']['solid']] = 8,
			[ReagentData['leather']['heavy']] = 4,
			[ReagentData['part']['gyrochronatom']] = 4,
		},
	},
	["Green Rocket Cluster"] = {
		skill = 225,
		description = "Use: Throw into a cluster launcher!",
		type = "Miscellaneous",
		source = "Seasonal:Quest: Cluster Rockets",
		result = 3,
		itemLvl = 1,
		reagents = {
			[ReagentData['powder']['solid']] = 1,
			[ReagentData['leather']['thick']] = 1,
		},
	},
	["Parachute Cloak"] = {
		skill = 225,
		description = "[BoE] (Back) AC: 30, Agi: 8, Requires Engineering (225), Use: Reduces your fall speed for 10 sec.",
		type = "Back",
		source = "Drop:Schematic: Parachute Cloak",
		sourcerarity = "Uncommon",
		resultrarity = "Uncommon",
		itemLvl = 45,
		tools = {
			[ReagentData['tool']['gyromaticmicro-adjustor']] = 1,
			[ReagentData['tool']['arclightspanner']] = 1,
		},
		reagents = {
			[ReagentData['bolt']['mageweave']] = 4,
			[ReagentData['spidersilk']['shadow']] = 2,
			[ReagentData['powder']['solid']] = 4,
			[ReagentData['part']['unstabletrigger']] = 1,
		},
	},
	["Red Rocket Cluster"] = {
		skill = 225,
		description = "Use: Throw into a cluster launcher!",
		type = "Miscellaneous",
		source = "Seasonal:Quest: Cluster Rockets",
		result = 3,
		itemLvl = 1,
		reagents = {
			[ReagentData['powder']['solid']] = 1,
			[ReagentData['leather']['thick']] = 1,
		},
	},
	["Spellpower Goggles Xtreme"] = {
		skill = 225,
		description = "[BoE] (Cloth Head) AC: 46, Requires Engineering (215), Equip: Increases damage and healing done by magical spells and effects by up to 21.",
		type = "Cloth",
		subtype = "Head",
		source = "Trainer",
		resultrarity = "Uncommon",
		itemLvl = 43,
		tools = {
			[ReagentData['tool']['gyromaticmicro-adjustor']] = 1,
			[ReagentData['tool']['arclightspanner']] = 1,
		},
		reagents = {
			[ReagentData['gem']['starruby']] = 2,
			[ReagentData['leather']['thick']] = 4,
		},
	},
	["Deepdive Helmet"] = {
		skill = 230,
		id = 10607,
		description = "[BoE] (Cloth Head) AC: 49, Sta: 15, Requires Engineering (230), Equip: Allows underwater breathing.",
		type = "Cloth",
		subtype = "Head",
		source = "Vendor:Schematic: Deepdive Helmet",
		resultrarity = "Uncommon",
		itemLvl = 46,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
			[ReagentData['tool']['arclightspanner']] = 1,
		},
		reagents = {
			[ReagentData['bar']['truesilver']] = 1,
			[ReagentData['bar']['mithril']] = 8,
			[ReagentData['part']['mithrilcasing']] = 1,
			[ReagentData['gem']['tigerseye']] = 4,
			[ReagentData['gem']['malachite']] = 4,
		},
	},
	["Gnomish Battle Chicken"] = {
		specialty = "gnomish",
		skill = 230,
		description = "[BoP] (Trinket) Requires Engineering (230), Use: Creates a Battle Chicken that will fight for you for 1.50 min or until it is destroyed.",
		type = "Devices",
		source = "Trainer",
		itemLvl = 46,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
			[ReagentData['tool']['arclightspanner']] = 1,
		},
		reagents = {
			[ReagentData['bar']['truesilver']] = 6,
			[ReagentData['gem']['jade']] = 2,
			[ReagentData['bar']['mithril']] = 6,
			[ReagentData['part']['mithrilcasing']] = 1,
			[ReagentData['part']['inlaidmithrilcylinder']] = 2,
			[ReagentData['part']['goldpowercore']] = 1,
		},
	},
	["Goblin Bomb Dispenser"] = {
		specialty = "goblin",
		skill = 230,
		description = "[BoP] (Trinket) Requires Engineering (230), Use: Creates a mobile bomb that charges the nearest enemy and explodes for 315 to 385 fire damage.",
		type = "Devices",
		source = "Trainer",
		itemLvl = 46,
		reagents = {
			[ReagentData['bar']['truesilver']] = 6,
			[ReagentData['part']['accuratescope']] = 2,
			[ReagentData['powder']['solid']] = 4,
			[ReagentData['part']['mithrilcasing']] = 2,
			[ReagentData['part']['unstabletrigger']] = 1,
		},
	},
	["Goblin Rocket Boots"] = {
		specialty = "goblin",
		skill = 230,
		description = "[BoE] (Cloth Feet) AC: 41, Use: These dangerous looking boots significantly increase your run speed for 20 sec. They are prone to explode however, so use with caution.",
		type = "Cloth",
		subtype = "Feet",
		source = "Trainer",
		sourcerarity = "Uncommon",
		resultrarity = "Uncommon",
		itemLvl = 45,
		reagents = {
			[ReagentData['oil']['goblinrocketfuel']] = 2,
			[ReagentData['part']['mithriltube']] = 2,
			[ReagentData['armor']['blackmageweaveboots']] = 1,
			[ReagentData['leather']['heavy']] = 4,
			[ReagentData['part']['unstabletrigger']] = 1,
		},
	},
	["Rose Colored Goggles"] = {
		skill = 230,
		description = "[BoE] (Cloth Head) AC: 49, Int: 12, Spi: 13, Requires Engineering (230)",
		type = "Cloth",
		subtype = "Head",
		source = "Trainer",
		resultrarity = "Uncommon",
		itemLvl = 46,
		tools = {
			[ReagentData['tool']['gyromaticmicro-adjustor']] = 1,
			[ReagentData['tool']['arclightspanner']] = 1,
		},
		reagents = {
			[ReagentData['gem']['starruby']] = 2,
			[ReagentData['leather']['thick']] = 6,
		},
	},
	["Gnomish Mind Control Cap"] = {
		specialty = "gnomish",
		skill = 235,
		description = "[BoE] (Cloth Head) AC: 50, Spi: 14, Requires Engineering (215), Use: Engage in mental combat with a humanoid target to try and control their mind. If all works well, you will control the mind of the target for 20 sec .....",
		type = "Cloth",
		subtype = "Head",
		source = "Trainer",
		resultrarity = "Uncommon",
		itemLvl = 47,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
			[ReagentData['tool']['arclightspanner']] = 1,
		},
		reagents = {
			[ReagentData['bar']['truesilver']] = 4,
			[ReagentData['gem']['starruby']] = 2,
			[ReagentData['cloth']['mageweave']] = 4,
			[ReagentData['bar']['mithril']] = 10,
			[ReagentData['part']['goldpowercore']] = 1,
		},
	},
	["Hi-Explosive Bomb"] = {
		skill = 235,
		description = "Requires Engineering (235), Use: Inflicts 255 to 345 Fire damage and stuns targets in a 3 yard radius for 3 sec. Any damage will break the effect.",
		type = "Explosives",
		source = "Trainer",
		result = 4,
		stacksize = 10,
		itemLvl = 47,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
			[ReagentData['tool']['arclightspanner']] = 1,
		},
		reagents = {
			[ReagentData['powder']['solid']] = 2,
			[ReagentData['part']['mithrilcasing']] = 2,
			[ReagentData['part']['unstabletrigger']] = 1,
		},
	},
	["The Big One"] = {
		specialty = "goblin",
		skill = 235,
		description = "Requires Engineering (225), Use: Inflicts 340 to 460 Fire damage and stuns targets for 5 sec in a 10 yard radius. Any damage will break the effect. Unreliable against targets higher than level 60.",
		type = "Explosives",
		source = "Trainer",
		result = 2,
		itemLvl = 45,
		reagents = {
			[ReagentData['oil']['goblinrocketfuel']] = 1,
			[ReagentData['part']['soliddynamite']] = 6,
			[ReagentData['part']['mithrilcasing']] = 1,
			[ReagentData['part']['unstabletrigger']] = 1,
		},
	},
	["Gnomish Death Ray"] = {
		specialty = "gnomish",
		skill = 240,
		description = "[BoP] (Trinket) The device charges over time using your life force and then directs a burst of energy at your opponent. \"Death or Serious Injury may result from use of this device.\"",
		type = "Devices",
		source = "Trainer",
		itemLvl = 48,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
			[ReagentData['tool']['arclightspanner']] = 1,
		},
		reagents = {
			[ReagentData['element']['essenceofundeath']] = 1,
			[ReagentData['part']['mithriltube']] = 2,
			[ReagentData['part']['unstabletrigger']] = 1,
			[ReagentData['element']['ichorofundeath']] = 4,
			[ReagentData['part']['inlaidmithrilcylinder']] = 1,
		},
	},
	["Goblin Dragon Gun"] = {
		specialty = "goblin",
		skill = 240,
		description = "[BoP] (Trinket) Use: Deals 61 to 69 fire damage for 10 sec to all targets in a cone in front of the engineer using the weapon. That is unless it explodes.....",
		type = "Devices",
		source = "Trainer",
		itemLvl = 48,
		reagents = {
			[ReagentData['oil']['goblinrocketfuel']] = 4,
			[ReagentData['part']['mithriltube']] = 2,
			[ReagentData['bar']['mithril']] = 6,
			[ReagentData['part']['unstabletrigger']] = 1,
			[ReagentData['bar']['truesilver']] = 6,
		},
	},
	["Sniper Scope"] = {
		skill = 240,
		description = "MinLvl: 40, Use: Attaches a permanent scope to a bow or gun that increases its damage by 7.",
		type = "Devices",
		source = "Drop:Schematic: Sniper Scope",
		sourcerarity = "Rare",
		stacksize = 5,
		itemLvl = 48,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
			[ReagentData['tool']['arclightspanner']] = 1,
		},
		reagents = {
			[ReagentData['bar']['truesilver']] = 2,
			[ReagentData['gem']['starruby']] = 1,
			[ReagentData['part']['mithriltube']] = 1,
		},
	},
	["Goblin Rocket Helmet"] = {
		specialty = "goblin",
		skill = 245,
		description = "[BoE] (Cloth Head) AC: 50, Sta: 15, Requires Engineering (235), Use: Charge an enemy, knocking it silly for 30 seconds. Also knocks you down, stunning you for a short period of time. Any damage caused will revive the target.",
		type = "Cloth",
		subtype = "Head",
		source = "Trainer",
		resultrarity = "Uncommon",
		itemLvl = 47,
		reagents = {
			[ReagentData['oil']['goblinrocketfuel']] = 4,
			[ReagentData['armor']['goblinconstructionhelmet']] = 1,
			[ReagentData['bar']['mithril']] = 4,
			[ReagentData['part']['unstabletrigger']] = 1,
		},
	},
	["Green Lens"] = {
		skill = 245,
		description = "[BoE] (Cloth Head) AC: 57, Sta: 10, Random enchantment, Requires Engineering (245)",
		type = "Cloth",
		subtype = "Head",
		source = "Trainer",
		resultname = "Green Lens of .*",
		resultrarity = "Rare",
		itemLvl = 49,
		tools = {
			[ReagentData['tool']['gyromaticmicro-adjustor']] = 1,
			[ReagentData['tool']['arclightspanner']] = 1,
		},
		reagents = {
			[ReagentData['leather']['thick']] = 8,
			[ReagentData['gem']['jade']] = 3,
			[ReagentData['herb']['wildvine']] = 2,
			[ReagentData['gem']['aquamarine']] = 3,
			[ReagentData['element']['heartofthewild']] = 2,
		},
	},
	["Mithril Gyro-Shot"] = {
		skill = 245,
		description = "(Projectile Bullet) MinLvl: 44, Adds 15 damage per second",
		type = "Bullet",
		source = "Trainer",
		result = 200,
		resultrarity = "Uncommon",
		stacksize = 200,
		itemLvl = 49,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
		},
		reagents = {
			[ReagentData['bar']['mithril']] = 2,
			[ReagentData['powder']['solid']] = 2,
		},
	},
	["Dense Blasting Powder"] = {
		skill = 250,
		description = "Dense Blasting Powder",
		type = "Parts",
		source = "Trainer",
		stacksize = 20,
		itemLvl = 50,
		tools = { },
		reagents = {
			[ReagentData['stone']['dense']] = 2,
		},
	},
	["Dense Dynamite"] = {
		skill = 250,
		description = "Requires Engineering (250), Use: Inflicts 340 to 460 Fire damage in a 5 yard radius.",
		type = "Explosives",
		source = "Trainer",
		result = 2,
		stacksize = 20,
		itemLvl = 45,
		tools = { },
		reagents = {
			[ReagentData['powder']['dense']] = 2,
			[ReagentData['cloth']['rune']] = 3,
		},
	},
	["Mithril Mechanical Dragonling"] = {
		skill = 250,
		id = 10609,
		description = "[BoE] [U] (Trinket) MinLvl: 40, Requires Engineering (250), Use: Activates your Mithril Mechanical Dragonling to fight for you for 1 min. It requires an hour to cool down before it can be used again.",
		type = "Devices",
		source = "Vendor:Schematic: Mithril Mechanical Dragonling",
		itemLvl = 50,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
			[ReagentData['tool']['arclightspanner']] = 1,
		},
		reagents = {
			[ReagentData['oil']['goblinrocketfuel']] = 2,
			[ReagentData['element']['heartoffire']] = 4,
			[ReagentData['gem']['starruby']] = 2,
			[ReagentData['bar']['mithril']] = 14,
			[ReagentData['part']['inlaidmithrilcylinder']] = 2,
			[ReagentData['bar']['truesilver']] = 4,
		},
	},
	["Salt Shaker"] = {
		skill = 250,
		description = "Requires Leatherworking (250), Use: Allows an experienced leatherworker to turn Deeprock Salt into Refined Deeprock Salt. Use of the device exposes the user to sub-core micro radiation and should not be used more than once every few days.",
		type = "Devices",
		source = "Trainer",
		itemLvl = 50,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
		},
		reagents = {
			[ReagentData['part']['goldpowercore']] = 1,
			[ReagentData['bar']['thorium']] = 6,
			[ReagentData['part']['mithrilcasing']] = 1,
			[ReagentData['part']['unstabletrigger']] = 4,
		},
	},
	["Snake Burst Firework"] = {
		skill = 250,
		description = "Use: Shoots a firework into the air that bursts in a yellow pattern.",
		type = "Miscellaneous",
		source = "Vendor:Schematic: Snake Burst Firework",
		result = 4,
		itemLvl = 50,
		reagents = {
			[ReagentData['powder']['dense']] = 2,
			[ReagentData['salt']['deeprock']] = 1,
			[ReagentData['cloth']['rune']] = 2,
		},
	},
	["Dimensional Ripper - Everlook"] = {
		specialty = "goblin",
		skill = 260,
		description = "[BoU] (Trinket) Requires Goblin Engineering (260), Use: Rips the dimensional walls asunder and transports you to Everlook in Winterspring. There are technical problems that sometimes occur, but that's what Goblin Engineering is all about!",
		type = "Devices",
		source = "Trainer",
		itemLvl = 55,
		reagents = {
			[ReagentData['element']['heartoffire']] = 4,
			[ReagentData['gem']['starruby']] = 2,
			[ReagentData['bar']['mithril']] = 10,
			[ReagentData['part']['thebigone']] = 1,
			[ReagentData['part']['truesilvertransformer']] = 1,
		},
	},
	["Gyrofreeze Ice Deflector"] = {
		skill = 260,
		id = 18652,
		description = "[BoE] (Trinket) CR: 15, MinLvl: 47, Requires Engineering (260), Use: Reflects Frost spells back at their caster for 5 seconds.",
		type = "Devices",
		source = "Vendor:Schematic: Gyrofreeze Ice Deflector",
		resultrarity = "Rare",
		itemLvl = 52,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
			[ReagentData['tool']['arclightspanner']] = 1,
		},
		reagents = {
			[ReagentData['gem']['bluesapphire']] = 2,
			[ReagentData['oil']['frost']] = 2,
			[ReagentData['part']['truesilvertransformer']] = 2,
			[ReagentData['herb']['icecap']] = 4,
			[ReagentData['element']['essenceoffire']] = 4,
			[ReagentData['part']['thoriumwidget']] = 6,
		},
	},
	["Thorium Grenade"] = {
		skill = 260,
		id = 16041,
		description = "Requires Engineering (260), Use: Inflicts 300 to 500 Fire damage and stuns targets for 3 sec in a 3 yard radius. Any damage will break the effect. Unreliable against targets higher than level 67.",
		type = "Explosives",
		source = "Vendor:Schematic: Thorium Grenade",
		result = 3,
		stacksize = 10,
		itemLvl = 52,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
		},
		reagents = {
			[ReagentData['bar']['thorium']] = 3,
			[ReagentData['powder']['dense']] = 3,
			[ReagentData['cloth']['rune']] = 3,
			[ReagentData['part']['thoriumwidget']] = 1,
		},
	},
	["Thorium Rifle"] = {
		skill = 260,
		description = "[BoE] (Gun) DPS: 31.4, Dmg: 55-102, Spd: 2.50, MinLvl: 47, Equip: Increases ranged attack power by 17",
		type = "Gun",
		source = "Trainer",
		resultrarity = "Uncommon",
		itemLvl = 52,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
			[ReagentData['tool']['arclightspanner']] = 1,
		},
		reagents = {
			[ReagentData['part']['mithriltube']] = 2,
			[ReagentData['bar']['thorium']] = 4,
			[ReagentData['part']['deadlyscope']] = 1,
			[ReagentData['part']['mithrilcasing']] = 2,
			[ReagentData['part']['thoriumwidget']] = 2,
		},
	},
	["Thorium Widget"] = {
		skill = 260,
		id = 16042,
		description = "Thorium Widget",
		type = "Parts",
		source = "Vendor:Schematic: Thorium Widget",
		stacksize = 10,
		itemLvl = 52,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
			[ReagentData['tool']['arclightspanner']] = 1,
		},
		reagents = {
			[ReagentData['cloth']['rune']] = 1,
			[ReagentData['bar']['thorium']] = 3,
		},
	},
	["Truesilver Transformer"] = {
		skill = 260,
		id = 18651,
		description = "Truesilver Transformer",
		type = "Parts",
		source = "Vendor:Schematic: Truesilver Transformer",
		stacksize = 10,
		itemLvl = 50,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
			[ReagentData['tool']['arclightspanner']] = 1,
		},
		reagents = {
			[ReagentData['element']['air']] = 1,
			[ReagentData['bar']['truesilver']] = 2,
			[ReagentData['element']['earth']] = 2,
		},
	},
	["Ultrasafe Transporter - Gadgetzan"] = {
		specialty = "gnomish",
		skill = 260,
		description = "[BoU] (Trinket) Requires Gnomish Engineering (260), Use: Safely transport yourself to Gadgetzan in Tanaris! Emphasis on Safe! Yup, nothing bad could ever happen while using this device!",
		type = "Devices",
		source = "Trainer",
		itemLvl = 52,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
			[ReagentData['tool']['arclightspanner']] = 1,
		},
		reagents = {
			[ReagentData['part']['inlaidmithrilcylinder']] = 1,
			[ReagentData['part']['truesilvertransformer']] = 2,
			[ReagentData['bar']['mithril']] = 12,
			[ReagentData['element']['coreofearth']] = 4,
			[ReagentData['gem']['aquamarine']] = 4,
			[ReagentData['element']['globeofwater']] = 2,
		},
	},
	["World Enlarger"] = {
		specialty = "gnomish",
		skill = 260,
		description = "[BoE] (Trinket) Requires Gnomish Engineering (250), Use: Enlarges the entire world for 5 minutes or until you attack.",
		type = "Devices",
		source = "Drop:Schematic: World Enlarger",
		sourcerarity = "Uncommon",
		resultname = "World Enlarger",
		resultrarity = "Uncommon",
		itemLvl = 50,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
		},
		reagents = {
			[ReagentData['part']['goldpowercore']] = 1,
			[ReagentData['gem']['citrine']] = 1,
			[ReagentData['part']['mithrilcasing']] = 1,
			[ReagentData['part']['unstabletrigger']] = 1,
			[ReagentData['part']['thoriumwidget']] = 2,
		},
	},
	["Alarm-O-Bot"] = {
		skill = 265,
		description = "Requires Engineering (265), Use: Summons an Alarm-O-Bot for 10 minutes that occasionally sends out a pulse that detects nearby stealthy or invisible enemies.",
		type = "Devices",
		source = "Drop:Schematic: Alarm-O-Bot",
		sourcerarity = "Uncommon",
		itemLvl = 53,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
			[ReagentData['tool']['arclightspanner']] = 1,
		},
		reagents = {
			[ReagentData['gem']['starruby']] = 1,
			[ReagentData['bar']['thorium']] = 4,
			[ReagentData['leather']['rugged']] = 4,
			[ReagentData['part']['fusedwiring']] = 1,
			[ReagentData['part']['thoriumwidget']] = 2,
		},
	},
	["Goblin Jumper Cables XL"] = {
		skill = 265,
		description = "(Trinket) Requires Engineering (265), Use: Jumper cables will sometimes be able to shock a dead player back to life. Cannot be used in combat., Cooldown: 30 min",
		type = "Devices",
		source = "Drop:Schematic: Goblin Jumper Cables XL",
		sourcerarity = "Uncommon",
		itemLvl = 53,
		reagents = {
			[ReagentData['gem']['starruby']] = 2,
			[ReagentData['part']['truesilvertransformer']] = 2,
			[ReagentData['spidersilk']['ironweb']] = 2,
			[ReagentData['part']['fusedwiring']] = 2,
			[ReagentData['part']['thoriumwidget']] = 2,
		},
	},
	["Lifelike Mechanical Toad"] = {
		skill = 265,
		description = "[BoU] Use: Right Click to summon and dismiss your lifelike mechanical toad.",
		type = "Devices",
		source = "Drop:Schematic: Lifelike Mechanical Toad",
		sourcerarity = "Uncommon",
		itemLvl = 53,
		reagents = {
			[ReagentData['part']['goldpowercore']] = 1,
			[ReagentData['leather']['rugged']] = 1,
			[ReagentData['element']['livingessence']] = 1,
			[ReagentData['part']['thoriumwidget']] = 4,
		},
	},
	["Spellpower Goggles Xtreme Plus"] = {
		skill = 270,
		description = "[BoE] (Cloth Head) AC: 57, Requires Engineering (270), Equip: Increases damage and healing done by magical spells and effects by up to 27.",
		type = "Cloth",
		subtype = "Head",
		source = "Trainer",
		resultrarity = "Uncommon",
		itemLvl = 54,
		tools = {
			[ReagentData['tool']['gyromaticmicro-adjustor']] = 1,
			[ReagentData['tool']['arclightspanner']] = 1,
		},
		reagents = {
			[ReagentData['leather']['enchanted']] = 2,
			[ReagentData['cloth']['rune']] = 8,
			[ReagentData['armor']['spellpowergogglesxtreme']] = 1,
			[ReagentData['gem']['starruby']] = 4,
		},
	},
	["Dark Iron Rifle"] = {
		skill = 275,
		description = "[BoE] (Gun) DPS: 36.1, Dmg: 68-127, Spd: 2.70, MinLvl: 50, Equip: Chance to strike your ranged target with Shadow Shot for 18 to 26 Shadow damage",
		type = "Gun",
		source = "Drop:Schematic: Dark Iron Rifle",
		sourcerarity = "Uncommon",
		resultrarity = "Rare",
		itemLvl = 55,
		reagents = {
			[ReagentData['gem']['bluesapphire']] = 2,
			[ReagentData['leather']['rugged']] = 4,
			[ReagentData['part']['deadlyscope']] = 2,
			[ReagentData['bar']['darkiron']] = 6,
			[ReagentData['part']['thoriumtube']] = 2,
			[ReagentData['gem']['largeopal']] = 2,
		},
	},
	["Firework Cluster Launcher"] = {
		skill = 275,
		description = "Use: Place on the ground to launch cluster rockets. Lasts 30 minutes.",
		type = "Miscellaneous",
		source = "Seasonal:Quest: Cluster Launcher",
		itemLvl = 1,
		tools = { },
		reagents = {
			[ReagentData['oil']['goblinrocketfuel']] = 4,
			[ReagentData['part']['truesilvertransformer']] = 2,
			[ReagentData['part']['mithrilcasing']] = 1,
			[ReagentData['part']['inlaidmithrilcylinder']] = 4,
		},
	},
	["Large Blue Rocket Cluster"] = {
		skill = 275,
		description = "Use: Throw into a cluster launcher!",
		type = "Miscellaneous",
		source = "Seasonal:Quest: Large Cluster Rockets",
		result = 3,
		itemLvl = 1,
		reagents = {
			[ReagentData['powder']['dense']] = 1,
			[ReagentData['leather']['rugged']] = 1,
		},
	},
	["Large Green Rocket Cluster"] = {
		skill = 275,
		description = "Use: Throw into a cluster launcher!",
		type = "Miscellaneous",
		source = "Seasonal:Quest: Large Cluster Rockets",
		result = 3,
		itemLvl = 1,
		reagents = {
			[ReagentData['powder']['dense']] = 1,
			[ReagentData['leather']['rugged']] = 1,
		},
	},
	["Large Red Rocket Cluster"] = {
		skill = 275,
		description = "Use: Throw into a cluster launcher!",
		type = "Miscellaneous",
		source = "Seasonal:Quest: Large Cluster Rockets",
		result = 3,
		itemLvl = 1,
		reagents = {
			[ReagentData['powder']['dense']] = 1,
			[ReagentData['leather']['rugged']] = 1,
		},
	},
	["Major Recombobulator"] = {
		skill = 275,
		description = "(Trinket) Requires Engineering (275), Use: Dispels Polymorph effects on a friendly target. Also restores 375 to 625 health and 1mana. Charges: 10",
		type = "Devices",
		source = "Drop:Schematic: Major Recombobulator",
		sourcerarity = "Uncommon",
		resultname = "Major Recombobulator",
		resultrarity = "Uncommon",
		itemLvl = 55,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
			[ReagentData['tool']['arclightspanner']] = 1,
		},
		reagents = {
			[ReagentData['part']['truesilvertransformer']] = 1,
			[ReagentData['part']['thoriumtube']] = 2,
			[ReagentData['cloth']['rune']] = 2,
		},
	},
	["Masterwork Target Dummy"] = {
		skill = 275,
		id = 16046,
		description = "Requires Engineering (275), Use: Drops a target dummy on the ground that attracts nearby monsters to attack it. Lasts for 15 seconds or until killed.",
		type = "Devices",
		source = "Vendor:Schematic: Masterwork Target Dummy",
		stacksize = 10,
		itemLvl = 55,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
			[ReagentData['tool']['arclightspanner']] = 1,
		},
		reagents = {
			[ReagentData['bar']['truesilver']] = 1,
			[ReagentData['cloth']['rune']] = 4,
			[ReagentData['part']['thoriumtube']] = 1,
			[ReagentData['leather']['rugged']] = 2,
			[ReagentData['part']['mithrilcasing']] = 1,
			[ReagentData['part']['thoriumwidget']] = 2,
		},
	},
	["Powerful Seaforium Charge"] = {
		skill = 275,
		id = 18656,
		description = "Requires Engineering (275), Use: Blasts open nearly any locked door.",
		type = "Explosives",
		source = "Vendor:Schematic: Powerful Seaforium Charge",
		stacksize = 10,
		itemLvl = 55,
		tools = { },
		reagents = {
			[ReagentData['drink']['refreshingspringwater']] = 1,
			[ReagentData['leather']['rugged']] = 2,
			[ReagentData['powder']['dense']] = 3,
			[ReagentData['part']['thoriumwidget']] = 2,
		},
	},
	["Thorium Tube"] = {
		skill = 275,
		description = "Thorium Tube",
		type = "Parts",
		source = "Trainer",
		stacksize = 10,
		itemLvl = 39,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
			[ReagentData['tool']['arclightspanner']] = 1,
		},
		reagents = {
			[ReagentData['bar']['thorium']] = 6,
		},
	},
	["Dark Iron Bomb"] = {
		skill = 285,
		description = "Requires Engineering (285), Use: Inflicts 225 to 675 Fire damage and stuns targets in a 5 yard radius for 4 sec. Any damage will break the effect. Unreliable against targets higher than level 73.",
		type = "Explosives",
		source = "Drop:Schematic: Dark Iron Bomb",
		sourcerarity = "Uncommon",
		result = 3,
		stacksize = 10,
		itemLvl = 57,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
		},
		reagents = {
			[ReagentData['cloth']['rune']] = 3,
			[ReagentData['powder']['dense']] = 3,
			[ReagentData['bar']['darkiron']] = 1,
			[ReagentData['part']['thoriumwidget']] = 2,
		},
	},
	["Delicate Arcanite Converter"] = {
		skill = 285,
		id = 16050,
		description = "Delicate Arcanite Converter",
		type = "Parts",
		source = "Vendor:Schematic: Delicate Arcanite Converter",
		stacksize = 10,
		itemLvl = 58,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
			[ReagentData['tool']['arclightspanner']] = 1,
		},
		reagents = {
			[ReagentData['spidersilk']['ironweb']] = 1,
			[ReagentData['bar']['arcanite']] = 1,
		},
	},
	["Thorium Shells"] = {
		skill = 285,
		description = "(Projectile Bullet) MinLvl: 52, Adds 17.5 damage per second",
		type = "Bullet",
		source = "Trainer",
		result = 200,
		resultrarity = "Uncommon",
		stacksize = 200,
		itemLvl = 57,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
		},
		reagents = {
			[ReagentData['powder']['dense']] = 1,
			[ReagentData['bar']['thorium']] = 2,
		},
	},
	["Hyper-Radiant Flame Reflector"] = {
		skill = 290,
		description = "[BoE] (Trinket) FR: 18, MinLvl: 53, Requires Engineering (290), Use: Reflects Fire spells back at their caster for 5 seconds.",
		type = "Devices",
		source = "Drop:Schematic: Hyper-Radiant Flame Reflector",
		sourcerarity = "Uncommon",
		resultname = "Hyper-Radiant Flame Reflector",
		resultrarity = "Rare",
		itemLvl = 58,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
		},
		reagents = {
			[ReagentData['element']['essenceofwater']] = 6,
			[ReagentData['gem']['starruby']] = 4,
			[ReagentData['part']['truesilvertransformer']] = 3,
			[ReagentData['bar']['darkiron']] = 4,
			[ReagentData['gem']['azerothiandiamond']] = 2,
		},
	},
	["Master Engineer's Goggles"] = {
		skill = 290,
		description = "[BoE] (Cloth Head) AC: 61, Sta: 16, Spi: 17, Requires Engineering (280)",
		type = "Cloth",
		subtype = "Head",
		source = "Trainer",
		resultrarity = "Uncommon",
		itemLvl = 58,
		tools = {
			[ReagentData['tool']['gyromaticmicro-adjustor']] = 1,
			[ReagentData['tool']['arclightspanner']] = 1,
		},
		reagents = {
			[ReagentData['gem']['hugeemerald']] = 2,
			[ReagentData['leather']['enchanted']] = 4,
			[ReagentData['armor']['firegoggles']] = 1,
		},
	},
	["Voice Amplification Modulator"] = {
		skill = 290,
		description = "[BoE] (Neck) Equip: Increases your resistance to silence effects by 7%.",
		type = "Neck",
		source = "Drop:Schematic: Voice Amplification Modulator",
		sourcerarity = "Uncommon",
		resultrarity = "Uncommon",
		itemLvl = 58,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
		},
		reagents = {
			[ReagentData['part']['goldpowercore']] = 1,
			[ReagentData['part']['delicatearcaniteconverter']] = 2,
			[ReagentData['gem']['largeopal']] = 1,
			[ReagentData['part']['thoriumwidget']] = 1,
		},
	},
	["Arcane Bomb"] = {
		skill = 300,
		description = "Requires Engineering (300), Use: Drains 675 to 1125 mana from those in the blast radius and does 50% of the mana drained in damage to the target. Also Silences targets in the blast for 5 sec.",
		type = "Explosives",
		source = "Drop:Schematic: Arcane Bomb",
		sourcerarity = "Uncommon",
		result = 3,
		stacksize = 10,
		itemLvl = 60,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
		},
		reagents = {
			[ReagentData['cloth']['rune']] = 1,
			[ReagentData['part']['delicatearcaniteconverter']] = 1,
			[ReagentData['bar']['thorium']] = 3,
		},
	},
	["Arcanite Dragonling"] = {
		skill = 300,
		description = "[BoE] (Trinket) MinLvl: 50, Requires Engineering (300), Use: Activates you Arcanite Dragonling to fight for you for 1 min. It requires an hour to cool down before it can be used again.",
		type = "Devices",
		source = "Drop:Schematic: Arcanite Dragonling",
		sourcerarity = "Uncommon",
		resultname = "Arcanite Mechanical Dragonling",
		resultrarity = "Rare",
		itemLvl = 60,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
		},
		reagents = {
			[ReagentData['part']['goldpowercore']] = 4,
			[ReagentData['leather']['enchanted']] = 6,
			[ReagentData['part']['mithrilmechanicaldragonling']] = 1,
			[ReagentData['part']['thoriumwidget']] = 6,
			[ReagentData['part']['delicatearcaniteconverter']] = 8,
			[ReagentData['bar']['enchantedthorium']] = 10,
		},
	},
	["Biznicks 247x128 Accurascope"] = {
		skill = 300,
		description = "MinLvl: 50, Use: Attaches a permanent scope to a bow or gun that increases its ranged hit rating by 30.",
		type = "Devices",
		source = "Drop:Schematic: Biznicks 247x128 Accurascope",
		sourcerarity = "Rare",
		resultrarity = "Rare",
		stacksize = 5,
		itemLvl = 60,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
		},
		reagents = {
			[ReagentData['element']['essenceofearth']] = 2,
			[ReagentData['part']['delicatearcaniteconverter']] = 4,
			[ReagentData['monster']['lavacore']] = 2,
			[ReagentData['part']['thoriumtube']] = 1,
			[ReagentData['bar']['darkiron']] = 6,
		},
	},
	["Bloodvine Goggles"] = {
		skill = 300,
		id = 20000,
		description = "[BoE] (Cloth Head) AC: 75, MinLvl: 60, Requires Engineering (300), Equip: Increases your Spell Hit Rating by 16, Equip: Increases your Spell Critical Hit Rating by 14, Equip: Restores 9 mana per 5 sec.",
		type = "Cloth",
		subtype = "Head",
		source = "Vendor:Schematic: Bloodvine Goggles",
		resultrarity = "Rare",
		itemLvl = 65,
		reagents = {
			[ReagentData['gem']['souldarite']] = 5,
			[ReagentData['leather']['enchanted']] = 4,
			[ReagentData['part']['delicatearcaniteconverter']] = 2,
			[ReagentData['monster']['powerfulmojo']] = 8,
			[ReagentData['herb']['bloodvine']] = 4,
		},
	},
	["Bloodvine Lens"] = {
		skill = 300,
		id = 20001,
		description = "[BoE] (Leather Head) AC: 147, Sta: 12, MinLvl: 60, Requires Engineering (300), Equip: Increases your critical strike rating by 28, Equip: Slightly increases your stealth detection.",
		type = "Leather",
		subtype = "Head",
		source = "Vendor:Schematic: Bloodvine Lens",
		resultrarity = "Rare",
		itemLvl = 65,
		reagents = {
			[ReagentData['gem']['souldarite']] = 5,
			[ReagentData['leather']['enchanted']] = 4,
			[ReagentData['part']['delicatearcaniteconverter']] = 1,
			[ReagentData['monster']['powerfulmojo']] = 8,
			[ReagentData['herb']['bloodvine']] = 5,
		},
	},
	["Core Marksman Rifle"] = {
		skill = 300,
		description = "[BoE] (Gun) DPS: 45.4, Dmg: 79-148, Spd: 2.50, MinLvl: 60, Equip: Increases ranged attack power by 22, Equip: Increases your hit rating by 10.",
		type = "Gun",
		source = "Drop:Schematic: Core Marksman Rifle",
		sourcerarity = "Rare",
		resultrarity = "Epic",
		itemLvl = 65,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
		},
		reagents = {
			[ReagentData['part']['delicatearcaniteconverter']] = 2,
			[ReagentData['monster']['lavacore']] = 2,
			[ReagentData['part']['thoriumtube']] = 2,
			[ReagentData['bar']['arcanite']] = 6,
			[ReagentData['monster']['fierycore']] = 4,
		},
	},
	["Elemental Blasting Powder"] = {
		skill = 300,
		description = "Elemental Blasting Powder",
		type = "Parts",
		source = "Trainer",
		result = 2,
		stacksize = 20,
		itemLvl = 60,
		reagents = {
			[ReagentData['element']['moteofearth']] = 1,
			[ReagentData['element']['moteoffire']] = 1,
		},
	},
	["Fel Iron Casing"] = {
		skill = 300,
		description = "Fel Iron Casing",
		type = "Parts",
		source = "Trainer",
		itemLvl = 60,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
		},
		reagents = {
			[ReagentData['bar']['feliron']] = 3,
		},
	},
	["Fel Iron Shells"] = {
		skill = 300,
		description = "(Projectile Bullet) MinLvl: 57, Adds 26 damage per second.",
		type = "Bullet",
		source = "Drop:Schematic: Fel Iron Shells",
		result = 200,
		resultrarity = "Uncommon",
		stacksize = 200,
		itemLvl = 97,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
		},
		reagents = {
			[ReagentData['bar']['feliron']] = 2,
			[ReagentData['powder']['elemental']] = 1,
		},
	},
	["Field Repair Bot 74A"] = {
		skill = 300,
		description = "Requires Engineering (300), Use: Unfolds into a Field Repair Bot that can repair damaged items and purchase unwanted goods. After 10 minutes it's internal motor fails.",
		type = "Devices",
		source = "Drop",
		itemLvl = 60,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
		},
		reagents = {
			[ReagentData['bar']['thorium']] = 12,
			[ReagentData['element']['fire']] = 1,
			[ReagentData['part']['fusedwiring']] = 1,
			[ReagentData['leather']['rugged']] = 4,
			[ReagentData['element']['earth']] = 2,
		},
	},
	["Flawless Arcanite Rifle"] = {
		skill = 300,
		description = "[BoE] (Gun) DPS: 39.7, Dmg: 83-155, Spd: 3.00, MinLvl: 56, Equip: Increases gun skill rating by 9, Equip: Increases ranged attack power by 10.",
		type = "Gun",
		source = "Drop:Schematic: Flawless Arcanite Rifle",
		sourcerarity = "Uncommon",
		resultrarity = "Rare",
		itemLvl = 61,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
			[ReagentData['tool']['arclightspanner']] = 1,
		},
		reagents = {
			[ReagentData['element']['essenceofearth']] = 2,
			[ReagentData['leather']['enchanted']] = 2,
			[ReagentData['gem']['azerothiandiamond']] = 2,
			[ReagentData['part']['thoriumtube']] = 2,
			[ReagentData['element']['essenceoffire']] = 2,
			[ReagentData['bar']['arcanite']] = 10,
		},
	},
	["Force Reactive Disk"] = {
		skill = 300,
		description = "[BoE] (OH Shield) AC: 2548, Blk: 44, Sta: 11, MinLvl: 60, Requires Engineering (300), Equip: When the shield blocks it releases an electrical charge that damages all nearby enemies. This also has a chance of damaging the shield.",
		type = "Off-Hand",
		subtype = "Shield",
		source = "Drop:Schematic: Force Reactive Disk",
		sourcerarity = "Rare",
		resultrarity = "Epic",
		itemLvl = 65,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
			[ReagentData['tool']['arclightspanner']] = 1,
		},
		reagents = {
			[ReagentData['element']['essenceofearth']] = 8,
			[ReagentData['part']['delicatearcaniteconverter']] = 2,
			[ReagentData['element']['essenceofair']] = 8,
			[ReagentData['bar']['arcanite']] = 6,
			[ReagentData['element']['livingessence']] = 12,
		},
	},
	["Handful of Fel Iron Bolts"] = {
		skill = 300,
		description = "Handful of Fel Iron Bolts",
		type = "Parts",
		source = "Trainer",
		stacksize = 10,
		itemLvl = 60,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
		},
		reagents = {
			[ReagentData['bar']['feliron']] = 1,
		},
	},
	["Tranquil Mechanical Yeti"] = {
		skill = 300,
		description = "[BoU] Use: Right Click to summon and dismiss your Tranquil Mechanical Yeti.",
		type = "Devices",
		source = "Quest: Are We There, Yeti?",
		itemLvl = 60,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
			[ReagentData['tool']['arclightspanner']] = 1,
		},
		reagents = {
			[ReagentData['part']['goldpowercore']] = 1,
			[ReagentData['part']['truesilvertransformer']] = 2,
			[ReagentData['hide']['curedrugged']] = 1,
			[ReagentData['element']['globeofwater']] = 2,
			[ReagentData['part']['thoriumwidget']] = 4,
		},
	},
	["Ultra-Flash Shadow Reflector"] = {
		skill = 300,
		description = "[BoE] (Trinket) SR: 20, MinLvl: 55, Requires Engineering (300), Use: Reflects Shadow spells back at their caster for 5 seconds.",
		type = "Devices",
		source = "Drop:Schematic: Ultra-Flash Shadow Reflector",
		sourcerarity = "Uncommon",
		resultname = "Ultra-Flash Shadow Reflector",
		resultrarity = "Rare",
		itemLvl = 60,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
			[ReagentData['tool']['arclightspanner']] = 1,
		},
		reagents = {
			[ReagentData['element']['essenceofundeath']] = 4,
			[ReagentData['gem']['azerothiandiamond']] = 2,
			[ReagentData['part']['truesilvertransformer']] = 4,
			[ReagentData['bar']['darkiron']] = 8,
			[ReagentData['element']['livingessence']] = 6,
			[ReagentData['gem']['largeopal']] = 2,
		},
	},
	["Zapthrottle Mote Extractor"] = {
		skill = 305,
		description = "Requires Engineering (305), Use: Extracts gas from a nearby gas cloud.",
		type = "Devices",
		source = "Quest",
		itemLvl = 61,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
		},
		reagents = {
			[ReagentData['element']['primallife']] = 4,
			[ReagentData['part']['handfuloffelironbolts']] = 2,
			[ReagentData['part']['felironcasing']] = 2,
			[ReagentData['part']['delicatearcaniteconverter']] = 1,
		},
	},
	["Fel Iron Bomb"] = {
		skill = 320,
		description = "Requires Engineering (300), Use: Inflicts 330 to 770 Fire damage and stuns targets in a 5 yard radius for 3 sec. Any damage will break the effect. Unreliable against targets higher than level 76.",
		type = "Explosives",
		source = "Drop:Schematic: Fel Iron Bomb",
		result = 4,
		stacksize = 10,
		itemLvl = 60,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
			[ReagentData['tool']['arclightspanner']] = 1,
		},
		reagents = {
			[ReagentData['part']['handfuloffelironbolts']] = 2,
			[ReagentData['powder']['elemental']] = 1,
			[ReagentData['part']['felironcasing']] = 1,
		},
	},
	["Adamantite Frame"] = {
		skill = 325,
		description = "Adamantite Frame",
		type = "Parts",
		source = "Trainer",
		stacksize = 10,
		itemLvl = 65,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
		},
		reagents = {
			[ReagentData['bar']['adamantite']] = 4,
			[ReagentData['element']['primalearth']] = 1,
		},
	},
	["Adamantite Grenade"] = {
		skill = 325,
		description = "Requires Engineering (325), Use: Inflicts 450 to 750 Fire damage and stuns targets for 3 sec in a 3 yard radius. Any damage will break the effect. Unreliable against targets higher than level 80.",
		type = "Explosives",
		source = "Trainer",
		result = 3,
		stacksize = 10,
		itemLvl = 65,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
		},
		reagents = {
			[ReagentData['bar']['adamantite']] = 4,
			[ReagentData['part']['handfuloffelironbolts']] = 2,
			[ReagentData['powder']['elemental']] = 1,
		},
	},
	["Crashin' Thrashin' Robot"] = {
		skill = 325,
		description = "[BoP] Use: Right Click to summon and dismiss a robot pet that will fight other fighting robots.",
		type = "Devices",
		source = "Drop:Schematic: Crashin' Thrashin' Robot",
		itemLvl = 60,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
		},
		reagents = {
			[ReagentData['part']['goldpowercore']] = 1,
			[ReagentData['part']['adamantiteframe']] = 1,
			[ReagentData['part']['felironcasing']] = 2,
			[ReagentData['part']['handfuloffelironbolts']] = 2,
		},
	},
	["Fel Iron Toolbox"] = {
		skill = 325,
		id = 23816,
		description = "[BoE] 24 Slot Engineering Bag",
		type = "Container",
		source = "Vendor:Schematic: Fel Iron Toolbox",
		resultrarity = "Uncommon",
		itemLvl = 65,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
		},
		reagents = {
			[ReagentData['part']['handfuloffelironbolts']] = 2,
			[ReagentData['bar']['feliron']] = 5,
			[ReagentData['part']['felironcasing']] = 1,
		},
	},
	["Gnomish Flame Turret"] = {
		specialty = "gnomish",
		skill = 325,
		description = "Requires Engineering (325), Use: Quickly constructs a gnomish flame turret at your feet that will nearly always attack nearby enemies.",
		type = "Consumable",
		source = "Trainer",
		itemLvl = 65,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
		},
		reagents = {
			[ReagentData['part']['handfuloffelironbolts']] = 2,
			[ReagentData['part']['adamantiteframe']] = 1,
			[ReagentData['element']['primalfire']] = 1,
			[ReagentData['part']['thoriumtube']] = 1,
		},
	},
	["The Bigger One"] = {
		skill = 325,
		description = "Requires Engineering (325), Use: Inflicts 600 to 1000 Fire damage and stuns targets for 5 sec in a 10 yard radius. Any damage will break the effect. Unreliable against targets higher than level 80.",
		type = "Explosives",
		source = "Drop:Schematic: The Bigger One",
		result = 3,
		stacksize = 10,
		itemLvl = 65,
		reagents = {
			[ReagentData['part']['handfuloffelironbolts']] = 2,
			[ReagentData['part']['felironcasing']] = 3,
			[ReagentData['reagent']['arcanepowder']] = 3,
			[ReagentData['powder']['elemental']] = 6,
		},
	},
	["Fel Iron Musket"] = {
		skill = 330,
		description = "[BoE] (Gun) DPS: 50.7, Dmg: 99-185, Spd: 2.80, Sta: 14, MinLvl: 63",
		type = "Gun",
		source = "Drop:Schematic: Fel Iron Musket",
		resultrarity = "Uncommon",
		itemLvl = 99,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
		},
		reagents = {
			[ReagentData['part']['thoriumtube']] = 2,
			[ReagentData['part']['handfuloffelironbolts']] = 4,
			[ReagentData['part']['felironcasing']] = 3,
		},
	},
	["Healing Potion Injector"] = {
		skill = 330,
		description = "Requires Engineering (330), Use: Restores 1500 to 2500 health, Cooldown: 2 min, Charges: 20",
		type = "Devices",
		source = "Drop:Schematic: Healing Potion Injector",
		itemLvl = 66,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
		},
		reagents = {
			[ReagentData['leather']['knothide']] = 2,
			[ReagentData['potion']['superhealing']] = 20,
			[ReagentData['part']['felironcasing']] = 1,
			[ReagentData['part']['handfuloffelironbolts']] = 1,
		},
	},
	["Adamantite Scope"] = {
		skill = 335,
		description = "MinLvl: 55, Use: Attaches a permanent scope to a bow or gun that increases its damage by 10.",
		type = "Devices",
		source = "Vendor:Schematic: Adamantite Scope",
		stacksize = 5,
		itemLvl = 67,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
		},
		reagents = {
			[ReagentData['bar']['adamantite']] = 8,
			[ReagentData['part']['thoriumtube']] = 1,
			[ReagentData['gem']['goldendraenite']] = 2,
		},
	},
	["Adamantite Shells"] = {
		skill = 335,
		id = 23815,
		description = "(Projectile Bullet) MinLvl: 62, Adds 37 damage per second",
		type = "Bullet",
		source = "Vendor:Schematic: Adamantite Shells",
		result = 200,
		resultrarity = "Rare",
		stacksize = 200,
		itemLvl = 115,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
		},
		reagents = {
			[ReagentData['bar']['adamantite']] = 2,
			[ReagentData['powder']['elemental']] = 1,
		},
	},
	["Blue Smoke Flare"] = {
		skill = 335,
		description = "Use: Throw a blue smoke flare at a specific location that lasts for 5 min.",
		type = "Miscellaneous",
		source = "Drop:Schematic: Blue Smoke Flare",
		sourcerarity = "Uncommon",
		stacksize = 20,
		itemLvl = 1,
		reagents = {
			[ReagentData['cloth']['netherweave']] = 1,
			[ReagentData['dye']['blue']] = 1,
			[ReagentData['powder']['elemental']] = 1,
		},
	},
	["Green Smoke Flare"] = {
		skill = 335,
		description = "Use: Throw a green smoke flare at a specific location that lasts for 5 min.",
		type = "Miscellaneous",
		source = "Vendor:Schematic: Green Smoke Flare",
		sourcerarity = "Uncommon",
		stacksize = 20,
		itemLvl = 1,
		reagents = {
			[ReagentData['cloth']['netherweave']] = 1,
			[ReagentData['dye']['green']] = 1,
			[ReagentData['powder']['elemental']] = 1,
		},
	},
	["Purple Smoke Flare"] = {
		skill = 335,
		description = "Use: Throw a purple smoke flare at a specific location that lasts for 5 min.",
		type = "Miscellaneous",
		source = "Drop:Schematic: Purple Smoke Flare",
		sourcerarity = "Uncommon",
		stacksize = 20,
		itemLvl = 1,
		reagents = {
			[ReagentData['cloth']['netherweave']] = 1,
			[ReagentData['dye']['purple']] = 1,
			[ReagentData['powder']['elemental']] = 1,
		},
	},
	["Red Smoke Flare"] = {
		skill = 335,
		description = "Use: Throw a red smoke flare at a specific location that lasts for 5 min.",
		type = "Miscellaneous",
		source = "Drop:Schematic: Red Smoke Flare",
		sourcerarity = "Uncommon",
		stacksize = 20,
		itemLvl = 1,
		reagents = {
			[ReagentData['cloth']['netherweave']] = 1,
			[ReagentData['dye']['red']] = 1,
			[ReagentData['powder']['elemental']] = 1,
		},
	},
	["Remote Mail Terminal"] = {
		skill = 335,
		description = "Requires Engineering (335), Use: Unfold the Remote Mail Terminal so that it can receive and send mail. It only has enough power to last for 5 min.",
		type = "Devices",
		source = "Drop:Schematic: Remote Mail Terminal",
		sourcerarity = "Rare",
		itemLvl = 67,
		reagents = {
			[ReagentData['part']['handfuloffelironbolts']] = 2,
			[ReagentData['part']['adamantiteframe']] = 1,
			[ReagentData['part']['khoriumpowercore']] = 1,
			[ReagentData['part']['fusedwiring']] = 1,
		},
	},
	["White Smoke Flare"] = {
		skill = 335,
		id = 23811,
		description = "Use: Throw a white smoke flare at a specific location that lasts for 5 min.",
		type = "Miscellaneous",
		source = "Vendor:Schematic: White Smoke Flare",
		stacksize = 20,
		itemLvl = 1,
		reagents = {
			[ReagentData['cloth']['netherweave']] = 1,
			[ReagentData['powder']['elemental']] = 1,
		},
	},
	["Adamantite Rifle"] = {
		skill = 340,
		id = 23799,
		description = "[BoE] (Gun) DPS: 60.0, Dmg: 126-234, Spd: 3.00, Agi: 12, MinLvl: 69, Equip: Increases attack power by 22.",
		type = "Gun",
		source = "Vendor:Schematic: Adamantite Rifle",
		resultrarity = "Uncommon",
		itemLvl = 117,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
		},
		reagents = {
			[ReagentData['part']['thoriumtube']] = 2,
			[ReagentData['part']['adamantiteframe']] = 2,
			[ReagentData['part']['handfuloffelironbolts']] = 4,
		},
	},
	["Cogspinner Goggles"] = {
		skill = 340,
		description = "[BoE] (Leather Head) AC: 220, Requires Engineering (340)",
		type = "Leather",
		subtype = "Head",
		source = "Vendor:Schematic: Cogspinner Goggles",
		resultrarity = "Rare",
		itemLvl = 106,
		reagents = {
			[ReagentData['gem']['bloodgarnet']] = 2,
			[ReagentData['dust']['arcane']] = 8,
			[ReagentData['leather']['heavyknothide']] = 4,
		},
	},
	["Felsteel Stabilizer"] = {
		skill = 340,
		description = "Felsteel Stabilizer",
		type = "Parts",
		source = "Trainer",
		stacksize = 10,
		itemLvl = 70,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
		},
		reagents = {
			[ReagentData['bar']['felsteel']] = 2,
		},
	},
	["Gnomish Poultryizer"] = {
		specialty = "gnomish",
		skill = 340,
		description = "[BoE] (Trinket) Sta: 45, Requires Gnomish Engineering (340), Use: Turns the target into a chicken for 15 sec. Well, that is assuming the transmogrification polarity has not been reversed...",
		type = "Devices",
		source = "Trainer",
		itemLvl = 68,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
		},
		reagents = {
			[ReagentData['part']['hardenedadamantitetube']] = 2,
			[ReagentData['part']['khoriumpowercore']] = 2,
			[ReagentData['shard']['largeprismatic']] = 2,
			[ReagentData['dust']['arcane']] = 10,
		},
	},
	["Hardened Adamantite Tube"] = {
		skill = 340,
		description = "Hardened Adamantite Tube",
		type = "Parts",
		source = "Trainer",
		stacksize = 10,
		itemLvl = 70,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
		},
		reagents = {
			[ReagentData['bar']['hardenedadamantite']] = 3,
		},
	},
	["Khorium Power Core"] = {
		skill = 340,
		description = "Khorium Power Core",
		type = "Parts",
		source = "Trainer",
		stacksize = 10,
		itemLvl = 70,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
		},
		reagents = {
			[ReagentData['bar']['khorium']] = 3,
			[ReagentData['element']['primalfire']] = 1,
		},
	},
	["Power Amplification Goggles"] = {
		skill = 340,
		description = "[BoE] (Cloth Head) AC: 100, Sta: 46, Requires Engineering (340), Equip: Improves spell critical strike rating by 31, Equip: Increases damage and healing done by magical spells and effects by up to 36",
		type = "Cloth",
		subtype = "Head",
		source = "Drop:Schematic: Power Amplification Goggles",
		resultrarity = "Rare",
		itemLvl = 89,
		reagents = {
			[ReagentData['gem']['flamespessarite']] = 2,
			[ReagentData['dust']['arcane']] = 8,
			[ReagentData['leather']['heavyknothide']] = 4,
		},
	},
	["Super Sapper Charge"] = {
		skill = 340,
		description = "Requires Engineering (340), Use: Explodes when triggered dealing 675 to 1125 Fire damage to all enemies nearby and 900 to 1500 damage to you.",
		type = "Explosives",
		source = "Drop:Schematic: Super Sapper Charge",
		result = 2,
		stacksize = 10,
		itemLvl = 68,
		reagents = {
			[ReagentData['cloth']['netherweave']] = 4,
			[ReagentData['element']['primalmana']] = 1,
			[ReagentData['powder']['elemental']] = 4,
		},
	},
	["Mana Potion Injector"] = {
		skill = 345,
		description = "MinLvl: 55, Requires Engineering (345), Use: Restores 1800-3000 mana, Charges: 20",
		type = "Devices",
		source = "Drop:Recipe:Mana Potion Injector",
		itemLvl = 69,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
		},
		reagents = {
			[ReagentData['leather']['knothide']] = 2,
			[ReagentData['part']['handfuloffelironbolts']] = 1,
			[ReagentData['part']['felironcasing']] = 1,
			[ReagentData['potion']['supermana']] = 20,
		},
	},
	["Rocket Boots Xtreme"] = {
		skill = 345,
		description = "[BoE] (Leather Feet) AC: 196, Sta: 36, Requires Engineering (330), Equip: Increases attack power by 50., Use: Engage the rocket boots to greatly increase your speed. You probably wont still be standing when you get there though...",
		type = "Leather",
		subtype = "Feet",
		source = "Drop:Schematic: Rocket Boots Xtreme",
		resultrarity = "Rare",
		itemLvl = 112,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
		},
		reagents = {
			[ReagentData['leather']['heavyknothide']] = 8,
			[ReagentData['part']['khoriumpowercore']] = 2,
			[ReagentData['part']['hardenedadamantitetube']] = 2,
			[ReagentData['part']['felsteelstabilizer']] = 4,
		},
	},
	["Dimensional Ripper - Area 52"] = {
		specialty = "goblin",
		skill = 350,
		description = "[BoU] (Trinket) Requires Goblin Engineering (350), Use: Rips the dimensional walls asunder and transports you to Area 52 in Netherstorm. There are technical problems that sometimes occur, but that's what Goblin Engineering is all about!",
		type = "Devices",
		source = "Trainer",
		resultrarity = "Uncommon",
		itemLvl = 65,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
		},
		reagents = {
			[ReagentData['part']['adamantiteframe']] = 1,
			[ReagentData['element']['primalfire']] = 2,
			[ReagentData['part']['thebiggerone']] = 2,
			[ReagentData['part']['handfuloffelironbolts']] = 4,
			[ReagentData['part']['khoriumpowercore']] = 1,
		},
	},
	["Goblin Rocket Launcher"] = {
		specialty = "goblin",
		skill = 350,
		description = "[BoE] (Trinket) Sta: 45, Requires Goblin Engineering (350), Use: Fire a powerful rocket at the enemy that does 960 to 1440 damage and stuns them for 3 sec. This thing has quite a kick though... Cooldown: 5 min.",
		type = "Devices",
		source = "Unknown",
		itemLvl = 70,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
		},
		reagents = {
			[ReagentData['part']['felsteelstabilizer']] = 2,
			[ReagentData['part']['hardenedadamantitetube']] = 2,
			[ReagentData['part']['khoriumpowercore']] = 1,
			[ReagentData['part']['delicatearcaniteconverter']] = 2,
			[ReagentData['element']['primalearth']] = 6,
			[ReagentData['element']['primalfire']] = 6,
		},
	},
	["Nigh-Invulnerability Belt"] = {
		specialty = "gnomish",
		skill = 350,
		description = "[BoE] (Cloth Waist) AC: 55, Sta: 16, Requires Engineering (350), Use: Protects you with a shield of force that stops 4000 damage for 8 sec. \"Protection not always valid. In RARE cases, the wearer may take additional damage.\"",
		type = "Cloth",
		subtype = "Waist",
		source = "Trainer",
		resultrarity = "Uncommon",
		itemLvl = 70,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
		},
		reagents = {
			[ReagentData['element']['primallife']] = 10,
			[ReagentData['leather']['heavyknothide']] = 8,
			[ReagentData['element']['primalshadow']] = 10,
			[ReagentData['part']['delicatearcaniteconverter']] = 2,
			[ReagentData['part']['khoriumpowercore']] = 4,
		},
	},
	["Ultra-Spectropic Detection Goggles"] = {
		skill = 350,
		description = "[BoE] (Cloth Head) AC: 124, Sta: 48, Spi: 47, Requires Engineering (350), Equip: Allows detection of objects that are slightly out of phase such as the arcane vortexes of netherstorm, Use: Allows you to look far into the distance.",
		type = "Cloth",
		subtype = "Head",
		source = "Vendor:Schematic: Ultra-Spectropic Detection Goggles",
		resultrarity = "Rare",
		itemLvl = 112,
		reagents = {
			[ReagentData['shard']['smallprismatic']] = 2,
			[ReagentData['leather']['heavyknothide']] = 4,
			[ReagentData['gem']['deepperidot']] = 2,
			[ReagentData['bar']['khorium']] = 2,
		},
	},
	["Ultrasafe Transporter - Toshley's Station"] = {
		specialty = "gnomish",
		skill = 350,
		description = "[BoU] (Trinket) Requires Gnomish Engineering (350), Use: Safely transport yourself to Toshley's Station in Blade's Edge! Nothing to worry about while using this baby! Gnomish know-how will get you there in a safe and timely fashion!",
		type = "Devices",
		source = "Trainer",
		resultrarity = "Uncommon",
		itemLvl = 65,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
		},
		reagents = {
			[ReagentData['part']['adamantiteframe']] = 1,
			[ReagentData['element']['primalair']] = 2,
			[ReagentData['part']['felsteelstabilizer']] = 2,
			[ReagentData['part']['handfuloffelironbolts']] = 4,
			[ReagentData['part']['khoriumpowercore']] = 1,
		},
	},
	["Khorium Scope"] = {
		skill = 370,
		description = "MinLvl: 55, Use: Attaches a permanent scope to a bow or gun that increases its damage by 12.",
		type = "Trade Goods",
		source = "Drop",
		resultrarity = "Rare",
		itemLvl = 72,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
		},
		reagents = {
			[ReagentData['part']['hardenedadamantitetube']] = 1,
			[ReagentData['bar']['khorium']] = 4,
			[ReagentData['gem']['dawnstone']] = 2,
		},
	},
	["Foreman's Enchanted Helmet"] = {
		specialty = "goblin",
		skill = 375,
		description = "[BoP] (Cloth Head) AC: 106, Sta: 50, Int: 28, Requires Goblin Engineering (350), Equip: Increases your chance to resist Silence and Interrupt effects by 10%",
		type = "Cloth",
		subtype = "Head",
		source = "Trainer",
		resultrarity = "Epic",
		itemLvl = 95,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
		},
		reagents = {
			[ReagentData['cloth']['netherweave']] = 4,
			[ReagentData['element']['primalmana']] = 12,
			[ReagentData['element']['primalair']] = 12,
		},
	},
	["Foreman's Reinforced Helmet"] = {
		specialty = "goblin",
		skill = 375,
		description = "[BoP] (Mail Head) AC: 442, Sta: 50, Requires Goblin Engineering (350), Equip: Increases attack power by 56, Equip: Increases your chance to resist Stun and Disorient attacks by 10%",
		type = "Mail",
		subtype = "Head",
		source = "Trainer",
		resultrarity = "Epic",
		itemLvl = 95,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
		},
		reagents = {
			[ReagentData['bar']['hardenedadamantite']] = 8,
			[ReagentData['element']['primalearth']] = 12,
			[ReagentData['element']['primalfire']] = 12,
		},
	},
	["Gnomish Battle Goggles"] = {
		specialty = "gnomish",
		skill = 375,
		description = "[BoP] (Leather Head) AC: 249, Sta: 21, Requires Gnomish Engineering (375), Equip: Increases attack power by 100, Equip: Increases your critical strike rating by 28.",
		type = "Leather",
		subtype = "Head",
		source = "Trainer",
		resultrarity = "Epic",
		itemLvl = 95,
		reagents = {
			[ReagentData['gem']['livingruby']] = 2,
			[ReagentData['leather']['heavyknothide']] = 8,
			[ReagentData['element']['primalshadow']] = 12,
			[ReagentData['element']['primalearth']] = 12,
			[ReagentData['element']['primalfire']] = 12,
		},
	},
	["Gnomish Power Goggles"] = {
		specialty = "gnomish",
		skill = 375,
		description = "[BoP] (Cloth Head) AC: 132, Int: 21, Requires Gnomish Engineering (375), Equip: Increases damage and healing done by magical spells and effects by up to 59, Equip: Increases your spell critical strike rating by 28.",
		type = "Cloth",
		subtype = "Head",
		source = "Trainer",
		resultrarity = "Epic",
		itemLvl = 95,
		reagents = {
			[ReagentData['gem']['talasite']] = 2,
			[ReagentData['element']['primalfire']] = 8,
			[ReagentData['element']['primalair']] = 8,
			[ReagentData['element']['primalwater']] = 8,
			[ReagentData['element']['primalearth']] = 8,
			[ReagentData['cloth']['spell']] = 4,
		},
	},
	["Ornate Khorium Rifle"] = {
		skill = 375,
		description = "[BoE] (Gun) DPS: 66.5, Dmg: 144-268, Spd: 3.10, Agi: 14, MinLvl: 70, Equip: Improves hit rating by 13",
		type = "Gun",
		source = "Drop:Schematic: Ornate Khorium Rifle",
		resultrarity = "Rare",
		itemLvl = 115,
		tools = {
			[ReagentData['tool']['anvil']] = 1,
			[ReagentData['tool']['blacksmithhammer']] = 1,
		},
		reagents = {
			[ReagentData['bar']['khorium']] = 12,
			[ReagentData['part']['handfuloffelironbolts']] = 4,
			[ReagentData['part']['hardenedadamantitetube']] = 2,
			[ReagentData['gem']['nobletopaz']] = 2,
		},
	},
}

for k, v in pairs(ReagentData['crafted']['engineering']) do
	if (not v.result) then
		v.result = 1;
	end
end

end
